<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global
    $force_show_heading_title,
    $force_heading_title,
    $force_heading_description,

    $blog_show_header,
    $blog_title,
    $blog_description;

$blog_show_header = true;
$blog_title = esc_html__( 'Blog', 'nuovowp' );
$blog_description = false;
$blog_sidebar = 'right';
$blog_layout = 'style3';

if ( class_exists( 'Redux' ) ) {
    $blog_show_header = codebean_option( 'blog_show_header_title' );
    $blog_title = codebean_option( 'blog_title' );
    $blog_description = codebean_option( 'blog_description' );
    $blog_sidebar = codebean_option('blog_sidebar_position', 'no');
    $blog_layout = codebean_option('blog_style', 'standard');
}

// Blog Heading Title
if ( $blog_show_header ) {
    $force_show_heading_title  = true;
    $force_heading_title       = $blog_title;
    $force_heading_description = $blog_description;
}

get_header(); ?>

<?php $sidebar_position = isset($_GET['sidebar_layout']) ? $_GET['sidebar_layout'] : $blog_sidebar; ?>
    <div class="cdb-blog cdb-blog-archive<?php if ($sidebar_position == 'left') { echo ' sidebar-position-left has-sidebar'; } else if ($sidebar_position == 'right' ) { echo ' sidebar-position-right has-sidebar'; } ?>">
        <div class="container">
            <div class="row">

                <div class="cdb-column cdb-posts-wrapper">
                <?php
                    $blog_style = isset($_GET['blog_layout']) ? $_GET['blog_layout'] : $blog_layout;
                    get_template_part( 'includes/templates/blog/'.$blog_style );
                ?>
                </div>

                <?php if ( $sidebar_position !== 'no' ) : ?>
                    <div class="cdb-column cdb-sidebar-area">
                        <div class="cdb-sidebar-inner">
                            <?php get_sidebar(); ?>
                        </div>
                    </div>
                <?php endif; ?>

            </div>
        </div>
    </div>

<?php get_footer(); ?>

