var cdb_lazyload;

var cdbTheme=cdbTheme||{};

;(function($, window, undefined) {

    "use strict";

    $(document).ready(function () {

        // Define global vars
        cdbTheme.$body          = $("body");
        cdbTheme.$window        = $(window);

        cdbTheme.$wrapper       = $('#cdb-content');
        cdbTheme.$header        = $('.cdb-header');
        cdbTheme.$mainMenu      = $('.cdb-main-menu');
        cdbTheme.$headerTopMenu = $('.cdb-top-header');

        cdbTheme.$shopHolder    = $('.cdb-shop-holder');



        if ( themeajax.settings.page_transition == '1' ) {
            $('.cdb-page-load').animsition({
                inClass: themeajax.settings.page_transition_style_in,
                outClass: themeajax.settings.page_transition_style_out,
                inDuration: parseInt(themeajax.settings.page_transition_in_speed,10),
                outDuration: parseInt(themeajax.settings.page_transition_out_speed,10),
                loading : false,
                touchSupport: false,
                linkElement: '.animsition-link'
            });
        }

        // Header Search Opener
        var $searchForm = cdbTheme.$header.find('.cdb-search-form');

        if($searchForm.length === 1) {
            var $searchInput = $searchForm.find('.cdb-search-input');

            $searchInput.blur(function() {
                if($.trim($searchInput.val()).length === 0)
                {
                    $searchForm.removeClass('shown');
                }
            });

            $searchForm.on('click', '.cdb-search-opener', function(ev) {
                if($.trim($searchInput.val()).length === 0)
                {
                    ev.preventDefault();

                    $searchForm.addClass('shown');
                    setTimeout(function(){$searchInput.focus();}, 200);
                }
                else
                {
                    $searchForm.submit();
                }
            });
        }

        // Header Submenu
        cdbTheme.$mainMenu.find('li:has(> ul)').each(function(i, el) {

            var $li = $(el),
                $a = $li.find( '> a' );

            $a.on( 'click', function( ev ) {
                if ( touch_function() && ! $a.data( 'clicked' ) ) {
                    $a.data( 'clicked', true );
                    return false;
                }
            } );

            $li.hoverIntent({
                over: function(){
                    $li.addClass('shown');
                },
                out: function(){
                    $li.removeClass('shown');
                },
                interval: 50,
                timeout: 250
            });

        });

        $('[data-toggle="tooltip"]').tooltip();

        // Sticky Header
        function setupFixedHeader() {
            var header_type = 1;

            if (cdbTheme.$header.hasClass('cdb-header-1')) {
                header_type = 2;
            }

            // Initialize sticky menu
            var $watcherElement = cdbTheme.$header.find('.cdb-regular-header');

            var watcher = window.scrollMonitor.create($watcherElement.get(0), {top: cdbTheme.$body.hasClass('admin-bar') ? 32 : 0}),
                $spacer = null,
                headerHeight = cdbTheme.$header.outerHeight(),
                minWidth = 768;

            cdbTheme.$header.before('<div class="cdb-header-spacer hidden"></div>');

            $spacer = cdbTheme.$header.prev();

            $spacer.height(headerHeight);

            watcher.lock();

            watcher.partiallyExitViewport(function() {

                if(minWidth > $(window).width()) {
                    return;
                }

                cdbTheme.$header.addClass('fixed-active');
                $spacer.removeClass('hidden');

                // Header Top Menu
                if(cdbTheme.$headerTopMenu.length) {
                    cdbTheme.$headerTopMenu.addClass('hidden');
                }

            });

            watcher.fullyEnterViewport(function() {

                if(minWidth > $(window).width()) {
                    return;
                }

                cdbTheme.$header.removeClass('fixed-active');
                $spacer.addClass('hidden');

                // Header Top Menu
                if(cdbTheme.$headerTopMenu.length) {
                    cdbTheme.$headerTopMenu.removeClass('hidden');
                }
            });

        }

        if(cdbTheme.$header.hasClass('cdb-header-fixed')) {
            setupFixedHeader();
        }

        // Mobile Side Navigation Wrapper
        $('.mobile-nav-toggle').on('click', function (ev) {
            ev.preventDefault();

            openMobileNav();
        });

        function openMobileNav() {
            $('.mobile-nav-toggle').toggleClass('active');
            cdbTheme.$body.toggleClass('mobile-menu-active');
        }

        $('.cdb-close-overlay').on('click touchstart', function (ev) {
            ev.preventDefault();

            closeOverlay();
        });

        function closeOverlay() {
            $('.mobile-nav-toggle').removeClass('active');
            cdbTheme.$body.removeClass('mobile-menu-active');
        }

        function mobileSubmenu() {
            var mobileNav = $('.mobile-menu'),
                dropdownCat = $('.mobile-menu .menu-item-has-children'),
                thisSubmenu = dropdownCat.children('ul'),
                elementIcon = '<span class="submenu-indicator"><i class="fas fa-angle-down"></i></span>';

            dropdownCat.append(elementIcon);

            mobileNav.on('click', '.submenu-indicator', function (ev) {
                ev.preventDefault();

                if ( $(this).parent().hasClass('is-active') ) {
                    $(this).parent().removeClass("is-active").find("> ul").slideUp(200);
                } else {
                    $(this).parent().addClass("is-active").find("> ul").slideDown(200);
                }
            });
        }

        mobileSubmenu();

        function cdbFluidVideos() {
            fluidvids.init({
                selector: ['iframe'],
                players: ['www.youtube.com', 'player.vimeo.com']
            });
        }

        cdbFluidVideos();

        function cdbSlickSlider() {
            var sliders = $('.cdb-post-gallery-slider');

            if (sliders.length) {
                sliders.each(function(){

                    var slider = $(this);

                    slider.slick({
                        slidesToShow: 1,
                        cssEase: "ease-in-out",
                        infinite: true,
                        adaptiveHeight: true,
                        prevArrow: '<button type="button" class="slick-prev"><i class="ti-arrow-left"></i></button>',
                        nextArrow: '<button type="button" class="slick-next"><i class="ti-arrow-right"></i></button>',
                    });

                });
            }
        }

        cdbSlickSlider();

        // Blog Posts Masonry
        function masonryBlogLayout() {

            Outlayer.prototype._setContainerMeasure = function( measure, isWidth ) {
                if ( measure === undefined ) {
                    return;
                }
                var elemSize = this.size;
                // add padding and border width if border box
                if ( elemSize.isBorderBox ) {
                    measure += isWidth ? elemSize.paddingLeft + elemSize.paddingRight +
                        elemSize.borderLeftWidth + elemSize.borderRightWidth :
                        elemSize.paddingBottom + elemSize.paddingTop +
                        elemSize.borderTopWidth + elemSize.borderBottomWidth;
                }

                measure = Math.max( measure, 0 );
                measure = Math.floor( measure );
                this.element.style[ isWidth ? 'width' : 'height' ] = measure + 'px';
            };

            $( '.cdb-blog-posts' ).each( function() {
                var _this = $(this),
                    preloader = _this.find( '.cdb-preloader' ),

                    options = {
                        layoutMode: 'packery',
                        itemSelector: '.post',
                        stagger: 30,
                        hiddenStyle: {
                            opacity: 0,
                            transform: "translate(0px,50px)"
                        },
                        visibleStyle: {
                            opacity: 1,
                            transform: "translate(0px,0px)"
                        }
                    },
                    items,
                    options_in,
                    options_out;

                options_in = {
                    y: 0, opacity:1
                };

                options_out = {
                    y: 30, opacity:0
                };

                _this.imagesLoaded( {background: preloader }, function () {
                    if (preloader.length) {
                        TweenMax.to(preloader, 0.2, {autoAlpha: 0});
                    }
                    _this.addClass('cdb-loaded');

                    _this.on( 'layoutComplete', function( e, items ) {
                        var elms = _.map(items, 'element');
                        cdbTheme.$window.scroll(_.debounce(function () {
                            items = $(elms).filter(':in-viewport').filter(function() {
                                return $(this).data('cdb-in-viewport') === undefined;
                            });
                            if (items) {
                                items.data('cdb-in-viewport', true);
                                TweenMax.staggerTo(items.find('.post-inner'), 0.3, options_in, 0.1, function() {
                                    items.data('cdb-in-viewport', true);
                                });
                            }
                        }, 20)).trigger('scroll');
                        _this.trigger('resize');
                    }).isotope(options);

                });

            });
        }

        masonryBlogLayout();

        // Pagination = Load More
        function paginationLoadMore() {
            var container = $('.pagination-load_more'),
                load_more = $('.cdb-load-more'),
                cdb_loading = false,
                page = 2;

            load_more.on('click', function () {
                var _this = $(this),
                    text = _this.text(),
                    count = _this.data('count');

                if(cdb_loading === false) {
                    _this.html(themeajax.l10n.loading).addClass('loading');

                    $.ajax( themeajax.url, {
                        method : 'POST',
                        data : {
                            action: 'cdb_blog_ajax',
                            page : page++
                        },
                        beforeSend: function() {
                            cdb_loading = true;
                        },
                        success : function(data) {
                            cdb_loading = false;
                            var d = $.parseHTML($.trim(data)),
                                l = d ? d.length : 0;

                            if( data === '' || data === 'undefined' || data === 'No More Posts' || data === 'No $args array created') {
                                _this.html(themeajax.l10n.nomore).removeClass('loading').off('click');
                            } else {
                                $(d).appendTo(container).hide().imagesLoaded(function() {
                                    if (container.data('isotope')) {
                                        container.isotope('appended', $(d));
                                    }
                                    $(d).show();
                                });

                                if (l < count){
                                    _this.html(themeajax.l10n.nomore).removeClass('loading');
                                } else {
                                    _this.html(text).removeClass('loading');
                                }
                            }
                        }
                    });
                }
                return false;
            });
        }

        paginationLoadMore();

        // Network Sharing Links
        var socialSharing = $('.cdb-post-share .cdb-social-links a');

        socialSharing.on('click', function () {
            var left = (screen.width/2)-(640/2),
                top = (screen.height/2)-(440/2)-100;

            if( !socialSharing.hasClass('email')) {
                window.open($(this).attr('href'), 'mywin', 'left='+left+',top='+top+',width=640,height=440,toolbar=0');
                return false;
            }
        });

        function portfolioLayout() {

            $( '.portfolio-masonry' ).each( function() {
                var _this = $(this),
                    preloader = _this.find( '.cdb-preloader' ),
                    el = $('.portfolio-entry'),
                    options = {
                        layoutMode: 'packery',
                        itemSelector: '.portfolio-entry',
                        stagger: 30,
                        hiddenStyle: {
                            opacity: 0,
                            transform: "translate(0px,50px)"
                        },
                        visibleStyle: {
                            opacity: 1,
                            transform: "translate(0px,0px)"
                        }
                    },
                    items,
                    filters = $('.cdb-portfolio-filter'),
                    options_in,
                    options_out;

                options_in = {
                    y: 0, opacity:1
                };

                options_out = {
                    y: 30, opacity:0
                };

                _this.imagesLoaded( {background: preloader }, function() {
                    if (preloader.length) {
                        TweenMax.to(preloader, 0.2, {autoAlpha: 0});
                    }
                    _this.addClass('cdb-loaded');

                    _this.on( 'layoutComplete', function( e, items ) {
                        var elms = _.map(items, 'element');
                        cdbTheme.$window.scroll(_.debounce(function () {
                            items = $(elms).filter(':in-viewport').filter(function() {
                                return $(this).data('cdb-in-viewport') === undefined;
                            });
                            if (items) {
                                items.data('cdb-in-viewport', true);
                                TweenMax.staggerTo(items.find('.portfolio-entry-inner'), 0.3, options_in, 0.1, function() {
                                    items.data('cdb-in-viewport', true);
                                });
                            }
                        }, 20)).trigger('scroll');
                        _this.trigger('resize');
                    }).isotope(options);

                });

                if (filters.length) {
                    var a = filters.find('a');

                    a.on('click', function(ev) {
                        ev.preventDefault();

                        var _that = $(this),
                            selector = _that.data('filter');

                        a.removeClass('filter-active');
                        _that.addClass('filter-active');

                        TweenMax.staggerTo( el.filter(':visible').find('.portfolio-entry-inner'), 0.25, options_out, 0.1,
                            function() {

                                _this.on( 'layoutComplete', function(e,items) {
                                    var new_items = _.map(items, 'element');

                                    TweenMax.staggerTo($(new_items).find('.portfolio-entry-inner'), 0.25, options_in, 0.1);
                                });

                                _this.isotope({ filter: selector });

                            }
                        );

                    });
                }

            });
        }

        portfolioLayout();

        // Portfolio Carousel
        function portfolioCarousel() {
            var portfolio = $('.portfolio-holder .owl-carousel');

            if ( portfolio.length ) {

                portfolio.each( function() {
                    var owl = $(this),
                        autoplay = owl.data('autoplay'),
                        pagination = owl.data('pagination') ? owl.data('pagination') : false,
                        navigation = owl.data('navigation') ? owl.data('navigation') : false,
                        loop = owl.data('loop'),
                        slide_items = owl.data('slider-items');

                    owl.owlCarousel({
                        items: slide_items,
                        responsive: {
                            979: {
                                items: slide_items
                            },
                            768: {
                                items: 2
                            },
                            479: {
                                items: 2
                            },
                            0: {
                                items: 2
                            }
                        },
                        dots: pagination,
                        nav: navigation,
                        autoplay: autoplay,
                        autoheight: true,
                        navText: false,
                        loop: loop,

                        onRefreshed: function() {
                            $(window).resize();
                        }
                    });
                });

            }
        }

        portfolioCarousel();

        function portfolioHoverOne() {
            var portfolioHover = $('.portfolio-entry.info-below-thumb');

            portfolioHover.each( function() {
                var _this = $(this),
                    svg = _this.find('svg'),
                    el = svg.find('path'),
                    tl = new TimelineMax({paused: true});

                tl
                    .staggerFrom( el, 0.2, { autoAlpha: 0, transformOrigin: "50% 50%", scale: 0 }, 0.1 );

                _this.mouseover(function() {
                    tl.play();
                }).mouseout(function() {
                    tl.reverse();
                });
            });
        }

        portfolioHoverOne();



        function animatedElements() {
            var elements = $('.fadeIn, .fadeInLeft, .fadeInRight, .fadeInUp, .fadeInDown'),
                animationClass,
                animationData;

            if ( elements.length > 0 ) {
                elements.each(function() {
                    $(this).appear(function() {
                        animationData = $(this).data('animation');
                        if(typeof animationData !== 'undefined' && animationData !== '') {
                            animationClass = animationData;
                            $(this).addClass(animationClass+'-shown');
                        }
                    }, { accX: 0, accY: 0 });
                });
            }
        }

        animatedElements();

        // Go Top Button
        $('.cdb-go-top').on("click", function(e) {
            e.preventDefault();
            $('html, body').animate({
                scrollTop: 0
            }, 800);
        });


        // Fixed Footer
        var fixedFooterClass = $('.cdb-fixed-footer');
        function fixedFooter(ff) {
            var h,
                footer_holder = $('.cdb-fixed-footer'),
                detector = scrollMonitor.create(cdbTheme.$wrapper),
                minwidth = 768;

            ff.imagesLoaded( { background:true }, function () {
                h = ff.outerHeight();
                cdbTheme.$body.css('padding-bottom', h);
            });

            detector.partiallyExitViewport( function () {
                footer_holder.addClass('visible');
            }),
                detector.fullyEnterViewport(function () {
                    footer_holder.removeClass('visible');
                });
        }

        fixedFooter(fixedFooterClass);

        cdbTheme.$window.on('resize', _.debounce(function(){
            fixedFooter(fixedFooterClass);
        }, 50) );

        function parallaxBg() {
            var selector = $('.parallax-bg'),
                args = {
                    forceHeight: false,
                    mobileCheck: function() {
                        return false;
                    },
                    render: function() {
                        if (typeof window.vcParallaxSkroll !== 'undefined') {
                            if (vcParallaxSkroll) {
                                vcParallaxSkroll.refresh();
                            }
                        }
                    }
                };

            var s = skrollr.init(args);

        }

        parallaxBg();

        // Media Player Audio
        var audioPlayer = $('audio.cdb-blog-audio');
        audioPlayer.mediaelementplayer({
            audioWidth: '100%'
        });

        // Nice Select
        function selectMethod(Action) {

            if ( $('.woocommerce').length != 0 ) {
                $('.woocommerce-ordering .orderby').niceSelect(Action);
            }

            $('.widget_archive select, .widget_categories select.postform, .widget_product_categories select.dropdown_product_cat').niceSelect(Action);

        }

        selectMethod();


        // Product Images Zoom
        function productZoom() {
            var $zoomTarget = $( '.woocommerce-product-gallery__image:not(:first)' ),
                zoomEnabled = false;

            $( $zoomTarget ).each( function( index, target ) {
                var image = $( target ).find( 'img' );
                if ( image.data( 'large_image_width' ) > $( '.woocommerce-product-gallery' ).width() ) {
                    zoomEnabled = true;
                    return false;
                }
            } );

            // But only zoom if the img is larger than its container.
            if ( zoomEnabled ) {
                var zoom_options = {
                    touch: false
                };

                if ( 'ontouchstart' in window ) {
                    zoom_options.on = 'click';
                }

                $zoomTarget.trigger( 'zoom.destroy' );
                $zoomTarget.zoom( zoom_options );
            }
        }

        productZoom();

        // Single Product Images
        function productImages() {
            // Init Photoswipe

            var currentImage,
                $productGallery = $('.woocommerce-product-gallery'),
                $mainImages = $('.woocommerce-product-gallery__wrapper'),
                $thumbs = $productGallery.find('.thumbnails-holder'),
                currentClass = 'current-image',
                gallery = $('.photoswipe-images'),
                PhotoSwipeTrigger = '.cdb-product-gallery-opener',
                galleryType = 'photo-swipe'; // photo-swipe

            $thumbs.addClass('is-active');

            PhotoSwipeTrigger += ', .woocommerce-product-gallery__image a';

            $productGallery.on('click', '.woocommerce-product-gallery__image a', function(e) {
                e.preventDefault();
            });

            $productGallery.on('click', PhotoSwipeTrigger, function(e) {
                e.preventDefault();

                currentImage = $(this).attr('href');

                if( galleryType == 'photo-swipe' ) {

                    // build items array
                    var items = getProductItems();

                    callPhotoSwipe( getCurrentGalleryIndex(e), items );

                }

            });

            gallery.each(function() {
                var $this = $(this);
                $this.on('click', 'a', function(e) {
                    e.preventDefault();
                    var index = $(e.currentTarget).data('index') - 1;
                    var items = getGalleryItems($this, []);
                    callPhotoSwipe(index, items);
                } );
            });

            var callPhotoSwipe = function( index, items ) {
                var pswpElement = document.querySelectorAll('.pswp')[0];

                if( $('body').hasClass('rtl') ) {
                    index = items.length - index - 1;
                    items = items.reverse();
                }

                // define options (if needed)
                var options = {
                    index: index, // start at first slide
                    getThumbBoundsFn: function(index) {
                    }
                };

                // Initializes and opens PhotoSwipe
                var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);
                gallery.init();
            };

            var getCurrentGalleryIndex = function( e ) {
                if( $mainImages.hasClass('owl-carousel') )
                    return $mainImages.find('.owl-item.active').index();
                else return $(e.currentTarget).parent().index();
            };

            var getProductItems = function() {
                var items = [];

                $mainImages.find('figure a img').each(function() {
                    var src = $(this).attr('data-large_image'),
                        width = $(this).attr('data-large_image_width'),
                        height = $(this).attr('data-large_image_height'),
                        title = $(this).attr('title');

                    items.push({
                        src: src,
                        w: width,
                        h: height,
                        title: false
                    });

                });

                return items;
            };

            var getGalleryItems = function( $gallery, items ) {
                var src, width, height, title;

                $gallery.find('a').each(function() {
                    src = $(this).attr('href');
                    width = $(this).data('width');
                    height = $(this).data('height');
                    title = $(this).attr('title');
                    if( ! isItemInArray(items, src) ) {
                        items.push({
                            src: src,
                            w: width,
                            h: height,
                            title: title
                        });
                    }
                });

                return items;
            };

            var isItemInArray = function( items, src ) {
                var i;
                for (i = 0; i < items.length; i++) {
                    if (items[i].src == src) {
                        return true;
                    }
                }

                return false;
            };

            if ( $productGallery.length ) {
                /* Fix zoom for first item firstly */
                var zoom_target   = $( '.woocommerce-product-gallery__image' );
                var image_to_zoom = zoom_target.find( 'img' );

                zoom_target.trigger( 'zoom.destroy' );
                zoom_target.zoom({
                    touch: false
                });
            }
        }

        productImages();

        $("a.woocommerce-review-link").on('click', function(e) {
            e.preventDefault();

            TweenLite.to(window, 1, {scrollTo:{y:".reviews_tab", offsetY:70}, ease:Power4.easeOut});
        });

        // Single Product Gallery
        function productImagesGallery() {

            var $mainImages = $('.woocommerce-product-gallery__image:eq(0) img'),
                $thumbs = $('.images .thumbnails-holder'),
                $mainOwl;

            initMainGallery();

            function initMainGallery() {

                $('.woocommerce-product-gallery__wrapper').addClass('owl-carousel').owlCarousel({
                    items: 1,
                    autoplay: false,
                    dots: false,
                    nav: false,
                    autoHeight: true,
                    navText:false,
                    loop: false,
                    onRefreshed: function() {
                        $(window).resize();
                    }
                });

                $mainOwl = $('.woocommerce-product-gallery__wrapper').owlCarousel();

            }


            function initThumbnailsMarkup() {
                var markup = '';

                $('.woocommerce-product-gallery__image').each(function() {
                    markup += '<img src="' + $(this).data('thumb') + '" />';
                });

                $thumbs.append(markup);

            };

            initThumbnailsMarkup();

            initThumbnailsHorizontal();

            function initThumbnailsHorizontal() {
                $thumbs.addClass('owl-carousel').owlCarousel({
                    rtl: $('body').hasClass('rtl'),
                    items: 4,
                    responsive: {
                        979: {
                            items: 4,
                        },
                        768: {
                            items: 4,
                        },
                        479: {
                            items: 4,
                        },
                        0: {
                            items: 2,
                        }
                    },
                    dots:false,
                    nav: true,
                    // mouseDrag: false,
                    navText: false,
                });

                var $thumbsOwl = $thumbs.owlCarousel();

                $thumbs.on('click', '.owl-item', function(e) {
                    var i = $(this).index();
                    $thumbsOwl.trigger('to.owl.carousel', i);
                    $mainOwl.trigger('to.owl.carousel', i);
                });

                $mainOwl.on('changed.owl.carousel', function(e) {
                    var i = e.item.index;
                    $thumbsOwl.trigger('to.owl.carousel', i);
                    $thumbs.find('.active-thumb').removeClass('active-thumb');
                    $thumbs.find('.owl-item').eq(i).addClass('active-thumb');
                });

                $thumbs.find('.owl-item').eq(0).addClass('active-thumb');
            };


        }

        productImagesGallery();

        // Quantity Bind Click Events
        $( document ).on( 'click', '.plus, .minus', function() {

            // Get values
            var $qty		= $( this ).closest( '.quantity' ).find( '.qty' ),
                currentVal	= parseFloat( $qty.val() ),
                max			= parseFloat( $qty.attr( 'max' ) ),
                min			= parseFloat( $qty.attr( 'min' ) ),
                step		= $qty.attr( 'step' );

            // Format values
            if ( ! currentVal || currentVal === '' || currentVal === 'NaN' ) currentVal = 0;
            if ( max === '' || max === 'NaN' ) max = '';
            if ( min === '' || min === 'NaN' ) min = 0;
            if ( step === 'any' || step === '' || step === undefined || parseFloat( step ) === 'NaN' ) step = 1;

            // Change the value
            if ( $( this ).is( '.plus' ) ) {

                if ( max && ( max == currentVal || currentVal > max ) ) {
                    $qty.val( max );
                } else {
                    $qty.val( currentVal + parseFloat( step ) );
                }

            } else {

                if ( min && ( min == currentVal || currentVal < min ) ) {
                    $qty.val( min );
                } else if ( currentVal > 0 ) {
                    $qty.val( currentVal - parseFloat( step ) );
                }

            }

            // Trigger change event
            $qty.trigger( 'change' );

        });

        // Shop Masonry
        $('.products.grid-masonry').each(function ( i, el ) {
            var $this = $(el);

            var $grid = $this.isotope({
                itemSelector: '.product',
                layoutMode: 'packery',
                isOriginLeft: ! _is_rtl()
            });

            $grid.imagesLoaded().progress( function () {
                $grid.isotope('layout');
            });
        });

        $('a.showlogin').unbind('click').on('click', function(ev) {
            return ev.preventDefault(),
                $('.cdb-login-form').slideToggle(),
                false
        });

        $('.checkout_coupon').css('display', '');

        $('a.showcoupon').unbind('click').on('click', function(t) {
            return t.preventDefault(),
                $('.cdb-checkout-coupon-form-holder').slideToggle(),
                false
        });

        // Countdown Timer
        $('.cdb-countdown-timer').each(function(){
            $(this).countdown($(this).data('date'), function(event) {
                $(this).html(event.strftime(''
                    + '<span class="countdown-days"><span class="number">%-D </span><span class="text">' + goseowp_options.countdown_days + '</span></span> '
                    + '<span class="countdown-hours"><span class="number">%H </span><span class="text">' + goseowp_options.countdown_hours + '</span></span> '
                    + '<span class="countdown-min"><span class="number">%M </span><span class="text">' + goseowp_options.countdown_mins + '</span></span> '
                    + '<span class="countdown-sec"><span class="number">%S </span><span class="text">' + goseowp_options.countdown_sec + '</span></span>'));
            });
        });

        function cdbAnimatedCounter() {

            var counters = $('.cdb-counter-number');

            if (counters.length) {
                counters.each(function () {
                    var counter = $(this);
                    counter.appear(function () {
                        counter.parent().css({'opacity': 1});

                        //Counter zero type
                        var max = parseFloat(counter.text());
                        counter.countTo({
                            from: 0,
                            to: max,
                            speed: 1500,
                            refreshInterval: 100
                        });

                    }, {accX: 0, accY: 0});
                });
            }

        }

        cdbAnimatedCounter();

        function cdbPieChart() {
            var pieCharts = $('.cdb-pie-chart-wrapper');

            if ( pieCharts.length ) {

                pieCharts.each(function () {

                    var pieChart = $(this),
                        percentageHolder = pieChart.children('.cdb-pie-chart-inner'),
                        pieCounter = $('.cdb-pie-counter'),
                        barColor,
                        trackColor,
                        lineWidth = 8,
                        size = 194;

                    if (typeof percentageHolder.data('size') !== 'undefined' && percentageHolder.data('size') !== '') {
                        size = percentageHolder.data('size');
                    }

                    if (typeof pieChart.data('bar-color') !== 'undefined' && pieChart.data('bar-color') !== '') {
                        barColor = pieChart.data('bar-color');
                    }

                    if (typeof pieChart.data('track-color') !== 'undefined' && pieChart.data('track-color') !== '') {
                        trackColor = pieChart.data('track-color');
                    }

                    percentageHolder.appear(function () {
                        counterPieChart(pieChart);
                        percentageHolder.css('opacity', '1');

                        percentageHolder.easyPieChart({
                            barColor: barColor,
                            trackColor: trackColor,
                            scaleColor: false,
                            lineCap: 'butt',
                            lineWidth: lineWidth,
                            animate: 2000,
                            size: size
                        });
                    }, {accX: 0, accY: 0});
                });

            }
        }

        cdbPieChart();

        function counterPieChart(pieChart) {

            pieChart.css('opacity', '1');

            var counter = pieChart.find('.cdb-pie-counter'),
                max = parseFloat(counter.text());

            counter.countTo({
                from: 0,
                to: max,
                speed: 1500,
                refreshInterval: 50
            });

        }

        // Testimonials Carousel
        function testimonialSlider() {
            var carousel = $('.testimonials-slider .owl-carousel');

            if ( carousel.length ) {

                carousel.each( function() {

                    var owl = $(this),
                        autoplay = owl.data('autoplay'),
                        autoplaySpeed = owl.data('speed'),
                        pagination = owl.data('pagination') ? owl.data('pagination') : false,
                        navigation = owl.data('navigation') ? owl.data('navigation') : false,
                        loop = owl.data('loop'),
                        slide_items = owl.data('slider-items');

                    owl.owlCarousel({
                        items: slide_items,
                        responsive: {
                            979: {
                                items: slide_items
                            },
                            768: {
                                items: 2
                            },
                            479: {
                                items: 1
                            },
                            0: {
                                items: 1
                            }
                        },
                        dots: pagination,
                        nav: navigation,
                        autoplay: autoplay,
                        autoplayTimeout: autoplaySpeed,
                        autoheight: true,
                        navText: false,
                        loop: loop,

                        onRefreshed: function() {
                            $(window).resize();
                        }
                    });

                });
            }

        }

        testimonialSlider();

        // Testimonials Masonry
        function testimonialMasonry() {
            var masonryWrapper = $('.testimonials-masonry');

            if ( masonryWrapper.length ) {

                masonryWrapper.imagesLoaded(function() {
                    masonryWrapper.isotope({
                        itemSelector: '.cdb-testimonial-item-holder',
                        resizable: false,
                        layoutMode: 'packery'
                    });
                });
            }
        }

        testimonialMasonry();

        // Auto Type Text
        function autoType() {
            var container = $('.cdb-auto-type');

            container.each(function () {
                var _this = $(this),
                    entry = _this.find('.cdb-auto-type-text'),
                    strings = entry.data('strings'),
                    speed = entry.data('speed') ? entry.data('speed') : 50,
                    start_delay = entry.data('start-delay'),
                    back_delay = entry.data('back-delay'),
                    cursor_char = entry.data('cursor') ? entry.data('cursor') : '|',
                    loop = entry.data('loop') == '-1' || entry.data('loop') > '0' ? true : false,
                    loop_count = entry.data('loop') > 0 ? ( entry.data('loop') - 1 ) : 0

                entry.typed({
                    strings: strings,
                    typeSpeed: speed,
                    startDelay: start_delay,
                    backDelay: back_delay,
                    loop: loop,
                    loopCount: loop_count,
                    contentType: 'html',
                    cursorChar: cursor_char
                });
            });
        }

        autoType();

        // Magnific Popup for Videos
        $('.cdb-video-lightbox').magnificPopup({
            type: 'iframe',
            fixedContentPos: false,
            mainClass: 'mfp-zoom-in',
            removalDelay: 400
        });

        // Mangific Popup for Gallery
        function galleryImages() {
            var galleryWrapper = $('.cdb-images-gallery');

            galleryWrapper.each(function () {
                var _this = $(this);

                _this.magnificPopup({
                    mainClass: 'mfp-zoom-in',
                    type: 'image',
                    delegate: 'a.cdb-gallery-lightbox-link',
                    callbacks: {
                        imageLoadComplete: function()  {
                            var $that = this;
                            setTimeout( function() { $that.wrap.addClass('mfp-image-loaded'); }, 10);
                        },

                        beforeOpen: function() {
                            this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
                        },

                        open: function() {

                            $.magnificPopup.instance.next = function() {
                                var $that = this;

                                this.wrap.removeClass('mfp-image-loaded');
                                setTimeout( function() { $.magnificPopup.proto.next.call($that); }, 100);
                            }

                            $.magnificPopup.instance.prev = function() {
                                var $that = this;

                                this.wrap.removeClass('mfp-image-loaded');
                                setTimeout( function() { $.magnificPopup.proto.prev.call($that); }, 100);
                            }

                        }
                    },
                    removalDelay: 400,
                    gallery: {
                        enabled:true
                    }
                });

            });
        }

        galleryImages();

        // Carousel for Gallery
        function galleryCarousel() {
            var carousel = $('.images-gallery-carousel .owl-carousel');

            if ( carousel.length ) {

                carousel.each( function() {
                    var owl = $(this),
                        autoplay = owl.data('autoplay'),
                        autoplaySpeed = owl.data('speed'),
                        pagination = owl.data('pagination') ? owl.data('pagination') : false,
                        navigation = owl.data('navigation') ? owl.data('navigation') : false,
                        loop = owl.data('loop'),
                        slide_items = owl.data('slider-items');

                    owl.owlCarousel({
                        items: slide_items,
                        responsive: {
                            979: {
                                items: slide_items
                            },
                            768: {
                                items: 2
                            },
                            479: {
                                items: 2
                            },
                            0: {
                                items: 2
                            }
                        },
                        dots: pagination,
                        nav: navigation,
                        autoplay: autoplay,
                        autoplayTimeout: autoplaySpeed,
                        autoheight: true,
                        navText: false,
                        loop: loop,

                        onRefreshed: function() {
                            $(window).resize();
                        }
                    });
                });

            }

        }

        galleryCarousel();

        // Gallery Masonry
        function galleryMasonry() {
            var masonryWrapper = $('.cdb-images-gallery.images-gallery-masonry');

            if ( masonryWrapper.length ) {

                masonryWrapper.imagesLoaded(function() {
                    masonryWrapper.isotope({
                        itemSelector: '.cdb-gallery-item',
                        resizable: false,
                        layoutMode: 'packery'
                    });
                });
            }
        }

        galleryMasonry();


        var rafId = null,
            delay = 150,
            lTime = 0;

        function scroll() {
            var scrollTop = $(window).scrollTop();
            var height = $(window).height()
            var visibleTop = scrollTop + height;
            $('.cdb-animated-box').each(function() {
                var $t = $(this);
                if ($t.hasClass('visible')) { return; }
                var top = $t.offset().top;
                if (top <= visibleTop) {
                    if (top + $t.height() < scrollTop) {
                        $t.removeClass('pending').addClass('visible');
                    } else {
                        $t.addClass('pending');
                        if (!rafId) requestAnimationFrame(reveal);
                    }
                }
            });
        }

        function reveal() {
            rafId = null;
            var now = performance.now();

            if (now - lTime > delay) {
                lTime = now;
                var $ts = $('.pending');
                $($ts.get(0)).removeClass('pending').addClass('visible');
            }


            if ($('.pending').length >= 1) rafId = requestAnimationFrame(reveal);
        }

        $(scroll);
        $(window).scroll(scroll);


        // Service Tabs
        $(".vc_tta-style-cdb-minimal ul.vc_tta-tabs-list li a, .vc_tta-style-service-tabs ul.vc_tta-tabs-list li a").unbind("click").on('click', function() {
            var t = $(this)
                , e = t.closest(".vc_tta-tabs");
            return $("ul.vc_tta-tabs-list li", e).removeClass("vc_active"),
                $("div.vc_tta-panel", e).hide().removeClass("vc_active"),
                $("div" + t.attr("href"), e).fadeIn().addClass("vc_active"),
                t.parent().addClass("vc_active"),
                !1
        });

        function touch_function() {
            return 'ontouchstart' in window        // works on most browsers
                || 'onmsgesturechange' in window;  // works on IE10 with some false positives
        };

        function _rtl() {
            return jQuery("html").is('[dir="rtl"]') ? 'rtl' : 'ltr';
        }

        function _is_rtl() {
            return _rtl() == 'rtl';
        }

    });
} )(jQuery, window);


