<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

if ( post_password_required() ) {
    return;
}
?>
<?php if (comments_open() || get_comments_number()) : ?>

    <?php if ( have_comments() ) : ?>

        <div class="cdb-comment-holder">
            <h3 class="comments-title"><?php
	            printf( wp_kses( _nx( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'nuovowp' ), array() ),
		            number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
	            ?></h3>

            <ul class="commentlist clearfix">
                <?php wp_list_comments(
                    array(
                        'type'		  => 'all',
                        'style'       => 'ul',
                        'short_ping'  => true,
                        'avatar_size' => 80
                    )
                ); ?>
            </ul>

            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
                <div class="navigation">
                    <div class="nav-previous"><?php previous_comments_link(); ?></div>
                    <div class="nav-next"><?php next_comments_link(); ?></div>
                </div><!-- .navigation -->
            <?php } ?>

        </div>
        <?php else : if ( ! comments_open() ) : ?>
            <p class="nocomments"><?php esc_html_e("Comments are closed", 'nuovowp'); ?></p>
        <?php endif; // end ! comments_open() ?>

    <?php endif; ?>

<?php endif; ?>

<?php if ( comments_open() ) :

	// Form arguments
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? ' aria-required="true" data-required="true"' : '' );

	$defaults = array( 'fields' => apply_filters( 'comment_form_default_fields', array(
		'author' => '<div class="row"><div class="col-xs-12 col-sm-6 form-row"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'Name', 'nuovowp' ) . '" class="form-control"/></div>',

		'email'  => '<div class="col-xs-12 col-sm-6 form-row"><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'Email', 'nuovowp' ) . '" class="form-control" /></div>',

		'url'    => '<div class="col-xs-12 col-sm-12 form-row"><input name="url" size="30" id="url" value="' . esc_attr( $commenter['comment_author_url'] ) . '" type="text" placeholder="' . esc_attr__( 'Website', 'nuovowp' ) . '" class="form-control"/></div></div>' ) ),

	                   'comment_field' => '<div class="row"><div class="col-xs-12 col-sm-12 form-row"><textarea name="comment" id="comment"' . $aria_req . ' rows="3" cols="58" class="form-control" placeholder="' . esc_attr__( 'Your Comment', 'nuovowp' ) . '"></textarea></div></div>',

	                   'must_log_in' => '<p class="must-log-in">' .  sprintf( wp_kses(__( 'You must be <a href="%s">logged in</a> to post a comment.', 'nuovowp' ), array('a' => array('href' => array(),'title' => array()))), wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',

	                   'logged_in_as' => '<p class="logged-in-as">' . sprintf( wp_kses(__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'nuovowp' ), array('a' => array('href' => array(),'title' => array()))), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',

	                   'comment_notes_before' => '<p class="comment-notes">' . esc_html__( 'Your email address will not be published.', 'nuovowp' ) . '</p>',
	                   'comment_notes_after' => '',
	                   'id_form' => 'form-comment',
	                   'id_submit' => 'submit',
	                   'title_reply' => esc_html__( 'Leave a Reply', 'nuovowp' ),
	                   'title_reply_to' => esc_html__( 'Leave a Reply to %s', 'nuovowp' ),
	                   'title_reply_before' => '<h3 id="reply-title" class="comment-reply-title">',
	                   'title_reply_after' => '</h3>',
	                   'cancel_reply_link' => esc_attr__( 'Cancel reply', 'nuovowp' ),
	                   'class_submit' => 'submit btn btn-default',
	                   'label_submit' => esc_attr__( 'Submit Comment', 'nuovowp' ),
	);

    ?>

    <div class="cdb-comment-form">

	    <?php comment_form( $defaults ); ?>

    </div>


<?php endif; ?>
