<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

    $footer_widgets = '1';
    $footer_fullwidth = '0';
    $footer_fixed = 'default';
    $footer_color = 'light';

    $subfooter = '1';
    $subfooter_text_right = '';
    $subfooter_text_left = esc_html( '&copy; Copyright 2018 Nuovo. All Rights Reserved', 'nuovowp' );

    $footer_gotop = '1';

    if ( class_exists('Redux') ) {
        $footer_widgets = codebean_option('footer_widgets', '1');
        $footer_fullwidth = codebean_option('footer_fullwidth');
        $footer_fixed = codebean_option('footer_fixed');
        $footer_color = codebean_option('footer_color', 'dark');

        $subfooter = codebean_option('subfooter_visibility');
        $subfooter_text_right = codebean_option('subfooter_text_right');
        $subfooter_text_left = codebean_option('subfooter_text_left');

        $footer_gotop = codebean_option('gotop_button');
    }

    $disable_footer = get_post_meta(get_the_ID(), 'disable_footer', true );

    $footer_classes[] = 'cdb-footer';
    $footer_classes[] = $footer_color;
    $subfooter_classes[] = 'cdb-subfooter';


    if ($footer_fullwidth) {
        $footer_classes[] = 'cdb-footer-wide';
    }

    if ( $footer_fixed !== 'default' ) {
        $footer_classes[] = 'cdb-fixed-footer';

        if ( $footer_fixed == 'fixed-fade' ) {
            $footer_classes[] = 'footer-fade';
        }
    }

    $cond = ($subfooter != '0' && $disable_footer !== 'on');

    // GOSEOWP End Wrapper
    do_action( 'goseowp_wrapper_end' );
?>

        </div> <!-- end: #cdb-content -->

        <?php if ( $cond ) {?>
        <footer class="<?php echo implode( ' ', $footer_classes); ?>">

            <?php if ( $footer_widgets ) {
                get_template_part( 'includes/templates/footer-widgets' );
            } ?>

            <?php if ($subfooter !== '0' && $disable_footer !== 'on' ) { ?>
            <div class="<?php echo implode(' ', $subfooter_classes); ?>">
                <div class="container">
                    <div class="row">
                        <div class="cdb-subfooter-inside">
                            <div class="col-sm-5 cdb-subfooter-left">
                                <?php echo do_shortcode( codebean_esc_script( $subfooter_text_left ) ); ?>
                            </div>
                            <div class="col-sm-2 cdb-subfooter-center">
                                <?php if ( $footer_gotop ) {?>
                                <a href="#" target="_self" class="cdb-go-top">
                                    <i class="fas fa-angle-up"></i>
                                </a>
                                <?php } ?>
                            </div>
                            <div class="col-sm-5 cdb-subfooter-right">
                                <?php if ( $subfooter_text_right != '' ) : ?>
                                    <p><?php echo do_shortcode( codebean_esc_script( $subfooter_text_right ) ); ?></p>
                                <?php else: ?>
                                    <p>&copy; <?php echo date( 'Y ' ); bloginfo( 'name' ); ?>. <?php esc_html_e( 'All rights reserved', 'nuovowp' ) ?></p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php } ?>

        </footer>
        <?php } ?>

    </div> <!-- #site-wrapper -->

<?php
    // Always have wp_footer
    wp_footer();
?>

</body>
</html>