<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

# Constants
include get_template_directory().'/feed.class.php';

define('GOSEO_THEMEDIR', 		get_theme_file_path() . '/');
define('GOSEO_THEMEURL', 		get_theme_file_uri() . '/');
define('GOSEO_THEMEASSETS',	GOSEO_THEMEURL . 'assets/');
define('GOSEO_TD', 			'nuovowp');
define('GOSEO_TS', 			microtime(true));

# Theme Content Width
$content_width = ! isset($content_width) ? 1170 : $content_width;

# Initial Actions
add_action('after_setup_theme', 	'codebean_after_setup_theme');
add_action('init', 					'codebean_init');

add_action('widgets_init', 			'codebean_widgets_init');

add_action('wp_enqueue_scripts', 	'codebean_wp_enqueue_scripts');

add_action('admin_enqueue_scripts', 'codebean_admin_enqueue_scripts');

add_action('wp_footer', 			'codebean_wp_footer');

# Core Files
require get_parent_theme_file_path( 'includes/codebean_functions.php' );
require get_parent_theme_file_path( 'includes/codebean_actions.php' );
require get_parent_theme_file_path( 'includes/codebean_filters.php' );
require get_parent_theme_file_path( 'includes/codebean_vc.php' );
require get_parent_theme_file_path( 'includes/codebean_woocommerce.php' );
require get_parent_theme_file_path( 'includes/codebean_portfolio.php' );

// ACF Custom fields
require get_parent_theme_file_path('includes/acf-fields.php');


// Load Redux extensions - MUST be loaded before your options are set
if (file_exists(dirname(__FILE__) . '/includes/lib/redux-extensions/extensions-init.php')) {
	require_once( dirname(__FILE__) . '/includes/lib/redux-extensions/extensions-init.php' );
}

if ( !isset( $redux_demo ) && file_exists( dirname( __FILE__ ) . '/includes/codebean_options_init.php' ) ) {
	require_once( dirname( __FILE__ ) . '/includes/codebean_options_init.php' );
}

// Ajax
require get_parent_theme_file_path('/includes/ajax.php');

# Library
require get_parent_theme_file_path('includes/lib/class-tgm-plugin-activation.php');
require get_parent_theme_file_path('includes/lib/aq_resizer.php');



