<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Direct access not allowed.
}

define( 'ACF_LITE', true );


// Custom Fields
if ( function_exists( 'register_field_group' ) ) {

    // Post Options
    register_field_group( array(
        'id' => 'acf_post-options',
        'title' => esc_html__( 'Post Settings', 'nuovowp' ),
        'fields' => array(
	        array(
		        'key' => 'field_547celd2b1446',
		        'label' => esc_html__( 'Style', 'nuovowp' ),
		        'name' => '',
		        'type' => 'tab',
	        ),
            array(
                'key' => 'field_843dcel4b2246',
                'label' => esc_html__( 'Artice Style Override', 'nuovowp' ),
                'name' => 'article_style_override',
                'instructions' => esc_html__( 'Override article style?', 'nuovowp' ),
                'type' => 'true_false',
                'default_value' => 0
            ),
	        array(
		        'key' => 'field_243cadq4e1183',
		        'label' => esc_html__( 'Article Style', 'nuovowp' ),
		        'name' => 'article_layout',
		        'instructions' => esc_html__( 'You can choose your Article Style here.', 'nuovowp' ),
		        'type' => 'radio',
		        'default_value' => '',
		        'choices' => array (
			        'style3' => esc_html__( 'Full Image Parallax (No post formats)', 'nuovowp' ),
			        'style1' => esc_html__( 'Full Image with Sidebar (No post formats)', 'nuovowp' ),
			        'style2' => esc_html__( 'Medium Image with Sidebar', 'nuovowp' ),
			        'style4' => esc_html__( 'Small Image with Sidebar', 'nuovowp' ),
		        ),
		        'conditional_logic' => array (
			        'status' => 1,
			        'rules' => array (
				        array (
					        'field' => 'field_843dcel4b2246',
					        'operator' => '==',
					        'value' => '1',
				        ),
			        ),
			        'allorany' => 'all',
		        ),
	        ),
	        array(
		        'key' => 'field_630celd2b2834',
		        'label' => esc_html__( 'Video Format Settings', 'nuovowp' ),
		        'name' => '',
		        'type' => 'tab',
	        ),
	        array(
		        'key' => 'field_54cba2ef32236',
		        'label' => esc_html__( 'Video URL', 'nuovowp' ),
		        'name' => 'post_video',
		        'type' => 'text',
		        'instructions' => esc_html__('Video URL. You can find a list of websites you can embed on Wordpress Embeds', 'nuovowp' ),
		        'default_value' => '',
		        'allow_null' => 0,
		        'multiple' => 0,
	        ),
	        array(
		        'key' => 'field_460dela2e6473',
		        'label' => esc_html__( 'Gallery Format Settings', 'nuovowp' ),
		        'name' => '',
		        'type' => 'tab',
	        ),
	        array(
		        'key' => 'field_5502a7cfce21c',
		        'label' => esc_html__( 'Post Slider Images', 'nuovowp' ),
		        'name' => 'post_slider_images',
		        'type' => 'gallery',
		        'instructions' => esc_html__( 'Add your gallery images here.', 'nuovowp' ),
		        'preview_size' => 'thumbnail',
		        'library' => 'all',
	        ),
	        array(
		        'key' => 'field_5a9bdbbb7d85c',
		        'label' => esc_html__( 'Link Format Settings', 'nuovowp' ),
		        'name' => '',
		        'type' => 'tab',
	        ),
	        array (
		        'key' => 'field_5a9bdbe9bd7fc',
		        'label' => esc_html__( 'Post Link', 'nuovowp' ),
		        'name' => 'post_link',
		        'type' => 'text',
		        'instructions' => esc_html__( 'Enter your external link.', 'nuovowp' ),
		        'placeholder' => 'http://themeforest.com/',
		        'prepend' => '',
		        'append' => '',
		        'formatting' => 'html',
		        'maxlength' => '',
	        ),

        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'post',
                    'order_no' => 0,
                    'group_no' => 0,
                )
            )
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 40,
    ));

    // Page Options
    register_field_group(array(
        'id' => 'acf_page-options',
        'title' => esc_html__( 'Page Options', 'nuovowp' ),
        'fields' => array(
            array(
                'key' => 'field_547dafd2b1182',
                'label' => esc_html__( 'Page Section Title', 'nuovowp' ),
                'name' => '',
                'type' => 'tab',
            ),
            array (
                'key' => 'field_544fd30acf7d3',
                'label' => 'Show Page Title',
                'name' => 'show_page_title',
                'type' => 'true_false',
                'message' => '',
                'default_value' => 1,
            ),
            array (
                'key' => 'field_544fd336cf7d4',
                'label' => esc_html__( 'Main Title', 'nuovowp' ),
                'name' => 'page_heading_custom_title',
                'type' => 'text',
                'instructions' => esc_html__( 'Enter page title to be displayed below the header (optional)', 'nuovowp' ),
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_544fd30acf7d3',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'formatting' => 'html',
                'maxlength' => '',
            ),
            array (
                'key' => 'field_54e624c21c9ef',
                'label' => esc_html__( 'Page Heading Description', 'nuovowp' ),
                'name' => 'page_heading_custom_description',
                'type' => 'textarea',
                'instructions' => esc_html__( 'Enter your custom page heading description here. (Optional)', 'nuovowp' ),
                'conditional_logic' => array (
                    'status' => 1,
                    'rules' => array (
                        array (
                            'field' => 'field_544fd30acf7d3',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                    'allorany' => 'all',
                ),
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 3,
                'formatting' => 'html',
            ),
            array (
                'key' => 'field_547db0c34ab6e',
                'label' => esc_html__( 'Transparent Header', 'nuovowp' ),
                'name' => '',
                'type' => 'tab',
            ),
            array (
                'key' => 'field_547db0kl57f02',
                'label' => esc_html__( 'Enable Transparent Header', 'nuovowp' ),
                'name' => 'enable_transparent_header',
                'type' => 'true_false',
                'message' => '',
                'default_value' => 0,
            ),
            array (
                'key' => 'field_54be6c8a36d9f',
                'label' => esc_html__( 'Custom CSS', 'nuovowp' ),
                'name' => '',
                'type' => 'tab',
            ),
            array (
                'key' => 'field_54be6c9436da0',
                'label' => esc_html__( 'Custom Page Style', 'nuovowp' ),
                'name' => 'page_custom_css',
                'type' => 'textarea',
                'instructions' => esc_html__( 'Set your own custom CSS in this field. You don\'t need to include &lt;style&gt; tags, just enter the CSS.', 'nuovowp' ),
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 15,
                'formatting' => 'html',
            ),
        ),
        'location' => array(
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                    'order_no' => 0,
                    'group_no' => 0,
                ),
            ),
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'product',
                    'order_no' => 0,
                    'group_no' => 3,
                ),
            ),
        ),
        'options' => array (
            'position' => 'normal',
            'layout' => 'default',
            'hide_on_screen' => array (
            ),
        ),
        'menu_order' => 40,
    ));

}