<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

defined( 'ABSPATH' ) or die( "Nothing to see!" );

// Add Do-shortcode for text widgets
function widget_text_do_shortcodes( $text ) {
	return do_shortcode( $text );
}

add_filter( 'widget_text', 'widget_text_do_shortcodes' );

// Social Media Networks by Codebean
if ( class_exists( 'Redux' ) ) {
    function shortcode_cdb_social_networks( $atts = array(), $content = '' ) {
        $custom_icon 		= codebean_option( 'social_network_custom_link_icon' );

        $social_order		= codebean_option( 'social_order' );
        $social_order_list  = apply_filters( 'codebean_social_networks_array', array(
            'fb'      => array(
                'title'  => 'Facebook',
                'icon'   => 'fab fa-facebook-f'
            ),
            'tw'      => array(
                'title'  => 'Twitter',
                'icon'   => 'fab fa-twitter'
            ),
            'lin'     => array(
                'title'  => 'LinkedIn',
                'icon'   => 'fab fa-linkedin-in'
            ),
            'yt'      => array(
                'title'  => 'YouTube',
                'icon'   => 'fab fa-youtube'
            ),
            'vm'      => array(
                'title'  => 'Vimeo',
                'icon'   => 'fab fa-vimeo-v'
            ),
            'drb'     => array(
                'title'  => 'Dribbble',
                'icon'   => 'fab fa-dribbble'
            ),
            'ig'      => array(
                'title'  => 'Instagram',
                'icon'   => 'fab fa-instagram'
            ),
            'pi'      => array(
                'title'  => 'Pinterest',
                'icon'   => 'fab fa-pinterest'
            ),
            'gp'      => array(
                'title'  => 'Google+',
                'icon'   => 'fab fa-google-plus-g'
            ),
            'vk'      => array(
                'title'  => 'VKontakte',
                'icon'   => 'fab fa-vk'
            ),
            'fl'      => array(
                'title'  => 'Flickr',
                'icon'   => 'fab fa-flickr'
            ),
            'be'      => array(
                'title'  => 'Behance',
                'icon'   => 'fab fa-behance'
            ),
            'fs'      => array(
                'title'  => 'Foursquare',
                'icon'   => 'fab fa-foursquare'
            ),
            'sk'      => array(
                'title'  => 'Skype',
                'icon'   => 'fab fa-skype'
            ),
            'tu'      => array(
                'title'  => 'Tumblr',
                'icon'   => 'fab fa-tumblr'
            ),
            'da'      => array(
                'title'  => 'DeviantArt',
                'icon'   => 'fab fa-deviantart'
            ),
            'gh'      => array(
                'title'  => 'GitHub',
                'icon'   => 'fab fa-github'
            ),
            'hz'      => array(
                'title'  => 'Houzz',
                'icon'   => 'fab fa-houzz'
            ),
            'px'      => array(
                'title'  => '500px',
                'icon'   => 'fab fa-500px',
                'prefix' => 's',
            ),
            'xi'      => array(
                'title'  => 'Xing',
                'icon'   => 'fab fa-xing'
            ),
            'vi'      => array(
                'title'  => 'Vine',
                'icon'   => 'fab fa-vine'
            ),
            'sn'      => array(
                'title'  => 'Snapchat',
                'icon'   => 'fab fa-snapchat-ghost',
                'dark'	 => true
            ),
            'em'      => array(
                'title'  => esc_html__( 'Email', 'nuovowp' ),
                'icon'   => 'fas fa-envelope'
            ),
            'yp'      => array(
                'title'  => 'Yelp',
                'icon'   => 'fab fa-yelp'
            ),
            'ta'      => array(
                'title'  => 'TripAdvisor',
                'icon'   => 'fab fa-tripadvisor'
            ),

            'custom'  => array(
                'title'  => codebean_option( 'social_network_custom_link_title' ),
                'href'   => codebean_option( 'social_network_custom_link_link' ),
                'icon'   => 'fab ' . ( $custom_icon ? "fa-{$custom_icon}" : 'fa-plus' ),
            ),
        ) );

        // Social Networks Class
        $class = 'cdb-social-links';

        if ( isset( $atts['class'] ) ) {
            $class .= ' ' . $atts['class'];
        }

        // Rounded Social Networks
        if ( is_array( $atts ) && in_array( 'rounded', $atts ) ) {
            $class .= ' rounded';
        }

        // Colored Text
        if ( is_array( $atts ) && ( in_array( 'colored', $atts ) || 'hover' == get_array_key( $atts, 'colored' ) ) ) {

            if ( is_array( $atts ) && 'hover' == get_array_key( $atts, 'colored' ) ) {
                $class .= ' colored-hover';
            } else {
                $class .= ' colored';
            }
        }

        // Colored Background
        else if ( is_array( $atts ) && ( in_array( 'colored-bg', $atts ) || 'hover' == get_array_key( $atts, 'colored-bg' ) ) ) {

            if ( is_array( $atts ) && 'hover' == get_array_key( $atts, 'colored-bg' ) ) {
                $class .= ' colored-bg-hover';
            } else {
                $class .= ' colored-bg';
            }
        }

        $html = '<ul class="' . esc_attr( $class ) . '">';

        foreach ( $social_order['enabled'] as $key => $title ) {

            if ( $key == 'placebo' ) {
                continue;
            }

            $sn = $social_order_list[ $key ];

            $href = codebean_option( "social_network_link_{$key}" );
            $class = sanitize_title( $title );

            // Prefixed
            if ( isset( $sn['prefix'] ) ) {
                $class = "{$sn['prefix']}-" . $class;
            }

            if ( $key == 'custom' ) {
                $title   = $sn['title'];
                $href    = $sn['href'];
                $class 	 = 'custom';
            }

            $title_span = $title;

            if ( isset( $atts['class'] ) && strpos( $atts['class'], 'rounded' ) >= 0 ) {
                $title_span = $title;
            }

            $link_target = codebean_option( 'social_networks_target_attr', '_blank' );

            if ( is_email( $href ) ) {
                $link_target = '_self';
                $subject = codebean_option( 'social_network_link_em_subject' );

                $href = "mailto:{$href}";

                if ( $subject ) {
                    $href .= '?subject=' . esc_attr( $subject );
                }
            }

            // Dark Class
            if ( ! empty( $sn['dark'] ) ) {
                $class .= ' dark';
            }

            $html .= '<li>';
            $html .= '<a href="' . esc_url( $href ) . '" target="' . esc_attr( $link_target ) . '" class="' . esc_attr( $title ) . '" title="' . esc_attr( $title ) . '">';
            $html .= '<i class="' . $sn['icon'] . '"></i>';
            $html .= '</a>';
            $html .= '</li>';
        }

        $html .= '</ul>';

        return apply_filters( 'shortcode_social_networks_shortcode', $html );

    }

    codebean_add_short( 'cdb_social_networks', 'shortcode_cdb_social_networks' );
}

// Share Network Story
function share_story_network_link( $network, $post_id = null, $class = '', $icon = true ) {

    $title     = esc_attr( get_the_title( $post_id ) );
    $excerpt   = esc_attr( wp_trim_words( codebean_clean_excerpt( get_the_excerpt( $post_id ), true ), 40, '&hellip;' ) );
    $permalink = esc_attr( get_permalink( $post_id ) );

    $networks = array(
        'fb'          => array(
            'url'        => 'https://www.facebook.com/sharer.php?u=' . $permalink,
            'tooltip'    => 'Facebook',
            'name'       => 'facebook',
            'icon'       => 'facebook-f'
        ),

        'tw'          => array(
            'url'        => 'https://twitter.com/share?text=' . $title,
            'tooltip'    => 'Twitter',
            'name'       => 'twitter',
            'icon'       => 'twitter'
        ),

        'gp'          => array(
            'url'        => 'https://plus.google.com/share?url=' . $permalink,
            'tooltip'    => 'Google+',
            'name'       => 'google',
            'icon'       => 'google-plus-g'
        ),

        'tlr'         => array(
            'url'        => 'http://www.tumblr.com/share/link?url=' . $permalink . '&name=' . $title . '&description=' . $excerpt,
            'tooltip'    => 'Tumblr',
            'name'       => 'tumblr',
            'icon'       => 'tumblr'
        ),

        'lin'         => array(
            'url'        => 'https://linkedin.com/shareArticle?mini=true&amp;url=' . $permalink . '&amp;title=' . $title,
            'tooltip'    => 'LinkedIn',
            'name'       => 'linkedin',
            'icon'       => 'linkedin-in'
        ),

        'pi'          => array(
            'url'        => 'https://pinterest.com/pin/create/button/?url=' . $permalink . '&amp;description=' . $title . '&' . ( $post_id ? ( 'media=' . wp_get_attachment_url( get_post_thumbnail_id( $post_id ) ) ) : '' ),
            'tooltip'    => 'Pinterest',
            'name'       => 'pinterest',
            'icon'       => 'pinterest'
        ),

        'vk'          => array(
            'url'        => 'https://vkontakte.ru/share.php?url=' . $permalink . '&title=' . $title . '&description=' . $excerpt,
            'tooltip'    => 'VKontakte',
            'name'       => 'vkontakte',
            'icon'       => 'vk'
        ),

        'em'          => array(
            'url'        => 'mailto:?subject=' . $title . '&body=' . esc_attr( sprintf( esc_html__( 'Enjoy our funniest story: %s', 'nuovowp' ), $permalink ) ),
            'tooltip'    => esc_html__( 'Email', 'nuovowp' ),
            'name'       => 'email',
            'icon'       => 'envelope-o'
        ),

        'pr'          => array(
            'url'        => 'javascript:window.print();',
            'tooltip'    => esc_html__( 'Print', 'nuovowp' ),
            'icon'       => 'print'
        ),
    );

    $network_entry = $networks[ $network ];
    $new_window = $network ? false : true;
    ?>
    <li>
        <a class="<?php echo esc_attr( trim( "{$network_entry['name']} {$class}" ) ); ?>" href="<?php echo esc_url($network_entry['url']); ?>"<?php when_match( $new_window, 'target="_blank"' ); ?> data-toggle="tooltip" data-placement="top" title="<?php echo esc_attr( $network_entry['tooltip'] ); ?>" >
            <?php if ( $icon ) : ?>
                <i class="fab fa-<?php echo esc_attr( $network_entry['icon'] ); ?>"></i>
            <?php else : ?>
                <?php echo esc_html( $network_entry['tooltip'] ); ?>
            <?php endif; ?>
        </a>
    </li>
    <?php
}


// Excerpt Length & More
add_filter( 'excerpt_length', 'codebean_default_excerpt_length' );
add_filter( 'excerpt_more', 'codebean_default_excerpt_more' );

function codebean_default_excerpt_length() {
    return 40;
}

function codebean_short_excerpt_length() {
    return 30;
}

function codebean_supershort_excerpt_length() {
    return 18;
}

function codebean_default_excerpt_more() {
    return "&hellip;";
}

// General Body Classes
function codebean_body_class( $classes ) {

    $fixed_footer = 'default';
    $page_transition = '1';
    $header_top_links = '1';
    $site_width = isset($_GET['site_layout']) ? $_GET['site_layout'] : 'full-width';
    $header_full_width = false;

    if ( class_exists( 'Redux' ) ) {
        $fixed_footer = codebean_option( 'footer_fixed' );
        $page_transition = codebean_option( 'page_transition' );
        $header_top_links = codebean_option( 'header_top_links' );
	    $site_width = isset($_GET['site_layout']) ? $_GET['site_layout'] : codebean_option( 'site_width' );
        $header_full_width = isset($_GET['header_full']) ? $_GET['header_full'] : codebean_option( 'header_full_width' );
    }

    $classes[] = 'site-layout-' . $site_width;

    if ( $header_full_width ) {
        $classes[] = 'header-full-width';
    }

    if ( $fixed_footer !== 'default' ) {
        $classes[] = 'fixed-footer-on';
    }

    if ( $page_transition ) {
        $classes[] = 'cdb-page-load';
    }

    // Transparent Header
    if(has_transparent_header()) {
        $classes[] = 'cdb-transparent-header';

        if( $header_top_links ) {
            $classes[] = 'cdb-top-header-on';
        }
    }

    return $classes;
}

add_filter( 'body_class', 'codebean_body_class' );

// Enqueue Slick Gallery
function codebean_enqueue_slick_slider_library() {
    wp_enqueue_script( 'slick' );
    wp_enqueue_style( 'slick' );
}
