<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

if ( ! defined('GOSEO_THEMEURL' ) ) {
	exit('No direct script access allowed');
}

/**
 * Prepare CSS selectors for theme settions (colors, borders, typography etc.)
 */

return apply_filters( 'goseowp_codebean_get_selectors', array(

	'primary-color' => array(
		'color' => goseowp_codebean_text2line( 'a:hover, h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover, .cdb-header ul.menu li a:hover, .cdb-header div.menu > ul li a:hover, .cdb-transparent-header .cdb-header.cdb-header-fixed.fixed-active .ubermenu.ubermenu-skin-none .ubermenu-item.ubermenu-item-level-0 > .ubermenu-target:hover, .cdb-header.cdb-header-fixed.fixed-active .cdb-regular-header ul.menu > li > a:hover, .cdb-header.cdb-header-fixed.fixed-active .cdb-regular-header div.menu > ul > li > a:hover, .cdb-page-heading .highlight, .product .woocommerce-tabs .tabs li a span, .cdb-custom-checkbox:checked + .cdb-custom-checkbox-label:before, .nice-select .option.selected, .cdb-pagination .page-numbers li > a, .cdb-social-links li a:hover, .cdb-social-links.colored li a.email, .cdb-not-found h6 a, .cdb-sidebar-inner .widget ul li, .cdb-sidebar-inner .widget ul li a:hover, .cdb-sidebar-inner .widget.widget_recent_comments ul li a, .cdb-sidebar-inner .widget.widget_recent_comments ul li .comment-author-link a:hover, .cdb-pricing-table .cdb-pricing-content .cdb-pricing-price, .cdb-testimonials-holder .testimonials .cdb-testimonial-item .cdb-testimonial-user .cdb-testimonial-author-role, .cdb-blog .post.sticky .cdb-post-title a, .cdb-blog .read-more, .commentlist .comment .reply a, .cdb-portfolio-filter .portfolio-filter-list li > a:hover, .portfolio-related-block .related-back-link > a:hover, .page-404 .error-page-title, .search-results-wrapper .search-result-block .result-content .read-more, .woocommerce .cdb-background-box .lost-password-link, .cross-sells .product-holder .price, .woocommerce-form__label-for-checkbox input:checked + span:before, .checkout .woocommerce-checkout-payment a, .products .product .product-info-holder .price, .single-product-page .product-images .cdb-product-gallery-opener-holder .cdb-product-gallery-opener:hover, .single-product-page .summary .price > .amount, .single-product-page .summary .price ins, .single-product-page .summary .product_meta > span a, .single-product-page .variations .reset_variations, .single-product-page .group_table .button, .cdb-sidebar-inner .widget.widget_price_filter .price_slider_wrapper .price_slider_amount .button, .cdb-sidebar-inner .widget .widget_shopping_cart_content ul li a.remove, .cdb-header .ubermenu.ubermenu-skin-none .ubermenu-item:hover > .ubermenu-target, .cdb-header .ubermenu.ubermenu-skin-none .ubermenu-item .ubermenu-submenu .ubermenu-item:hover > .ubermenu-target > .ubermenu-target-title, .cdb-header .ubermenu.ubermenu-skin-none .ubermenu-item .ubermenu-submenu .ubermenu-item:hover > .ubermenu-target > .ubermenu-icon, .wpb_wrapper .vc_tta-accordion.vc_tta-style-cdb-minimal .vc_tta-panel.vc_active .vc_tta-panel-title>a, .wpb_wrapper .vc_tta-tabs.vc_tta-style-service-tabs .vc_tta-tabs-list li.vc_tta-tab.vc_active a, .wpb_wrapper .vc_tta-tabs.vc_tta-tabs-position-left.vc_tta-style-cdb-minimal .vc_tta-tab.vc_active>a, .wpb_wrapper .vc_tta-tabs.vc_tta-tabs-position-left.vc_tta-style-cdb-minimal .vc_tta-tab>a:hover' ),

		'background-color' => goseowp_codebean_text2line( '.woocommerce .product .onsale, .cdb-header ul.menu li a:after, .cdb-header div.menu > ul li a:after, .cdb-transparent-header .cdb-header.cdb-header-fixed.fixed-active .ubermenu.ubermenu-skin-none .ubermenu-item.ubermenu-item-level-0 > .ubermenu-target > .ubermenu-target-title:after, .cdb-footer .cdb-go-top:hover i, .cdb-pagination .page-numbers li > a:hover, .cdb-page-pagination > span.cdb-page-link, .cdb-social-links.rounded.colored-hover li a:hover.email, .cdb-social-links.colored-bg li a.email, .cdb-message-box.alert-default, .cdb-pricing-table .cdb-pricing-top, .cdb-quote-form .cdb-quote-form-header, .cdb-play-button .circle, .cdb-blog .cdb-post-date, .cdb-portfolio-filter .portfolio-filter-list li > a.filter-active, .portfolio-holder .portfolio-entry:hover .portfolio-entry-thumb .overlay:before, .woocommerce-Message, .woocommerce-error, .woocommerce-info, .woocommerce-message, .woocommerce-notice, .cdb-sidebar-inner .widget.widget_price_filter .price_slider_wrapper .price_slider .ui-slider-range, .cdb-sidebar-inner .widget.widget_price_filter .price_slider_wrapper .price_slider .ui-slider-handle, .cdb-header .ubermenu.ubermenu-skin-none .ubermenu-item .ubermenu-target .ubermenu-target-title:after, .owl-nav > div, .owl-dots .owl-dot.active span, .select2-container--default .select2-selection--single:hover, .select2-container--default.select2-container--open.select2-container--above .select2-selection--single, .select2-container--default.select2-container--open.select2-container--below .select2-selection--single, .cdb-header ul.menu li a:after, .cdb-header div.menu > ul li a:after, .cdb-transparent-header .cdb-header.cdb-header-fixed.fixed-active .ubermenu.ubermenu-skin-none .ubermenu-item.ubermenu-item-level-0 > .ubermenu-target > .ubermenu-target-title:after' ),

		'border-color' => goseowp_codebean_text2line( 'blockquote, .cdb-footer .cdb-go-top:hover i, input[type=text]:focus, input[type=number]:focus, input[type=email]:focus, input[type=password]:focus, input[type=url]:focus, input[type=tel]:focus, select:focus, textarea:focus, .form-control:focus, .cdb-custom-radio:checked + .cdb-custom-radio-label:before, .nice-select:active, .nice-select:focus, .cdb-pagination .page-numbers li > a:hover, .cdb-portfolio-filter .portfolio-filter-list li > a.filter-active, .owl-dots .owl-dot:not(.active):hover span, .owl-dots .owl-dot.active span, .select2-container--default .select2-selection--single:hover, .select2-container--default.select2-container--open.select2-container--above .select2-selection--single, .select2-container--default.select2-container--open.select2-container--below .select2-selection--single' ),

		'fill' => goseowp_codebean_text2line( '.cdb-post-nav .back-link a:hover svg' ),
	),

	'btns-default' => array(
		'color' => goseowp_codebean_text2line( '.btn.btn-underline.btn-default' ),
		'background-color' => goseowp_codebean_text2line( '.btn.btn-standard.btn-default' ),
		'border-color' => goseowp_codebean_text2line( '.btn.btn-bordered.btn-default, .btn.btn-underline.btn-default' )
	),

	'btns-default-text' => array(
		'color' => goseowp_codebean_text2line( '.btn.btn-standard.btn-default, .btn.btn-bordered.btn-default' )
	),

	'btns-default-hover' => array(
		'background-color' => goseowp_codebean_text2line( '.btn.btn-standard.btn-default:hover, .btn.btn-bordered.btn-default:hover' ),
		'border-color' => goseowp_codebean_text2line( '.btn.btn-bordered.btn-default:hover' )
	),

	'btns-default-text-hover' => array(
		'color' => goseowp_codebean_text2line( '.btn.btn-standard.btn-default:hover, .btn.btn-bordered.btn-default:hover' )
	),

	'btns-primary' => array(
		'background-color' => goseowp_codebean_text2line( '.button, input[type=submit]' ),
	),

	'btns-primary-text' => array(
		'color' => goseowp_codebean_text2line( '.button, input[type=submit]' ),
	),

	'btns-primary-hover' => array(
		'background-color' => goseowp_codebean_text2line( '.button:hover, .button:focus, input[type=submit]:hover, input[type=submit]:focus' ),
	),

	'btns-primary-text-hover' => array(
		'color' => goseowp_codebean_text2line( '.button:hover, .button:focus, input[type=submit]:hover, input[type=submit]:focus' ),
	),

	'primary-font' => array( '.cdb-sidebar-inner .widget .widget_shopping_cart_content ul li a.remove, .cross-sells .product-holder .product-title, .primary-font, body' ),

	'heading-font' => array( '.cdb-auto-type, .cdb-blog .cdb-post-meta, .cdb-blog .read-more, .cdb-countdown-timer-holder .cdb-countdown-timer .number, .cdb-counter .cdb-counter-number, .cdb-footer .cdb-subfooter, .cdb-header .cdb-logo-holder.cdb-logo-text, .cdb-post-nav .cdb-post-nav-link, .cdb-post-share .post-share-title, .cdb-sidebar-inner .widget.widget_recent_reviews ul li a, .commentlist .comment-body p.meta, .commentlist .comment-text p.meta, .commentlist .comment .comment-meta, .commentlist .comment .vcard, .heading-font, .product .woocommerce-tabs .tabs li, .search-results-wrapper .search-result-block .result-content .read-more, .tag-cloud-link, .tag-link:not(.post), .woocommerce .woocommerce-error, .woocommerce .woocommerce-info, .woocommerce .woocommerce-message, .woocommerce legend, h1, h2, h3, h4, h5, h6' ),

) );