<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// If its not active disable these functions
$active_plugins = apply_filters( 'active_plugins', get_option( 'active_plugins' ) );

if ( is_array( $active_plugins ) && ! in_array( 'js_composer/js_composer.php', $active_plugins ) && function_exists( 'vc_map' ) == false ) {
    return;
} else if ( function_exists( 'vc_map' ) == false ) {
    return;
}

// Set Visual Composer As Theme Mode
function codebean_visual_composer_init() {
    vc_set_as_theme();
}

add_action( 'vc_before_init', 'codebean_visual_composer_init' );

// Default Post Types
function codebean_vc_default_post_types() {

    if ( function_exists( 'vc_set_default_editor_post_types' ) ) {
        $list = array( 'page', 'portfolio' );
        vc_set_default_editor_post_types( $list );
    }
}

add_action( 'vc_before_init', 'codebean_vc_default_post_types' );

// Support for Shortcodes
$codebean_vc_templates_path = get_parent_theme_file_path('includes/lib/vc/');

$codebean_vc_shortcodes = array(


    // Other
    'codebean_button',
    'codebean_animated_box',
    'codebean_icon_box',
    'codebean_section_title',
    'codebean_section_subtitle',
    'codebean_icon_list_item',
    'codebean_team_member',
    'codebean_countdown_timer',
	'codebean_animated_counter',
	'codebean_pricing_table',
	'codebean_quote_form',
	'codebean_testimonials',
	'codebean_autotype',
	'codebean_video_banner',
	'codebean_blog_grid',
	'codebean_gallery',
	'codebean_service_box',
	'codebean_info_box',
	'codebean_google_map',
	'codebean_timeline',
	'codebean_portfolio',
	'codebean_social_networks'

);

foreach ( $codebean_vc_shortcodes as $shortcode_template ) {
    require_once $codebean_vc_templates_path . $shortcode_template . '/map.php';
}

// Customizations
require_once $codebean_vc_templates_path . 'custom-rows.php';
require_once $codebean_vc_templates_path . 'custom-font-icons.php';
require_once $codebean_vc_templates_path . 'custom-tabs.php';

