<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_animated_counter',
	'name'             => esc_html__( 'Animated Counter', 'nuovowp' ),
	'description'      => esc_html__( 'Shows animated counter with label', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Actual Value','nuovowp' ),
			'param_name'    => 'value',
			'description'   => esc_html__('Our final point. For ex.: 95','nuovowp' ),
			'save_always'   => true,
			'admin_label'   => true,
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Label','nuovowp' ),
			'param_name'    => 'label',
			'save_always'   => true,
			'admin_label'   => true,
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__('Add Icon?','nuovowp' ),
			'param_name'    => 'add_icon',
			'description'   => esc_html__('Check this box if you want to add icon for this counter.','nuovowp' ),
			'value'         => '',
			'std'           => 'false',
		),
		array(
			'type' 			=> 'iconpicker',
			'heading' 		=> esc_html__( 'Icon', 'nuovowp' ),
			'param_name' 	=> 'icon',
			'description' 	=> esc_html__( 'Select icon from library.', 'nuovowp' ),
			'value' 		=> '',
			'dependency'    => array('element' => 'add_icon', 'value' => 'true'),
			'settings' 		=> array(
				'type' 			=> 'themify',
				'emptyIcon' 	=> false,
				'iconsPerPage'	=> 3000
			),
			'save_always'   => true,
			'admin_label'   => true,
		),
		array(
			'type'          => 'colorpicker',
			'heading'       => esc_html__( 'Icon Color', 'nuovowp' ),
			'param_name'    => 'icon_color',
			'dependency'    => array('element' => 'add_icon', 'value' => 'true'),
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Icon Custom Font Size', 'nuovowp' ),
			'param_name'    => 'icon_size',
			'dependency'    => array('element' => 'add_icon', 'value' => 'true'),
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__('Size','nuovowp' ),
			'param_name'    => 'size',
			'value'         => array(
				esc_html__('Medium','nuovowp' ) => 'medium',
				esc_html__('Small','nuovowp' ) => 'small',
				esc_html__('Large','nuovowp' ) => 'large',
			)
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Align', 'nuovowp' ),
			'param_name'    => 'align',
			'value'         => array(
				esc_html__( 'Center', 'nuovowp' ) => 'center',
				esc_html__( 'Left', 'nuovowp' ) => 'left',
				esc_html__( 'Right', 'nuovowp' ) => 'right'
			),
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Color scheme', 'nuovowp' ),
			'param_name'    => 'color_scheme',
			'value'         => array(
				esc_html__( 'Dark', 'nuovowp' ) => 'dark',
				esc_html__( 'Light', 'nuovowp' ) => 'light',
				esc_html__( 'Custom', 'nuovowp' ) => 'custom'
			),
			'save_always'   => true,
			'admin_label'   => true,
		),
		array(
			'type'          => 'colorpicker',
			'heading'       => esc_html__( 'Custom text color', 'nuovowp' ),
			'param_name'    => 'text_color',
			'dependency'    => array(
				'element' => 'color_scheme',
				'value' => array( 'custom' )
			)
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'     => 'el_class',
			'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
		),
		array(
			'type'       => 'css_editor',
			'heading'    => 'Css',
			'param_name' => 'css',
			'group'      => esc_html__( 'Design options', 'nuovowp' ),
		)
	)
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Animated_Counter extends WPBakeryShortCode {}
}