<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_autotype',
	'name'             => esc_html__( 'Auto Type', 'nuovowp' ),
	'description'      => esc_html__( 'Animated text typing...', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'          => 'textarea_safe',
			'heading'       => esc_html__('Content', 'nuovowp' ),
			'param_name'    => 'typed_text',
			'admin_label'    => true,
			'description'   => esc_html__( 'You can apply HTML markup too. Text within * will be animated, example: *first text; second text*', 'nuovowp' ),
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__('Show more options', 'nuovowp' ),
			'param_name'     => 'typed_show_options',
			'std'            => 'no',
			'value'          => array(
				esc_html__('Yes','nuovowp' ) => 'yes',
				esc_html__('No', 'nuovowp' ) => 'no',
			),
			'description'    => esc_html__( 'Configure animation options.', 'nuovowp' )
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Character for cursor', 'nuovowp' ),
			'value'			 => '|',
			'description'    => esc_html__( 'Leave empty to remove the blinking cursor.', 'nuovowp' ),
			'param_name'     => 'typed_options_cursorchar',
			'admin_label'    => true,
			'dependency' => array(
				'element'   => 'typed_show_options',
				'value'     => array('yes')
			),
		),
		array(
			'type'           => 'colorpicker',
			'heading'        => esc_html__( 'Animated Text Color', 'nuovowp' ),
			'param_name'     => 'animated_text_color',
			'admin_label'    => true,
			'description'    => esc_html__('Choose custom color for animated text.', 'nuovowp' )
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Iteration loop', 'nuovowp' ),
			'param_name'     => 'typed_options_loopcount',
			'description'    => esc_html__( 'Leave empty for single loop only. Set -1 for infinite loop', 'nuovowp' ),
			'dependency' => array(
				'element'   => 'typed_show_options',
				'value'     => array('yes')
			),
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Type speed', 'nuovowp' ),
			'value'			 => '10',
			'description'    => esc_html__( 'Type of speed when entering the text. (Unit is milliseconds)', 'nuovowp' ),
			'param_name'     => 'typed_speed',
			'admin_label'    => true,
			'dependency' => array(
				'element'   => 'typed_show_options',
				'value'     => array('yes')
			),
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Start delay', 'nuovowp' ),
			'value'			 => '0',
			'description'    => esc_html__( 'Set delay before starting text typing. (Unit is milliseconds)', 'nuovowp' ),
			'param_name'     => 'typed_options_startdelay',
			'admin_label'    => true,
			'dependency' => array(
				'element'   => 'typed_show_options',
				'value'     => array('yes')
			),
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Back delay', 'nuovowp' ),
			'value'			 => '500',
			'description'    => esc_html__( 'Set back delay after text is typed. (Unit is milliseconds)', 'nuovowp' ),
			'param_name'     => 'typed_options_backdelay',
			'dependency' => array(
				'element'   => 'typed_show_options',
				'value'     => array('yes')
			),
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'     => 'el_class',
			'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		),
	)
) );

if ( class_exists('WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_AutoType extends WPBakeryShortCode {}
}