<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

$colors_arr = array(
    esc_html__( 'Primary', 'nuovowp' )    => 'btn-primary',
    esc_html__( 'Secondary', 'nuovowp' )  => 'btn-default',
    esc_html__( 'Blue', 'nuovowp' )       => 'btn-blue',
    esc_html__( 'Red', 'nuovowp' )        => 'btn-red',
    esc_html__( 'Green', 'nuovowp' )      => 'btn-green',
    esc_html__( 'Yellow', 'nuovowp' )     => 'btn-yellow',
    esc_html__( 'Light', 'nuovowp' )      => 'btn-light',
);

vc_map( array(
    'base'             => 'codebean_button',
    'name'             => esc_html__( 'Button', 'nuovowp' ),
    'description'      => esc_html__( 'Insert button link', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Button Title', 'nuovowp' ),
            'param_name'     => 'title',
            'admin_label'    => true,
            'value'          => ''
        ),
        array(
            'type'           => 'vc_link',
            'heading'        => esc_html__( 'Button Link', 'nuovowp' ),
            'param_name'     => 'link',
        ),
        array(
            'type'           => 'dropdown',
            'heading'        => esc_html__( 'Button Type', 'nuovowp' ),
            'param_name'     => 'type',
            'std'            => 'default',
            'admin_label'    => true,
            'value'          => array(
                esc_html__( 'Standard', 'nuovowp' ) => 'standard',
                esc_html__( 'Outlined', 'nuovowp' ) => 'bordered',
	            esc_html__( 'Underline', 'nuovowp' ) => 'underline',
             ),
            'description' => esc_html__( 'Set spacing for logo columns.', 'nuovowp' ),
        ),
        array(
            'type'           => 'dropdown',
            'heading'        => esc_html__( 'Button Size', 'nuovowp' ),
            'param_name'     => 'size',
            'std'            => 'btn-normal',
            'value'          => array(
                esc_html__( 'Tiny', 'nuovowp' )      => 'btn-xsmall',
                esc_html__( 'Small', 'nuovowp' )     => 'btn-small',
                esc_html__( 'Normal', 'nuovowp' )    => 'btn-normal',
                esc_html__( 'Medium', 'nuovowp' )    => 'btn-medium',
                esc_html__( 'Large', 'nuovowp' )     => 'btn-large',
                esc_html__( 'Full Width', 'nuovowp' ) => 'btn-fullwidth'
            ),
            'description' => esc_html__( 'Set spacing for logo columns.', 'nuovowp' ),
        ),
        array(
            'type'           => 'dropdown',
            'heading'        => esc_html__( 'Background Color', 'nuovowp' ),
            'param_name'     => 'button_bg',
            'value'          => array_merge( $colors_arr, array( esc_html__( 'Custom color', 'nuovowp' ) => 'custom' ) ),
            'std'            => 'btn-primary',
            'description'    => esc_html__( 'Select button background (and/or border) color.', 'nuovowp' ),
        ),
        array(
            'type'           => 'colorpicker',
            'heading'        => esc_html__( 'Custom Background Color', 'nuovowp' ),
            'param_name'     => 'button_bg_custom',
            'description'    => esc_html__( 'Custom background color for button.', 'nuovowp' ),
            'dependency'     => array(
                'element'   => 'button_bg',
                'value'     => array( 'custom' )
            ),
        ),
        array(
            'type'           => 'colorpicker',
            'heading'        => esc_html__( 'Custom Text Color', 'nuovowp' ),
            'param_name'     => 'button_txt_custom',
            'description'    => esc_html__( 'Custom text color for button.', 'nuovowp' ),
            'dependency'     => array(
                'element'   => 'button_bg',
                'value'     => array( 'custom' )
            ),
        ),
        array(
            'type'           => 'colorpicker',
            'heading'        => esc_html__( 'Custom Text Color', 'nuovowp' ),
            'param_name'     => 'button_txt_hover_custom',
            'description'    => esc_html__( 'Custom text hover color for button (where applied).', 'nuovowp' ),
            'dependency'     => array(
                'element'   => 'button_bg',
                'value'     => array( 'custom' )
            ),
        ),
	    array(
		    'type'          => 'checkbox',
		    'heading'       => esc_html__('Add Icon?','nuovowp'),
		    'param_name'    => 'show_icon',
		    'description'   => esc_html__('Check this box to add icon.','nuovowp'),
	    ),
	    array(
		    'type' 			=> 'iconpicker',
		    'heading' 		=> esc_html__( 'Icon', 'nuovowp' ),
		    'param_name' 	=> 'icon',
		    'description' 	=> esc_html__( 'Select icon from library.', 'nuovowp' ),
		    'value' 		=> '',
		    'dependency'  => array('element' => 'show_icon', 'value' => 'true' ),
	    ),
        array(
            'type'          => 'dropdown',
	        'heading'       => esc_html__( 'Icon Position', 'nuovowp' ),
	        'description'   => esc_html__( 'Choose to show icon left or right', 'nuovowp' ),
	        'param_name'    => 'icon_position',
	        'dependency'    => array('element' => 'show_icon', 'value' => 'true' ),
	        'value'         => array(
	        	esc_html__( 'Left', 'nuovowp' ) => 'left',
		        esc_html__( 'Right', 'nuovowp' ) => 'right',
	        )
        ),
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'     => 'el_class',
            'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => 'Css',
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'nuovowp' ),
        )
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Button extends WPBakeryShortCode {}
}