<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_countdown_timer',
    'name'             => esc_html__( 'Countdown timer', 'nuovowp' ),
    'description'      => esc_html__( 'Shows countdown timer', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Date', 'nuovowp' ),
            'param_name'    => 'date',
            'admin_label'   => true,
            'description'   => esc_html__( 'Final date in the format Y/m/d. For example 2017/12/12', 'nuovowp' )
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Size', 'nuovowp' ),
            'param_name'    => 'size',
            'value'         => array(
                esc_html__( 'Small', 'nuovowp' ) => 'small',
                esc_html__( 'Medium', 'nuovowp' ) => 'medium',
                esc_html__( 'Large', 'nuovowp' ) => 'large',
            ),
            'admin_label'   => true,
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Align', 'nuovowp' ),
            'param_name'    => 'align',
            'value'         => array(
                esc_html__( 'left', 'nuovowp' ) => 'left',
                esc_html__( 'center', 'nuovowp' ) => 'center',
                esc_html__( 'right', 'nuovowp' ) => 'right',
            ),
            'admin_label'   => true,
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Style', 'nuovowp' ),
            'param_name'    => 'style',
            'value'         => array(
                esc_html__( 'Standard', 'nuovowp' ) => 'standard',
                esc_html__( 'Transparent', 'nuovowp' ) => 'transparent',
            ),
            'admin_label'   => true,
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
        )
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Countdown_Timer extends WPBakeryShortCode {}
}