<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_gallery',
	'name'             => esc_html__( 'Images Gallery', 'nuovowp' ),
	'description'      => esc_html__( 'Images grid/carousel', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'           => 'attach_images',
			'heading'        => esc_html__( 'Images', 'nuovowp' ),
			'param_name'     => 'images',
			'value'          => '',
			'description'    => esc_html__( 'Select images from media library.', 'nuovowp' )
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Image Size', 'nuovowp' ),
			'param_name'     => 'img_size',
			'value'          => '',
			'description'    => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'nuovowp' )
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__( 'View', 'nuovowp' ),
			'param_name'     => 'view',
			'save_always'    => true,
			'admin_label'    => true,
			'value'          => array(
				esc_html__('Default grid', 'nuovowp') => 'grid',
				esc_html__('Masonry grid', 'nuovowp') => 'masonry',
				esc_html__('Carousel', 'nuovowp') => 'carousel',
			)
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__( 'Slides per view', 'nuovowp' ),
			'param_name'     => 'slides_per_view',
			'value'          => array(
				1,2,3,4,5,6,7,8
			),
			'dependency'     => array(
				'element' => 'view',
				'value' => array( 'carousel' ),
			),
			'description'    => esc_html__( 'Set numbers of slides you want to display at the same time on slider\'s container for carousel mode.', 'nuovowp' )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Slider Autoplay', 'nuovowp' ),
			'param_name'    => 'autoplay',
			'description'   => esc_html__( 'Enable slider autoplay mode', 'nuovowp' ),
			'dependency'    => array( 'element' => 'view', 'value' => array('carousel') ),
			'group'         => esc_html__( 'Carousel', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Pagination', 'nuovowp' ),
			'param_name'    => 'show_pagination_control',
			'description'   => esc_html__( 'If "YES" pagination control will be added', 'nuovowp' ),
			'dependency'    => array( 'element' => 'view', 'value' => array('carousel') ),
			'group'         => esc_html__( 'Carousel', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Prev/Next Buttons', 'nuovowp' ),
			'param_name'    => 'show_prev_next_buttons',
			'description'   => esc_html__( 'If "YES" prev/next control will be added', 'nuovowp' ),
			'dependency'    => array( 'element' => 'view', 'value' => array('carousel') ),
			'group'         => esc_html__( 'Carousel', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Carousel Loop', 'nuovowp' ),
			'param_name'    => 'wrap',
			'description'   => esc_html__( 'Enables loop mode for carousel', 'nuovowp' ),
			'dependency'    => array( 'element' => 'view', 'value' => array('carousel') ),
			'group'         => esc_html__( 'Carousel', 'nuovowp' ),
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__( 'Columns', 'nuovowp' ),
			'param_name'     => 'columns',
			'save_always'    => true,
			'description'    => esc_html__( 'How much columns grid', 'nuovowp' ),
			'value' => array(
				'1' => 1,
				'2' => 2,
				'3' => 3,
				'4' => 4,
				'5' => 5,
				'6' => 6,
			),
			'dependency'     => array(
				'element' => 'view',
				'value' => array( 'grid', 'masonry' ),
			),
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__( 'On click action', 'nuovowp' ),
			'param_name'     => 'on_click',
			'value'          => array(
				esc_html__('Lightbox','nuovowp') => 'lightbox',
				esc_html__('Custom link', 'nuovowp') => 'links',
				esc_html__('None', 'nuovowp') => 'none'
			),
			'group'         => esc_html__( 'Settings', 'nuovowp' ),
		),
		array(
			'type'           => 'exploded_textarea_safe',
			'heading'        => esc_html__( 'Custom links', 'nuovowp' ),
			'param_name'     => 'custom_links',
			'description'    => esc_html__( 'Enter links for each slide (Note: divide links with linebreaks (Enter)).', 'nuovowp' ),
			'dependency'     => array(
				'element' => 'on_click',
				'value' => array( 'links' ),
			),
			'group'         => esc_html__( 'Settings', 'nuovowp' ),
		),
		array(
			'type'           => 'checkbox',
			'heading'        => esc_html__( 'Open in new tab', 'nuovowp' ),
			'save_always'    => true,
			'param_name'     => 'target_blank',
			'value'          => array( esc_html__( 'Yes, please', 'nuovowp' ) => 'yes' ),
			'default'        => 'yes',
			'dependency'     => array(
				'element' => 'on_click',
				'value' => array( 'links' ),
			),
			'group'         => esc_html__( 'Settings', 'nuovowp' ),
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'    => 'el_class',
			'description'   => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		),
	)
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Gallery extends WPBakeryShortCode {}
}