<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_google_map',
	'name'             => esc_html__( 'Google Map', 'nuovowp' ),
	'description'      => esc_html__( 'Shows Google map block', 'nuovowp' ),
	'as_parent'        => array( 'except' => 'codebean_testimonials, codebean_testimonial_item' ),
	'content_element'  => true,
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Latitude (required)', 'nuovowp' ),
			'param_name' => 'lat',
			'std' => '39.950557',
			'description' => esc_html__( 'You can use this page to coordinates of your location: https://www.gps-coordinates.org/', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Longitude (required)', 'nuovowp' ),
			'param_name' => 'lon',
			'std' => '-75.140658'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Google API key (required)', 'nuovowp' ),
			'param_name' => 'google_key',
			'description' => esc_html__( 'Obtain API key from Google API, to use Map', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'nuovowp' ),
			'param_name' => 'title'
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Text on marker', 'nuovowp' ),
			'param_name' => 'marker_text'
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Marker icon', 'nuovowp' ),
			'param_name' => 'marker_icon'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Zoom', 'nuovowp' ),
			'param_name' => 'zoom',
			'std' => '0',
			'description' => esc_html__( 'Zoom level when focus the marker 0 - 19', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Height', 'nuovowp' ),
			'param_name' => 'height',
			'std' => '400',
			'description' => esc_html__( 'Default: 400', 'nuovowp' )
		),
		array(
			'type' => 'textarea_raw_html',
			'heading' => esc_html__( 'Styles (JSON)', 'nuovowp' ),
			'param_name' => 'style_json',
			'description' => esc_html__( 'Get your prefered style on http://snazzymaps.com/', 'nuovowp' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Zoom with mouse wheel', 'nuovowp' ),
			'param_name' => 'scroll',
			'value' => array(
				esc_html__( 'Yes', 'nuovowp' ) => 'yes',
				esc_html__( 'No', 'nuovowp' ) => 'no',
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Content on the map vertical position', 'nuovowp' ),
			'param_name' => 'content_vertical',
			'value' => array(
				esc_html__( 'Top', 'nuovowp' ) => 'top',
				esc_html__( 'Middle', 'nuovowp' ) => 'middle',
				esc_html__( 'Bottom', 'nuovowp' ) => 'bottom',
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Content on the map horizontal position', 'nuovowp' ),
			'param_name' => 'content_horizontal',
			'value' => array(
				esc_html__( 'Left', 'nuovowp' ) => 'left',
				esc_html__( 'Center', 'nuovowp' ) => 'center',
				esc_html__( 'Right', 'nuovowp' ) => 'right',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Content width', 'nuovowp' ),
			'param_name' => 'content_width',
			'std' => '300',
			'description' => esc_html__( 'Default: 300', 'nuovowp' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Map mask', 'nuovowp' ),
			'param_name' => 'mask',
			'value' => array(
				'' => '',
				esc_html__( 'Dark', 'nuovowp' ) => 'dark',
				esc_html__( 'Light', 'nuovowp' ) => 'light',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		)
	),
	'js_view'          => 'VcColumnView'
) );


if ( class_exists('WPBakeryShortCodesContainer') ) {
	class WPBakeryShortCode_Codebean_Google_Map extends WPBakeryShortCodesContainer {}
}