<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_icon_box',
    'name'             => esc_html__( 'Icon Boxes', 'nuovowp' ),
    'description'      => esc_html__( 'Insert icon box', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
	    array(
		    'type' => 'vc_link',
		    'heading' => esc_html__( 'URL (Link)', 'nuovowp' ),
		    'param_name' => 'link',
	    ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Icon Type', 'nuovowp' ),
            'param_name'  => 'icon_style',
            'value'       => array(
                esc_html__( 'Icon Font', 'nuovowp' ) => 'icon-font',
                esc_html__( 'Image', 'nuovowp' ) => 'image',
            ),
            'save_always' => true,
            'admin_label' => true,
        ),
        array(
            'type' 			=> 'iconpicker',
            'heading' 		=> esc_html__( 'Icon', 'nuovowp' ),
            'param_name' 	=> 'icon',
            'description' 	=> esc_html__( 'Select icon from library.', 'nuovowp' ),
            'value' 		=> '',
            'dependency'    => array('element' => 'icon_style', 'value' => array('icon-font')),
            'settings' 		=> array(
                'type' 			=> 'themify',
                'emptyIcon' 	=> false,
                'iconsPerPage'	=> 3000
            ),
        ),
        array(
            'type'           => 'attach_image',
            'heading'        => esc_html__( 'Custom Image', 'nuovowp' ),
            'param_name'     => 'custom_icon',
            'dependency'  => array('element' => 'icon_style', 'value' => array('image')),
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Icon Position', 'nuovowp' ),
            'param_name'  => 'icon_position',
            'value'       => array(
                esc_html__( 'Top', 'nuovowp' )             => 'top',
                esc_html__( 'Left', 'nuovowp' )            => 'left',
                esc_html__( 'Right', 'nuovowp' )           => 'right'
            ),
            'description' => esc_html__( 'Set icon position where you want it to show.', 'nuovowp' ),
            'save_always' => true,
            'admin_label' => true
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Icon Style', 'nuovowp' ),
            'param_name'  => 'icon_type',
            'value'       => array(
                esc_html__( 'Normal', 'nuovowp' ) => 'normal',
                esc_html__( 'Circle', 'nuovowp' ) => 'circle',
                esc_html__( 'Square', 'nuovowp' ) => 'square'
            ),
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__( 'This attribute doesn\'t work when Icon Position is Top. In This case Icon Type is Normal','nuovowp' ),
            'dependency'  => array('element' => 'icon_style', 'value' => array('icon-font')),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Icon Size', 'nuovowp' ),
            'param_name'  => 'icon_size',
            'value'       => array(
                esc_html__( 'Tiny', 'nuovowp' )       => 'cdb-icon-tiny',
                esc_html__( 'Small', 'nuovowp' )      => 'cdb-icon-small',
                esc_html__( 'Medium', 'nuovowp' )     => 'cdb-icon-medium',
                esc_html__( 'Large', 'nuovowp' )      => 'cdb-icon-large',
                esc_html__( 'Very Large', 'nuovowp' ) => 'cdb-icon-huge'
            ),
            'admin_label' => true,
            'save_always' => true,
            'description' => esc_html__( 'This attribute doesn\'t work when Icon Position is Top', 'nuovowp' ),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'       => 'textfield',
            'heading'    => esc_html__( 'Custom Icon Size (px)', 'nuovowp' ),
            'param_name' => 'custom_icon_size',
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Icon Margin', 'nuovowp' ),
            'param_name'  => 'icon_margin',
            'value'       => '',
            'description' => esc_html__( 'Margin should be set in a top right bottom left format', 'nuovowp' ),
            'admin_label' => true,
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Shape Size (px)', 'nuovowp' ),
            'param_name'  => 'shape_size',
            'description' => '',
            'admin_label' => true,
            'dependency'  => array('element' => 'icon_style', 'value' => array('icon-font')),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Line height (px)', 'nuovowp'),
            'param_name'  => 'line_height',
            'admin_label' => true,
            'value'       => '',
            'description' => '',
            'dependency'  => array(
                'element' => 'icon_type',
                'value' => array('circle', 'square')
            ),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'       => 'colorpicker',
            'heading'    => esc_html__( 'Icon Color', 'nuovowp' ),
            'param_name' => 'icon_color',
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__( 'Icon Background Color', 'nuovowp' ),
            'param_name'  => 'icon_background_color',
            'description' => esc_html__( 'Icon Background Color (only for square and circle icon type)', 'nuovowp' ),
            'dependency'  => array('element' => 'icon_type', 'value' => array('square', 'circle')),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Border radius', 'nuovowp'),
            'param_name'  => 'border_radius',
            'description' => esc_html__('Please insert border radius(Rounded corners) in px. For example: 4 ', 'nuovowp'),
            'dependency'  => array(
                'element' => 'type',
                'value' => array('square')
            ),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__( 'Icon Border Color', 'nuovowp' ),
            'param_name'  => 'icon_border_color',
            'description' => esc_html__( 'Only for Square and Circle Icon type', 'nuovowp' ),
            'dependency'  => array('element' => 'icon_type', 'value' => array('square', 'circle')),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Border Width', 'nuovowp' ),
            'param_name'  => 'icon_border_width',
            'description' => esc_html__( 'Only for Square and Circle Icon type', 'nuovowp' ),
            'dependency'  => array('element' => 'icon_type', 'value' => array('square', 'circle')),
            'group'       => esc_html__('Icon Settings', 'nuovowp'),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Title', 'nuovowp' ),
            'param_name'  => 'title',
            'value'       => '',
            'admin_label' => true
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__( 'Title Tag', 'nuovowp' ),
            'param_name' => 'title_tag',
            'value'      => array(
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
            ),
            'std'        => 'h4',
            'dependency' => array('element' => 'title', 'not_empty' => true),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Title Text Transform', 'nuovowp' ),
            'param_name'  => 'title_text_transform',
            'value'       => array_flip(goseowp_codebean_get_text_transform_array(true)),
            'save_always' => true,
            'dependency' => array('element' => 'title', 'not_empty' => true),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Title Text Font Weight', 'nuovowp' ),
            'param_name'  => 'title_text_font_weight',
            'value'       => array_flip(goseowp_codebean_get_font_weight_array(true)),
            'save_always' => true,
            'dependency' => array('element' => 'title', 'not_empty' => true),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'       => 'colorpicker',
            'heading'    => esc_html__( 'Title Color', 'nuovowp' ),
            'param_name' => 'title_color',
            'dependency' => array('element' => 'title', 'not_empty' => true),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'       => 'textarea',
            'heading'    => esc_html__( 'Text', 'nuovowp' ),
            'param_name' => 'text'
        ),
        array(
            'type'       => 'colorpicker',
            'heading'    => esc_html__( 'Text Color', 'nuovowp' ),
            'param_name' => 'text_color',
            'dependency' => array('element' => 'text', 'not_empty' => true),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'       => 'textfield',
            'heading'    => esc_html__( 'Text Left Padding (px)', 'nuovowp' ),
            'param_name' => 'text_left_padding',
            'dependency' => array('element' => 'icon_position', 'value' => array('left')),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'       => 'textfield',
            'heading'    => esc_html__( 'Text Right Padding (px)', 'nuovowp' ),
            'param_name' => 'text_right_padding',
            'dependency' => array('element' => 'icon_position', 'value' => array('right')),
            'group'      => esc_html__('Text Settings', 'nuovowp')
        ),
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'     => 'el_class',
            'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
        ),
        array(
            'type'       => 'css_editor',
            'heading'    => 'Css',
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'nuovowp' ),
        )
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Icon_Box extends WPBakeryShortCode {}
}