<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_icon_list_item',
    'name'             => esc_html__( 'Icon List Item', 'nuovowp' ),
    'description'      => esc_html__( 'Insert icon list', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
	    array(
		    'type' => 'vc_link',
		    'heading' => esc_html__( 'URL (Link)', 'nuovowp' ),
		    'param_name' => 'link',
	    ),
        array(
            'type' 			=> 'iconpicker',
            'heading' 		=> esc_html__( 'Icon', 'nuovowp' ),
            'param_name' 	=> 'icon',
            'description' 	=> esc_html__( 'Select icon from library.', 'nuovowp' ),
            'value' 		=> '',
            'dependency'  => array('element' => 'icon_style', 'value' => array('icon-font')),
            'settings' 		=> array(
                'type' 			=> 'themify',
                'emptyIcon' 	=> false,
                'iconsPerPage'	=> 3000
            ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Icon Size (px)', 'nuovowp'),
            'param_name'  => 'icon_size',
            'description' => ''
        ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__('Icon Color', 'nuovowp'),
            'param_name'  => 'icon_color',
            'description' => ''
        ),
        array(
            'type'        => 'textfield',
            'admin_label' => true,
            'heading'     => esc_html__('Title', 'nuovowp'),
            'param_name'  => 'title',
            'description' => ''
        ),
        array(
            'type'        => 'textfield',
            'admin_label' => true,
            'heading'     => esc_html__('Subtitle', 'nuovowp'),
            'param_name'  => 'subtitle',
            'description' => ''
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Title size (px)', 'nuovowp'),
            'param_name'  => 'title_size',
            'description' => '',
            'dependency'  => array(
                'element'   => 'title',
                'not_empty' => true
            )
        ),
	    array(
		    'type'        => 'checkbox',
		    'heading'     => esc_html__('Title with heading font?','nuovowp'),
		    'param_name'  => 'heading_font',
		    'dependency'  => array(
			    'element'   => 'title',
			    'not_empty' => true
		    )
	    ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__('Title Color', 'nuovowp'),
            'param_name'  => 'title_color',
            'description' => '',
            'dependency'  => array(
                'element'   => 'title',
                'not_empty' => true
            )
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Title Font Weight', 'nuovowp'),
            'param_name'  => 'title_font_weight',
            'value'       => array_flip(goseowp_codebean_get_font_weight_array(true)),
            'description' => '',
            'dependency'  => array(
                'element'   => 'title',
                'not_empty' => true
            )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Spacing between Title and Icon (px)', 'nuovowp'),
            'param_name'  => 'space_title_and_icon',
            'description' => '',
            'save_always' => true
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Margin Bottom (px)', 'nuovowp'),
            'param_name'  => 'margin_bottom',
            'description' => '',
            'save_always' => true
        ),
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'     => 'el_class',
            'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
        ),
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Icon_List_Item extends WPBakeryShortCode {}
}