<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_info_box',
	'name'             => esc_html__( 'Info Box', 'nuovowp' ),
	'description'      => esc_html__( 'Insert info box like message for error, warning etc...', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Info Type', 'nuovowp' ),
			'param_name' => 'type',
			'std' => 'default',
			'admin_label' => true,
			'value' => array(
				esc_html__( 'Default', 'nuovowp' ) => 'default',
				esc_html__( 'Success', 'nuovowp' ) => 'success',
				esc_html__( 'Info', 'nuovowp' ) => 'info',
				esc_html__( 'Warning', 'nuovowp' ) => 'warning',
				esc_html__( 'Error', 'nuovowp' ) => 'danger'
			),
			'description' => esc_html__( 'Select the type of the alert message.', 'nuovowp' )
		),
		array(
			'type'           => 'textarea_safe',
			'heading'        => esc_html__( 'Message', 'nuovowp' ),
			'param_name'     => 'message',
			'description'    => esc_html__( 'Enter your message to display in the dialogue, you can include HTML tags too.', 'nuovowp' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Close Button', 'nuovowp' ),
			'param_name' => 'close_button',
			'value' => array(
				esc_html__( 'Allow user to dismiss the alert (X - icon)', 'nuovowp' ) => 'yes',
			)
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Extra class name','nuovowp'),
			'param_name'    => 'el_class',
			'description'   => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','nuovowp')
		),
	)
) );

if ( class_exists('WPBakeryShortCode') ) {
	class WPBakeryShortCode_Codebean_Info_Box extends WPBakeryShortCode {}
}