<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_portfolio',
	'name'             => esc_html__( 'Portfolio', 'nuovowp' ),
	'description'      => esc_html__( 'Show portfolio grid type', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Portfolio Type', 'nuovowp' ),
			'param_name' => 'portfolio_type',
			'value' => array(
				esc_html__( 'Grid', 'nuovowp' ) => 'grid',
				esc_html__( 'Carousel', 'nuovowp' ) => 'carousel'
			),
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Portfolio Item Style', 'nuovowp' ),
			'param_name' => 'portfolio_style',
			'value' => array(
				esc_html__( 'Text under image', 'nuovowp' ) => 'style1',
				esc_html__( 'Text on hover', 'nuovowp' ) => 'style2'
			),
			'admin_label' => true
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Full Width Portfolio?', 'nuovowp' ),
			'param_name' => 'portfolio_fullwidth',
			'value' => esc_html__( 'Yes, please', 'nuovowp' ),
			'default' => false
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Portfolio Columns', 'nuovowp' ),
			'param_name' => 'portfolio_cols',
			'value' => array(
				2,3,4,6,
			),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('grid')),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Portfolio Column Spacing', 'nuovowp' ),
			'param_name' => 'portfolio_col_gap',
			'value' => array(
				0,2,6,10,20,30
			)
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show categories filters?', 'nuovowp' ),
			'param_name' => 'filters',
			'value' => esc_html__( 'Yes, please', 'nuovowp' ),
			'default' => false,
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('grid')),
			'group' => esc_html__( 'Filters', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Items per page', 'nuovowp' ),
			'param_name' => 'posts_per_page',
			'std' => 12,
			'group' => esc_html__( 'Filters', 'nuovowp' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order by', 'nuovowp' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'nuovowp' ) => 'date',
				esc_html__( 'ID', 'nuovowp' ) => 'ID',
				esc_html__( 'Title', 'nuovowp' ) => 'title',
				esc_html__( 'Modified', 'nuovowp' ) => 'modified',
				esc_html__( 'Menu order', 'nuovowp' ) => 'menu_order',
			),
			'save_always' => true,
			'description' => esc_html__( 'Select how to sort retrieved projects.', 'nuovowp' ),
			'group' => esc_html__( 'Filters', 'nuovowp' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Sort order', 'nuovowp' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'Descending', 'nuovowp' ) => 'DESC',
				esc_html__( 'Ascending', 'nuovowp' ) => 'ASC',
			),
			'save_always' => true,
			'description' => esc_html__( 'Designates the ascending or descending order.', 'nuovowp' ),
			'group' => esc_html__( 'Filters', 'nuovowp' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show pagination?', 'nuovowp' ),
			'param_name' => 'pagination',
			'value' => esc_html__( 'Yes, please', 'nuovowp' ),
			'default' => false,
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('grid')),
		),
		array(
			'type'           => 'dropdown',
			'heading'        => esc_html__( 'Slides per view', 'nuovowp' ),
			'param_name'     => 'slides_per_view',
			'value'          => array(
				1,2,3,4,5,6
			),
			'description'    => esc_html__( 'Set numbers of slides you want to display at the same time on slider\'s container for carousel mode.', 'nuovowp' ),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('carousel')),
			'group' => esc_html__( 'Carousel Settings', 'nuovowp' )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Slider Autoplay', 'nuovowp' ),
			'param_name'    => 'autoplay',
			'description'   => esc_html__( 'Enable slider autoplay mode', 'nuovowp' ),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('carousel')),
			'group' => esc_html__( 'Carousel Settings', 'nuovowp' )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Pagination', 'nuovowp' ),
			'param_name'    => 'show_pagination_control',
			'description'   => esc_html__( 'If "YES" pagination control will be added', 'nuovowp' ),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('carousel')),
			'group' => esc_html__( 'Carousel Settings', 'nuovowp' )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Prev/Next Buttons', 'nuovowp' ),
			'param_name'    => 'show_prev_next_buttons',
			'description'   => esc_html__( 'If "YES" prev/next control will be added', 'nuovowp' ),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('carousel')),
			'group' => esc_html__( 'Carousel Settings', 'nuovowp' )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Carousel Loop', 'nuovowp' ),
			'param_name'    => 'wrap',
			'description'   => esc_html__( 'Enables loop mode for carousel', 'nuovowp' ),
			'dependency'  => array('element' => 'portfolio_type', 'value' => array('carousel')),
			'group' => esc_html__( 'Carousel Settings', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		)
	)
) );

if ( class_exists('WPBakeryShortCode') ) {
	class WPBakeryShortCode_Codebean_Portfolio extends WPBakeryShortCode {}
}