<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_pricing_table',
	'name'             => esc_html__( 'Pricing Table', 'nuovowp' ),
	'description'      => esc_html__( 'Insert pricing table with icon', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__('Add Icon?','nuovowp'),
			'param_name'    => 'show_icon',
			'description'   => esc_html__('Check this box to add icon.','nuovowp'),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html__( 'Icon Type', 'nuovowp' ),
			'param_name'  => 'icon_style',
			'value'       => array(
				esc_html__( 'Icon Font', 'nuovowp' ) => 'icon-font',
				esc_html__( 'Image', 'nuovowp' ) => 'image',
			),
			'dependency'  => array('element' => 'show_icon', 'value' => 'true'),
			'save_always' => true,
			'admin_label' => true,
		),
		array(
			'type' 			=> 'iconpicker',
			'heading' 		=> esc_html__( 'Icon', 'nuovowp' ),
			'param_name' 	=> 'icon',
			'description' 	=> esc_html__( 'Select icon from library.', 'nuovowp' ),
			'value' 		=> '',
			'dependency'  => array('element' => 'icon_style', 'value' => array('icon-font')),
			'settings' 		=> array(
				'type' 			=> 'themify',
				'emptyIcon' 	=> false,
				'iconsPerPage'	=> 3000
			),
		),
		array(
			'type'           => 'attach_image',
			'heading'        => esc_html__( 'Custom Image', 'nuovowp' ),
			'param_name'     => 'custom_icon',
			'dependency'  => array('element' => 'icon_style', 'value' => array('image')),
		),
		array(
			'type'          => 'textfield',
			'admin_label'   => true,
			'heading'       => esc_html__('Title','nuovowp'),
			'param_name'    => 'title',
			'value'         => esc_html__('Basic Plan','nuovowp')
		),
		array(
			'type'          => 'textfield',
			'admin_label'   => true,
			'heading'       => esc_html__('Subtitle','nuovowp'),
			'param_name'    => 'subtitle',
			'value'         => ''
		),
		array(
			'type'          => 'textfield',
			'admin_label'   => true,
			'heading'       => esc_html__('Price', 'nuovowp'),
			'param_name'    => 'price'
		),
		array(
			'type'          => 'textfield',
			'admin_label'   => true,
			'heading'       => esc_html__('Currency', 'nuovowp'),
			'param_name'    => 'currency'
		),
		array(
			'type'          => 'textfield',
			'admin_label'   => true,
			'heading'       => esc_html__('Price Period', 'nuovowp'),
			'param_name'    => 'price_period'
		),
		array(
			'type'          => 'textarea',
			'heading'       => esc_html__('Price Description', 'nuovowp'),
			'param_name'    => 'description'
		),
		array(
			'type'          => 'colorpicker',
			'heading'       => esc_html__('Price Color', 'nuovowp'),
			'param_name'    => 'price_color',
			'admin_label'   => true
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__('Show Button', 'nuovowp'),
			'param_name'    => 'show_button',
			'value'         => array(
				esc_html__('Yes', 'nuovowp')     => 'yes',
				esc_html__('No', 'nuovowp')      => 'no'
			)
		),
		array(
			'type'          => 'vc_link',
			'heading'       => esc_html__('Button Link', 'nuovowp'),
			'param_name'    => 'button_link',
			'dependency'    => array(
				'element'   => 'show_button',
				'value'     => 'yes'
			),
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Button Text', 'nuovowp'),
			'param_name'    => 'button_text'
		),
		array(
			'type'          => 'textarea_html',
			'holder'        => 'div',
			'class'         => '',
			'heading'       => esc_html__('Content', 'nuovowp'),
			'param_name'    => 'content',
			'value'         => '<li>' . esc_html__('content content content', 'nuovowp') . '</li><li>' . esc_html__('content content content', 'nuovowp') . '</li><li>' . esc_html__('content content content', 'nuovowp') . '</li>',
			'description'   => ''
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__('Extra class name','nuovowp'),
			'param_name'    => 'el_class',
			'description'   => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','nuovowp')
		),
	)
) );

if ( class_exists('WPBakeryShortCode') ) {
	class WPBakeryShortCode_Codebean_Pricing_Table extends WPBakeryShortCode {}
}