<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

if ( in_array('contact-form-7/wp-contact-form-7.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) || codebean_is_plugin_active_for_network( 'contact-form-7/wp-contact-form-7.php' ) ) {

	$cf7_form_args = array( 'post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1 );
	$cf7_form_items = array();

	if ( $cf7_forms = get_posts( $cf7_form_args ) ) {
		foreach( $cf7_forms as $cf7_form ) {
			$cf7_form_items[$cf7_form->post_title] = $cf7_form->ID;
		}
	} else {
		$cf7_form_items[esc_html__( 'No CF7 forms found', 'nuovowp' )] = 'none';
	}

	vc_map( array(
		'base'        => 'codebean_quote_form',
		'name'        => esc_html__( 'Quote Form', 'nuovowp' ),
		'description' => esc_html__( 'Show request quote form.', 'nuovowp' ),
		'category'    => esc_html__( 'Theme Elements', 'nuovowp' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'nuovowp' ),
				'param_name'  => 'title',
				'admin_label' => true,
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Subtitle', 'nuovowp' ),
				'param_name'  => 'subtitle',
				'admin_label' => true,
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Color Scheme', 'nuovowp' ),
				'param_name' => 'color_scheme',
				'value'      => array(
					esc_html__( 'Default', 'nuovowp' )      => '',
					esc_html__( 'Light', 'nuovowp' )        => 'light',
					esc_html__( 'Dark', 'nuovowp' )         => 'dark',
					esc_html__( 'Custom Color', 'nuovowp' ) => 'custom',
				)
			),
			array(
				'type'       => 'colorpicker',
				'heading'    => esc_html__( 'Custom Color', 'nuovowp' ),
				'param_name' => 'custom_color',
				'dependency' => array( 'element' => 'color_scheme', 'value' => array( 'custom' ) ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Select a Form', 'nuovowp' ),
				'param_name'  => 'form',
				'value'       => $cf7_form_items,
			),
			array(
				'type'           => 'textfield',
				'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
				'param_name'     => 'el_class',
				'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
			)
		)
	) );

}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Quote_Form extends WPBakeryShortCode {}
}