<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_section_subtitle',
    'name'             => esc_html__( 'Section Subtitle', 'nuovowp' ),
    'description'      => esc_html__( 'Insert section subtitle', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__('Color', 'nuovowp'),
            'param_name'  => 'color',
            'value'       => '',
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Choose color of your subtitle', 'nuovowp')
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Text Align', 'nuovowp'),
            'param_name'  => 'text_align',
            'value'       => array(
                esc_html__('Center', 'nuovowp') => 'center',
                esc_html__('Left', 'nuovowp')   => 'left',
                esc_html__('Right', 'nuovowp')  => 'right'
            ),
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Choose color of your subtitle', 'nuovowp')
        ),
        array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Text', 'nuovowp'),
            'param_name'  => 'text',
            'value'       => '',
            'save_always' => true,
            'admin_label' => true
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Width (%)', 'nuovowp'),
            'param_name'  => 'width',
            'description' => esc_html__('Adjust the width of section subtitle in percentages. Ommit the unit', 'nuovowp'),
            'value'       => '',
            'save_always' => true,
            'admin_label' => true
        ),
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'     => 'el_class',
            'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
        )
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Section_Subtitle extends WPBakeryShortCode {}
}