<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_section_title',
    'name'             => esc_html__( 'Section Title', 'nuovowp' ),
    'description'      => esc_html__( 'Insert section title', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Title', 'nuovowp'),
            'param_name'  => 'title',
            'value'       => '',
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Enter title text', 'nuovowp')
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Size', 'nuovowp'),
            'param_name'  => 'title_size',
            'value'       => array(
                esc_html__('Large', 'nuovowp')  => 'large',
                esc_html__('Medium', 'nuovowp') => 'medium',
                esc_html__('Small', 'nuovowp')  => 'small',
            ),
            'std'         => 'medium',
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Choose one of predefined title sizes', 'nuovowp')
        ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__('Color', 'nuovowp'),
            'param_name'  => 'title_color',
            'value'       => '',
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Choose color of your title', 'nuovowp')
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Text Align', 'nuovowp'),
            'param_name'  => 'title_text_align',
            'value'       => array(
                ''                                  => '',
                esc_html__('Center', 'nuovowp') => 'center',
                esc_html__('Left', 'nuovowp')   => 'left',
                esc_html__('Right', 'nuovowp')  => 'right'
            ),
            'std'         => 'center',
            'save_always' => true,
            'admin_label' => true,
            'description' => esc_html__('Choose text align for title', 'nuovowp')
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Margin Bottom', 'nuovowp'),
            'param_name'  => 'margin_bottom',
            'value'       => '',
            'save_always' => true,
            'admin_label' => true,
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Width (%)', 'nuovowp'),
            'param_name'  => 'width',
            'description' => esc_html__('Adjust the width of section title in percentages. Ommit the unit', 'nuovowp'),
            'value'       => '',
            'save_always' => true,
            'admin_label' => true
        ),
        array(
            'type'           => 'textfield',
            'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'     => 'el_class',
            'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
        ),
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Section_Title extends WPBakeryShortCode {}
}