<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_service_box',
	'name'             => esc_html__( 'Serivce Box', 'nuovowp' ),
	'description'      => esc_html__( 'Show service boxe in three styles', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Service Style', 'nuovowp' ),
			'value' => array(
				esc_html__( 'Style 1', 'nuovowp' ) => 'style1',
				esc_html__( 'Style 2', 'nuovowp' ) => 'style2',
			),
			'admin_label' => true,
			'param_name' => 'service_style',
			'description' => esc_html__( 'Select icon library.', 'nuovowp' ),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Service Image', 'nuovowp' ),
			'param_name' => 'service_img',
			'description' => esc_html__( 'Select image from media library.', 'nuovowp' )
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Image Size', 'nuovowp' ),
			'param_name'     => 'img_size',
			'value'          => '',
			'description'    => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'nuovowp' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Background color', 'nuovowp' ),
			'param_name' => 'service_bg',
			'description' => esc_html__( 'Choose background color for service box.', 'nuovowp' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'nuovowp' ),
			'param_name' => 'title',
			'admin_label' => true,
			'value' => ''
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Title color', 'nuovowp' ),
			'param_name' => 'title_color',
			'dependency' => array( 'element' => 'title', 'not_empty' => true )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Content', 'nuovowp' ),
			'param_name' => 'description',
			'value' => '',
			'dependency' => array( 'element' => 'service_style', 'value' => 'style2' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Text Color', 'nuovowp' ),
			'param_name' => 'description_color',
			'dependency' => array( 'element' => 'description', 'not_empty' => true )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'nuovowp' ),
			'param_name' => 'link',
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Link color', 'nuovowp' ),
			'param_name' => 'link_color',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'nuovowp' )
		),
	),
) );

if ( class_exists('WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Service_Box extends WPBakeryShortCode {}
}