<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
	'base'             => 'codebean_social_networks',
	'name'             => esc_html__( 'Social Networks', 'nuovowp' ),
	'description'      => esc_html__( 'Social network links', 'nuovowp' ),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Display type', 'nuovowp' ),
			'param_name' => 'display_type',
			'value' => array(
				esc_html__( 'Rounded Icon', 'nuovowp' ) => 'rounded',
				esc_html__( 'Icon Only', 'nuovowp' ) => 'icon-only',
			),
			'description' => esc_html__( 'Select style of social network links.', 'nuovowp' ),
			'admin_label' => true
		),
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html__( 'Colored', 'nuovowp' ),
			'param_name' => 'colored',
			'std'		 => 'no',
			'value'      => array(
				esc_html__( 'Colored text', 'nuovowp' ) => 'text',
				esc_html__( 'Colored on hover', 'nuovowp' ) => 'text-hover',
				esc_html__( 'Colored background', 'nuovowp' )=> 'bg',
				esc_html__( 'None', 'nuovowp' ) => 'none'
			),
			'description' => esc_html__( 'Use colored social networks.', 'nuovowp' ),
			'admin_label' => true,
		),
		array(
			'type'           => 'textfield',
			'heading'        => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'     => 'el_class',
			'description'    => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' ),
		),
		array(
			'type'       => 'css_editor',
			'heading'    => 'Css',
			'param_name' => 'css',
			'group'      => esc_html__( 'Design options', 'nuovowp' ),
		)
	)
) );

if ( class_exists('WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Social_Networks extends WPBakeryShortCode {}
}