<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

vc_map( array(
    'base'             => 'codebean_team_member',
    'name'             => esc_html__( 'Team Member', 'nuovowp' ),
    'description'      => esc_html__( 'Display information about some person', 'nuovowp' ),
    'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
    'params'           => array(
        array(
            'type'       => 'attach_image',
            'heading'    => esc_html__('Image', 'nuovowp'),
            'param_name' => 'img'
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Name', 'nuovowp'),
            'admin_label' => true,
            'param_name'  => 'team_name'
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Position', 'nuovowp'),
            'admin_label' => true,
            'param_name'  => 'team_position'
        ),
        array(
            'type'        => 'textarea',
            'heading'     => esc_html__('Description', 'nuovowp'),
            'admin_label' => true,
            'param_name'  => 'team_description'
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Email', 'nuovowp' ),
            'param_name'    => 'email',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Facebook link', 'nuovowp' ),
            'param_name'    => 'facebook',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Twitter link', 'nuovowp' ),
            'param_name'    => 'twitter',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Google+ link', 'nuovowp' ),
            'param_name'    => 'google_plus',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Linkedin link', 'nuovowp' ),
            'param_name'    => 'linkedin',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Skype link', 'nuovowp' ),
            'param_name'    => 'skype',
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Instagram link', 'nuovowp' ),
            'param_name'    => 'instagram',
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Layout', 'nuovowp' ),
            'param_name'    => 'layout',
            'value' => array(
                esc_html__( 'Default', 'nuovowp' ) => 'default',
                esc_html__( 'With hover', 'nuovowp' ) => 'hover',
            ),
        ),
        array(
            'type'          => 'dropdown',
            'heading'       => esc_html__( 'Social buttons style', 'nuovowp' ),
            'param_name'    => 'style',
            'value' => array(
                esc_html__( 'Default', 'nuovowp' ) => '',
                esc_html__( 'Colored', 'nuovowp' ) => 'colored-bg',
            ),
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Extra class name', 'nuovowp' ),
            'param_name'    => 'el_class',
            'description'   => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
        )
    )
) );

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Codebean_Team_Member extends WPBakeryShortCode {}
}