<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

# Testimonials Parent
vc_map( array(
	'base'             => 'codebean_testimonials',
	'name'             => esc_html__( 'Testimonials', 'nuovowp' ),
	'description'      => esc_html__( 'User testimonials slider or grid', 'nuovowp' ),
	'as_parent'        => array('only' => 'codebean_testimonial_item'),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Layout', 'nuovowp' ),
			'param_name'    => 'layout',
			'description'   => esc_html__( 'Choose preferd layout for testimonials', 'nuovowp' ),
			'admin_label'   => true,
			'value'         => array(
				esc_html__('Grid','nuovowp') => 'grid',
				esc_html__('Slider','nuovowp') => 'slider'
			)
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Align', 'nuovowp' ),
			'param_name'    => 'align',
			'admin_label'   => true,
			'value'         => array(
				esc_html__('Center','nuovowp') => 'center',
				esc_html__('Left','nuovowp') => 'left',
				esc_html__('Right','nuovowp') => 'right'
			)
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Add Borders', 'nuovowp' ),
			'param_name'    => 'borders',
			'admin_label'   => true,
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show arrow decoration', 'nuovowp' ),
			'param_name'    => 'show_arrow',
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Arrow Position', 'nuovowp' ),
			'param_name'    => 'arrow_position',
			'description'   => esc_html__( 'Choose arrow decoration position to show', 'nuovowp' ),
			'value'         => array(
				esc_html__( 'Bottom Right', 'nuovowp' ) => 'bottom-right',
				esc_html__( 'Bottom Left', 'nuovowp' ) => 'bottom-left',
				esc_html__( 'Left Bottom', 'nuovowp' ) => 'left-bottom',
				esc_html__( 'Left Top', 'nuovowp' ) => 'left-top',
				esc_html__( 'Right Bottom', 'nuovowp' ) => 'right-bottom',
				esc_html__( 'Right Top', 'nuovowp' ) => 'right-top',
			),
			'dependency'    => array( 'element' => 'show_arrow', 'value' => array('true') )
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Color Scheme', 'nuovowp' ),
			'param_name'    => 'color_scheme',
			'admin_label'   => true,
			'value'         => array(
				esc_html__( 'Light', 'nuovowp' ) => 'light',
				esc_html__( 'Dark', 'nuovowp' ) => 'dark'
			)
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Columns', 'nuovowp' ),
			'param_name'    => 'columns',
			'description'   => esc_html__( 'Set columns number for grid layout', 'nuovowp' ),
			'value'         => array(
				1,2,3,4
			),
			'admin_label'   => true,
			'dependency'    => array( 'element' => 'layout', 'value' => array('grid') )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Enable Masonry', 'nuovowp' ),
			'param_name'    => 'masonry_mode',
			'description'   => esc_html__( 'Masonry mode for grid layout of testimonials', 'nuovowp' ),
			'admin_label'   => true,
			'dependency'    => array( 'element' => 'layout', 'value' => array('grid') )
		),
		array(
			'type'          => 'dropdown',
			'heading'       => esc_html__( 'Slides per view', 'nuovowp' ),
			'param_name'    => 'slides_per_view',
			'description'   => esc_html__( 'Set numbers of slides you want to display at the same time on slider\'s container for carousel mode', 'nuovowp' ),
			'value'         => array(
				1,2,3,4
			),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') )
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Slider Autoplay', 'nuovowp' ),
			'param_name'    => 'autoplay',
			'description'   => esc_html__( 'Enable slider autoplay mode', 'nuovowp' ),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') ),
			'group'         => esc_html__( 'Slider', 'nuovowp' ),
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Slider Speed', 'nuovowp' ),
			'param_name'    => 'speed',
			'description'   => esc_html__( 'Duration of animation between slides (in ms)', 'nuovowp' ),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') ),
			'group'         => esc_html__( 'Slider', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Pagination', 'nuovowp' ),
			'param_name'    => 'show_pagination_control',
			'description'   => esc_html__( 'If "YES" pagination control will be added', 'nuovowp' ),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') ),
			'group'         => esc_html__( 'Slider', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Show Prev/Next Buttons', 'nuovowp' ),
			'param_name'    => 'show_prev_next_buttons',
			'description'   => esc_html__( 'If "YES" prev/next control will be added', 'nuovowp' ),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') ),
			'group'         => esc_html__( 'Slider', 'nuovowp' ),
		),
		array(
			'type'          => 'checkbox',
			'heading'       => esc_html__( 'Slider Loop', 'nuovowp' ),
			'param_name'    => 'wrap',
			'description'   => esc_html__( 'Enables loop mode for slider', 'nuovowp' ),
			'dependency'    => array( 'element' => 'layout', 'value' => array('slider') ),
			'group'         => esc_html__( 'Slider', 'nuovowp' ),
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'    => 'el_class',
			'description'   => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		),
		array(
			'type'       => 'css_editor',
			'heading'    => 'Css',
			'param_name' => 'css',
			'group'      => esc_html__( 'Design options', 'nuovowp' ),
		)
	),
	'js_view'          => 'VcColumnView'
) );

# Testimonial's the only child
vc_map( array(
	'base'             => 'codebean_testimonial_item',
	'name'             => esc_html__( 'Testimonial', 'nuovowp' ),
	'description'      => esc_html__( 'User testimonial', 'nuovowp' ),
	'as_child'         => array('only' => 'codebean_testimonials'),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Name', 'nuovowp' ),
			'param_name'    => 'name',
			'description'   => esc_html__( 'User name', 'nuovowp' )
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'User Role', 'nuovowp' ),
			'param_name'    => 'user_role',
			'description'   => esc_html__( 'User role', 'nuovowp' )
		),
		array(
			'type'          => 'attach_image',
			'heading'       => esc_html__( 'User Avatar', 'nuovowp' ),
			'param_name'    => 'image',
			'value'         => '',
			'description'   => esc_html__( 'Select image from media library.', 'nuovowp' )
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Image size', 'nuovowp' ),
			'param_name'    => 'img_size',
			'description'   => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'nuovowp' )
		),
		array(
			'type'          => 'textarea_html',
			'holder'        => 'blockquote',
			'heading'       => esc_html__( 'Text', 'nuovowp' ),
			'param_name'    => 'content'
		),
		array(
			'type'          => 'textfield',
			'heading'       => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name'    => 'el_class',
			'description'   => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		),
	),
) );


if ( class_exists('WPBakeryShortCodesContainer') ) {
	class WPBakeryShortCode_Codebean_Testimonials extends WPBakeryShortCodesContainer {}
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_Testimonial_Item extends WPBakeryShortCode {}
}