<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

# TimeLine Parent
vc_map( array(
	'base'             => 'codebean_timeline',
	'name'             => esc_html__( 'Timeline', 'nuovowp' ),
	'description'      => esc_html__( 'Timeline for the history of your agency', 'nuovowp' ),
	'as_parent'        => array('only' => 'codebean_timeline_item, codebean_timeline_breakpoint'),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Line style', 'nuovowp' ),
			'param_name' => 'line_style',
			'value' => array(
				esc_html__( 'Default', 'nuovowp' ) => 'default',
				esc_html__( 'Dashed', 'nuovowp' ) => 'dashed'
			)
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color of line', 'nuovowp' ),
			'param_name' => 'line_color'
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color of dots', 'nuovowp' ),
			'param_name' => 'dots_color'
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Item style', 'nuovowp' ),
			'param_name' => 'item_style',
			'value' => array(
				esc_html__( 'Default', 'nuovowp' ) => 'default',
				esc_html__( 'With shadow', 'nuovowp' ) => 'shadow'
			)
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		)
	),
	'js_view' => 'VcColumnView'
) );

# TimeLine Item
vc_map( array(
	'base'             => 'codebean_timeline_item',
	'name'             => esc_html__( 'Timeline Item', 'nuovowp' ),
	'as_child'         => array('only' => 'codebean_timeline'),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'colorpicker',
			'holder' => 'div',
			'heading' => esc_html__( 'Background color ', 'nuovowp' ),
			'param_name' => 'color_bg'
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Position', 'nuovowp' ),
			'param_name' => 'position',
			'value' => array(
				esc_html__( 'Left', 'nuovowp' ) => 'left',
				esc_html__( 'Right', 'nuovowp' ) => 'right',
				esc_html__( 'Full Width', 'nuovowp' ) => 'full-width'
			)
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Primary', 'nuovowp' ),
			'group' => esc_html__( 'Primary section', 'nuovowp' ),
			'param_name' => 'image_primary',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image size', 'nuovowp' ),
			'group' => esc_html__( 'Primary section', 'nuovowp' ),
			'param_name' => 'img_size_primary',
			'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'nuovowp' )
		),
		array(
			'type' => 'textarea',
			'holder' => 'div',
			'heading' => esc_html__( 'Title Primary', 'nuovowp' ),
			'param_name' => 'title_primary',
			'group' => esc_html__( 'Primary section', 'nuovowp' ),
			'description' => esc_html__( 'Provide the title for primary timeline item.', 'nuovowp' )
		),
		array(
			'type' => 'textarea_html',
			'heading' => esc_html__( 'Content Primary', 'nuovowp' ),
			'group' => esc_html__( 'Primary section', 'nuovowp' ),
			'param_name' => 'content',
			'description' => esc_html__( 'Provide the description for primary timeline item.', 'nuovowp' )
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Secondary', 'nuovowp' ),
			'group' => esc_html__( 'Secondary section', 'nuovowp' ),
			'param_name' => 'image_secondary',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image size', 'nuovowp' ),
			'group' => esc_html__( 'Secondary section', 'nuovowp' ),
			'param_name' => 'img_size_secondary',
			'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'nuovowp' )
		),
		array(
			'type' => 'textarea',
			'holder' => 'div',
			'heading' => esc_html__( 'Title Secondary', 'nuovowp' ),
			'group' => esc_html__( 'Secondary section', 'nuovowp' ),
			'param_name' => 'title_secondary',
			'description' => esc_html__( 'Provide the title for secondary timeline item.', 'nuovowp' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Content Secondary', 'nuovowp' ),
			'group' => esc_html__( 'Secondary section', 'nuovowp' ),
			'param_name' => 'content_secondary',
			'description' => esc_html__( 'Provide the description for secondary timeline item.', 'nuovowp' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		)
	)
) );

# TimeLine Breakpoint
vc_map( array(
	'base'             => 'codebean_timeline_breakpoint',
	'name'             => esc_html__( 'Timeline breakpoint', 'nuovowp' ),
	'as_child'         => array('only' => 'codebean_timeline'),
	'category'         => esc_html__( 'Theme Elements', 'nuovowp' ),
	'params'           => array(
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'heading' => esc_html__( 'Title', 'nuovowp' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Provide the title for this timeline item.', 'nuovowp' )
		),
		array(
			'type' => 'colorpicker',
			'holder' => 'div',
			'heading' => esc_html__( 'Background color ', 'nuovowp' ),
			'param_name' => 'color_bg',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'nuovowp' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'nuovowp' )
		)
	)
) );



if ( class_exists('WPBakeryShortCodesContainer') ) {
	class WPBakeryShortCode_Codebean_TimeLine extends WPBakeryShortCodesContainer {}
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_Codebean_TimeLine_Item extends WPBakeryShortCode {}
	class WPBakeryShortCode_Codebean_TimeLine_BreakPoint extends WPBakeryShortCode {}
}