<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

function codebean_vc_custom_font_icons() {
    // Add Extra Icon Fonts
    $param = WPBMap::getParam( 'vc_icon', 'type' );

    if ( ! is_array($param)) {
        return false;
    }

    $param['weight'] = 2;

    $param['value'] = array( 'Themify' => 'themify' ) + $param['value'];

    vc_update_shortcode_param( 'vc_icon', $param );

    // Add Param Type
    $attributes = array(
        'type'        => 'iconpicker',
        'heading'     => esc_html__( 'Icon', 'nuovowp' ),
        'param_name'  => 'icon_themify',
        'value'       => 'ti-plus',
        'weight'	  => 1,
        'settings'    => array(
            'emptyIcon'      => false,
            'type'           => 'themify',
            'iconsPerPage'   => -1,
        ),
        'dependency' => array(
            'element' => 'type',
            'value'   => 'themify',
        ),
        'description' => esc_html__( 'Select icon from library.', 'nuovowp' ),
    );

    vc_add_param( 'vc_icon', $attributes );


    // Set Default Color to Black
    $param = WPBMap::getParam( 'vc_icon', 'color' );
    $param['std'] = 'black';

    vc_update_shortcode_param( 'vc_icon', $param );
}

add_action( 'vc_after_init', 'codebean_vc_custom_font_icons' );

// Enqueue Icon fonts
function codebean_vc_iconpicker_base_register_css() {
    // Themify Icons
    wp_enqueue_style( 'font-themify', get_theme_file_uri('/assets/fonts/themify-icons/themify-icons.css'), null, null );
}

add_action( 'vc_base_register_admin_css', 'codebean_vc_iconpicker_base_register_css' );

// Themify Icons
function codebean_vc_iconpicker_type_themify( $icons ) {
    $themify_icons = array(
        array( 'ti-wand' => 'wand' ),
        array( 'ti-volume' => 'volume' ),
        array( 'ti-user' => 'user' ),
        array( 'ti-unlock' => 'unlock' ),
        array( 'ti-unlink' => 'unlink' ),
        array( 'ti-trash' => 'trash' ),
        array( 'ti-thought' => 'thought' ),
        array( 'ti-target' => 'target' ),
        array( 'ti-tag' => 'tag' ),
        array( 'ti-tablet' => 'tablet' ),
        array( 'ti-star' => 'star' ),
        array( 'ti-spray' => 'spray' ),
        array( 'ti-signal' => 'signal' ),
        array( 'ti-shopping-cart' => 'shopping-cart' ),
        array( 'ti-shopping-cart-full' => 'shopping-cart-full' ),
        array( 'ti-settings' => 'settings' ),
        array( 'ti-search' => 'search' ),
        array( 'ti-zoom-in' => 'zoom-in' ),
        array( 'ti-zoom-out' => 'zoom-out' ),
        array( 'ti-cut' => 'cut' ),
        array( 'ti-ruler' => 'ruler' ),
        array( 'ti-ruler-pencil' => 'ruler-pencil' ),
        array( 'ti-ruler-alt' => 'ruler-alt' ),
        array( 'ti-bookmark' => 'bookmark' ),
        array( 'ti-bookmark-alt' => 'bookmark-alt' ),
        array( 'ti-reload' => 'reload' ),
        array( 'ti-plus' => 'plus' ),
        array( 'ti-pin' => 'pin' ),
        array( 'ti-pencil' => 'pencil' ),
        array( 'ti-pencil-alt' => 'pencil-alt' ),
        array( 'ti-paint-roller' => 'paint-roller' ),
        array( 'ti-paint-bucket' => 'paint-bucket' ),
        array( 'ti-na' => 'na' ),
        array( 'ti-mobile' => 'mobile' ),
        array( 'ti-minus' => 'minus' ),
        array( 'ti-medall' => 'medall' ),
        array( 'ti-medall-alt' => 'medall-alt' ),
        array( 'ti-marker' => 'marker' ),
        array( 'ti-marker-alt' => 'marker-alt' ),
        array( 'ti-arrow-up' => 'arrow-up' ),
        array( 'ti-arrow-right' => 'arrow-right' ),
        array( 'ti-arrow-left' => 'arrow-left' ),
        array( 'ti-arrow-down' => 'arrow-down' ),
        array( 'ti-lock' => 'lock' ),
        array( 'ti-location-arrow' => 'location-arrow' ),
        array( 'ti-link' => 'link' ),
        array( 'ti-layout' => 'layout' ),
        array( 'ti-layers' => 'layers' ),
        array( 'ti-layers-alt' => 'layers-alt' ),
        array( 'ti-key' => 'key' ),
        array( 'ti-import' => 'import' ),
        array( 'ti-image' => 'image' ),
        array( 'ti-heart' => 'heart' ),
        array( 'ti-heart-broken' => 'heart-broken' ),
        array( 'ti-hand-stop' => 'hand-stop' ),
        array( 'ti-hand-open' => 'hand-open' ),
        array( 'ti-hand-drag' => 'hand-drag' ),
        array( 'ti-folder' => 'folder' ),
        array( 'ti-flag' => 'flag' ),
        array( 'ti-flag-alt' => 'flag-alt' ),
        array( 'ti-flag-alt-2' => 'flag-alt-2' ),
        array( 'ti-eye' => 'eye' ),
        array( 'ti-export' => 'export' ),
        array( 'ti-exchange-vertical' => 'exchange-vertical' ),
        array( 'ti-desktop' => 'desktop' ),
        array( 'ti-cup' => 'cup' ),
        array( 'ti-crown' => 'crown' ),
        array( 'ti-comments' => 'comments' ),
        array( 'ti-comment' => 'comment' ),
        array( 'ti-comment-alt' => 'comment-alt' ),
        array( 'ti-close' => 'close' ),
        array( 'ti-clip' => 'clip' ),
        array( 'ti-angle-up' => 'icon' ),
        array( 'ti-angle-right' => 'angle-right' ),
        array( 'ti-angle-left' => 'angle-left' ),
        array( 'ti-angle-down' => 'angle-down' ),
        array( 'ti-check' => 'check' ),
        array( 'ti-check-box' => 'check-box' ),
        array( 'ti-camera' => 'camera' ),
        array( 'ti-announcement' => 'announcement' ),
        array( 'ti-brush' => 'brush' ),
        array( 'ti-briefcase' => 'briefcase' ),
        array( 'ti-bolt' => 'bolt' ),
        array( 'ti-bolt-alt' => 'bolt-alt' ),
        array( 'ti-blackboard' => 'blackboard' ),
        array( 'ti-bag' => 'bag' ),
        array( 'ti-move' => 'move' ),
        array( 'ti-arrows-vertical' => 'arrows-vertical' ),
        array( 'ti-arrows-horizontal' => 'arrows-horizontal' ),
        array( 'ti-fullscreen' => 'fullscreen' ),
        array( 'ti-arrow-top-right' => 'arrow-top-right' ),
        array( 'ti-arrow-top-left' => 'arrow-top-left' ),
        array( 'ti-arrow-circle-up' => 'arrow-circle-up' ),
        array( 'ti-arrow-circle-right' => 'arrow-circle-right' ),
        array( 'ti-arrow-circle-left' => 'arrow-circle-left' ),
        array( 'ti-arrow-circle-down' => 'arrow-circle-down' ),
        array( 'ti-angle-double-up' => 'angle-double-up' ),
        array( 'ti-angle-double-right' => 'angle-double-right' ),
        array( 'ti-angle-double-left' => 'angle-double-left' ),
        array( 'ti-angle-double-down' => 'angle-double-down' ),
        array( 'ti-zip' => 'zip' ),
        array( 'ti-world' => 'world' ),
        array( 'ti-wheelchair' => 'wheelchair' ),
        array( 'ti-view-list' => 'view-list' ),
        array( 'ti-view-list-alt' => 'view-list-alt' ),
        array( 'ti-view-grid' => 'view-grid' ),
        array( 'ti-uppercase' => 'uppercase' ),
        array( 'ti-upload' => 'upload' ),
        array( 'ti-underline' => 'underline' ),
        array( 'ti-truck' => 'truck' ),
        array( 'ti-timer' => 'timer' ),
        array( 'ti-ticket' => 'ticket' ),
        array( 'ti-thumb-up' => 'thumb-up' ),
        array( 'ti-thumb-down' => 'thumb-down' ),
        array( 'ti-text' => 'text' ),
        array( 'ti-stats-up' => 'stats-up' ),
        array( 'ti-stats-down' => 'stats-down' ),
        array( 'ti-split-v' => 'split-v' ),
        array( 'ti-split-h' => 'split-h' ),
        array( 'ti-smallcap' => 'smallcap' ),
        array( 'ti-shine' => 'shine' ),
        array( 'ti-shift-right' => 'shift-right' ),
        array( 'ti-shift-left' => 'shift-left' ),
        array( 'ti-shield' => 'shield' ),
        array( 'ti-notepad' => 'notepad' ),
        array( 'ti-server' => 'server' ),
        array( 'ti-quote-right' => 'quote-right' ),
        array( 'ti-quote-left' => 'quote-left' ),
        array( 'ti-pulse' => 'pulse' ),
        array( 'ti-printer' => 'printer' ),
        array( 'ti-power-off' => 'power-off' ),
        array( 'ti-plug' => 'plug' ),
        array( 'ti-pie-chart' => 'pie-chart' ),
        array( 'ti-paragraph' => 'paragraph' ),
        array( 'ti-panel' => 'panel' ),
        array( 'ti-package' => 'package' ),
        array( 'ti-music' => 'music' ),
        array( 'ti-music-alt' => 'music-alt' ),
        array( 'ti-mouse' => 'mouse' ),
        array( 'ti-mouse-alt' => 'mouse-alt' ),
        array( 'ti-money' => 'money' ),
        array( 'ti-microphone' => 'microphone' ),
        array( 'ti-menu' => 'menu' ),
        array( 'ti-menu-alt' => 'menu-alt' ),
        array( 'ti-map' => 'map' ),
        array( 'ti-map-alt' => 'map-alt' ),
        array( 'ti-loop' => 'loop' ),
        array( 'ti-location-pin' => 'location-pin' ),
        array( 'ti-list' => 'list' ),
        array( 'ti-light-bulb' => 'light-bulb' ),
        array( 'ti-Italic' => 'italic' ),
        array( 'ti-info' => 'info' ),
        array( 'ti-infinite' => 'infinite' ),
        array( 'ti-id-badge' => 'id-badge' ),
        array( 'ti-hummer' => 'hummer' ),
        array( 'ti-home' => 'home' ),
        array( 'ti-help' => 'help' ),
        array( 'ti-headphone' => 'headphone' ),
        array( 'ti-harddrives' => 'harddrives' ),
        array( 'ti-harddrive' => 'harddrive' ),
        array( 'ti-gift' => 'gift' ),
        array( 'ti-game' => 'game' ),
        array( 'ti-filter' => 'filter' ),
        array( 'ti-files' => 'files' ),
        array( 'ti-file' => 'file' ),
        array( 'ti-eraser' => 'eraser' ),
        array( 'ti-envelope' => 'envelope' ),
        array( 'ti-download' => 'download' ),
        array( 'ti-direction' => 'direction' ),
        array( 'ti-direction-alt' => 'direction-alt' ),
        array( 'ti-dashboard' => 'dashboard' ),
        array( 'ti-control-stop' => 'control-stop' ),
        array( 'ti-control-shuffle' => 'control-shuffle' ),
        array( 'ti-control-play' => 'control-play' ),
        array( 'ti-control-pause' => 'control-pause' ),
        array( 'ti-control-forward' => 'icon' ),
        array( 'ti-control-backward' => 'icon' ),
        array( 'ti-cloud' => 'cloud' ),
        array( 'ti-cloud-up' => 'cloud-up' ),
        array( 'ti-cloud-down' => 'cloud-down' ),
        array( 'ti-clipboard' => 'clipboard' ),
        array( 'ti-car' => 'car' ),
        array( 'ti-calendar' => 'calendar' ),
        array( 'ti-book' => 'book' ),
        array( 'ti-bell' => 'bell' ),
        array( 'ti-basketball' => 'basketball' ),
        array( 'ti-bar-chart' => 'bar-chat' ),
        array( 'ti-bar-chart-alt' => 'bar-chart-alt' ),
        array( 'ti-back-right' => 'back-right' ),
        array( 'ti-back-left' => 'back-left' ),
        array( 'ti-arrows-corner' => 'arrows-corner' ),
        array( 'ti-archive' => 'archive' ),
        array( 'ti-anchor' => 'anchor' ),
        array( 'ti-align-right' => 'align-right' ),
        array( 'ti-align-left' => 'align-left' ),
        array( 'ti-align-justify' => 'align-justify' ),
        array( 'ti-align-center' => 'align-center' ),
        array( 'ti-alert' => 'alert' ),
        array( 'ti-alarm-clock' => 'alarm-clock' ),
        array( 'ti-agenda' => 'agenda' ),
        array( 'ti-write' => 'write' ),
        array( 'ti-window' => 'window' ),
        array( 'ti-widgetized' => 'widgetized' ),
        array( 'ti-widget' => 'widget' ),
        array( 'ti-widget-alt' => 'widget-alt' ),
        array( 'ti-wallet' => 'ti-wallet' ),
        array( 'ti-video-camera' => 'ti-video-camera' ),
        array( 'ti-vector' => 'ti-vector' ),
        array( 'ti-themify-logo' => 'ti-themify-logo' ),
        array( 'ti-themify-favicon' => 'ti-themify-favicon' ),
        array( 'ti-themify-favicon-alt' => 'ti-themify-favicon-alt' ),
        array( 'ti-support' => 'ti-support' ),
        array( 'ti-stamp' => 'ti-stamp' ),
        array( 'ti-split-v-alt' => 'ti-split-v-alt' ),
        array( 'ti-slice' => 'ti-slice' ),
        array( 'ti-shortcode' => 'ti-shortcode' ),
        array( 'ti-shift-right-alt' => 'ti-shift-right-alt' ),
        array( 'ti-shift-left-alt' => 'ti-shift-left-alt' ),
        array( 'ti-ruler-alt-2' => 'ti-ruler-alt-2' ),
        array( 'ti-receipt' => 'ti-receipt' ),
        array( 'ti-pin2' => 'ti-pin2' ),
        array( 'ti-pin-alt' => 'ti-pin-alt' ),
        array( 'ti-pencil-alt2' => 'ti-pencil-alt2' ),
        array( 'ti-palette' => 'ti-palette' ),
        array( 'ti-more' => 'ti-more' ),
        array( 'ti-more-alt' => 'ti-more-alt' ),
        array( 'ti-microphone-alt' => 'ti-microphone-alt' ),
        array( 'ti-magnet' => 'ti-magnet' ),
        array( 'ti-line-double' => 'ti-line-double' ),
        array( 'ti-line-dotted' => 'ti-line-dotted' ),
        array( 'ti-line-dashed' => 'ti-line-dashed' ),
        array( 'ti-layout-width-full' => 'ti-layout-width-full' ),
        array( 'ti-layout-width-default' => 'ti-layout-width-default' ),
        array( 'ti-layout-width-default-alt' => 'ti-layout-width-default-alt' ),
        array( 'ti-layout-tab' => 'ti-layout-tab' ),
        array( 'ti-layout-tab-window' => 'ti-layout-tab-window' ),
        array( 'ti-layout-tab-v' => 'ti-layout-tab-v' ),
        array( 'ti-layout-tab-min' => 'ti-layout-tab-min' ),
        array( 'ti-layout-slider' => 'ti-layout-slider' ),
        array( 'ti-layout-slider-alt' => 'ti-layout-slider-alt' ),
        array( 'ti-layout-sidebar-right' => 'ti-layout-sidebar-right' ),
        array( 'ti-layout-sidebar-none' => 'ti-layout-sidebar-none' ),
        array( 'ti-layout-sidebar-left' => 'ti-layout-sidebar-left' ),
        array( 'ti-layout-placeholder' => 'ti-layout-placeholder' ),
        array( 'ti-layout-menu' => 'ti-layout-menu' ),
        array( 'ti-layout-menu-v' => 'ti-layout-menu-v' ),
        array( 'ti-layout-menu-separated' => 'ti-layout-menu-separated' ),
        array( 'ti-layout-menu-full' => 'ti-layout-menu-full' ),
        array( 'ti-layout-media-right-alt' => 'ti-layout-media-right-alt' ),
        array( 'ti-layout-media-right' => 'layout-media-right' ),
        array( 'ti-layout-media-overlay' => 'layout-media-overlay' ),
        array( 'ti-layout-media-overlay-alt' => 'layout-media-overlay-alt' ),
        array( 'ti-layout-media-overlay-alt-2' => 'layout-media-overlay-alt-2' ),
        array( 'ti-layout-media-left-alt' => 'layout-media-left-alt' ),
        array( 'ti-layout-media-left' => 'layout-media-left' ),
        array( 'ti-layout-media-center-alt' => 'layout-media-center-alt' ),
        array( 'ti-layout-media-center' => 'layout-media-center' ),
        array( 'ti-layout-list-thumb' => 'layout-list-thumb' ),
        array( 'ti-layout-list-thumb-alt' => 'layout-list-thumb-alt' ),
        array( 'ti-layout-list-post' => 'layout-list-post' ),
        array( 'ti-layout-list-large-image' => 'layout-list-large-image' ),
        array( 'ti-layout-line-solid' => 'layout-line-solid' ),
        array( 'ti-layout-grid4' => 'layout-grid4' ),
        array( 'ti-layout-grid3' => 'layout-grid3' ),
        array( 'ti-layout-grid2' => 'layout-grid2' ),
        array( 'ti-layout-grid2-thumb' => 'layout-grid2-thumb' ),
        array( 'ti-layout-cta-right' => 'layout-cta-right' ),
        array( 'ti-layout-cta-left' => 'layout-cta-left' ),
        array( 'ti-layout-cta-center' => 'layout-cta-center' ),
        array( 'ti-layout-cta-btn-right' => 'layout-cta-btn-right' ),
        array( 'ti-layout-cta-btn-left' => 'layout-cta-btn-left' ),
        array( 'ti-layout-column4' => 'layout-column4' ),
        array( 'ti-layout-column3' => 'layout-column3' ),
        array( 'ti-layout-column2' => 'layout-column2' ),
        array( 'ti-layout-accordion-separated' => 'layout-accordion-separated' ),
        array( 'ti-layout-accordion-merged' => 'layout-accordion-merged' ),
        array( 'ti-layout-accordion-list' => 'layout-accordion-list' ),
        array( 'ti-ink-pen' => 'ink-pen' ),
        array( 'ti-info-alt' => 'info-alt' ),
        array( 'ti-help-alt' => 'help-alt' ),
        array( 'ti-headphone-alt' => 'headphone-alt' ),
        array( 'ti-hand-point-up' => 'hand-point-up' ),
        array( 'ti-hand-point-right' => 'hand-point-right' ),
        array( 'ti-hand-point-left' => 'hand-point-left' ),
        array( 'ti-hand-point-down' => 'hand-point-down' ),
        array( 'ti-gallery' => 'gallery' ),
        array( 'ti-face-smile' => 'face-smile' ),
        array( 'ti-face-sad' => 'face-sad' ),
        array( 'ti-credit-card' => 'credit-card' ),
        array( 'ti-control-skip-forward' => 'control-skip-forward' ),
        array( 'ti-control-skip-backward' => 'control-skip-backward' ),
        array( 'ti-control-record' => 'control-record' ),
        array( 'ti-control-eject' => 'control-eject' ),
        array( 'ti-comments-smiley' => 'comments-smiley' ),
        array( 'ti-brush-alt' => 'brush-alt' ),
        array( 'ti-youtube' => 'youtube' ),
        array( 'ti-vimeo' => 'vimeo' ),
        array( 'ti-twitter' => 'twitter' ),
        array( 'ti-time' => 'time' ),
        array( 'ti-tumblr' => 'tumblr' ),
        array( 'ti-skype' => 'skype' ),
        array( 'ti-share' => 'share' ),
        array( 'ti-share-alt' => 'share-alt' ),
        array( 'ti-rocket' => 'rocket' ),
        array( 'ti-pinterest' => 'pinterest' ),
        array( 'ti-new-window' => 'new-window' ),
        array( 'ti-microsoft' => 'microsoft' ),
        array( 'ti-list-ol' => 'list-ol' ),
        array( 'ti-linkedin' => 'linkedin' ),
        array( 'ti-layout-sidebar-2' => 'layout-sidebar-2' ),
        array( 'ti-layout-grid4-alt' => 'layout-grid4-alt' ),
        array( 'ti-layout-grid3-alt' => 'layout-grid3-alt' ),
        array( 'ti-layout-grid2-alt' => 'layout-grid2-alt' ),
        array( 'ti-layout-column4-alt' => 'layout-column4-alt' ),
        array( 'ti-layout-column3-alt' => 'layout-column3-alt' ),
        array( 'ti-layout-column2-alt' => 'layout-column2-alt' ),
        array( 'ti-instagram' => 'instagram' ),
        array( 'ti-google' => 'google' ),
        array( 'ti-github' => 'github' ),
        array( 'ti-flickr' => 'flickr' ),
        array( 'ti-facebook' => 'facebook' ),
        array( 'ti-dropbox' => 'dropbox' ),
        array( 'ti-dribbble' => 'dribbble' ),
        array( 'ti-apple' => 'apple' ),
        array( 'ti-android' => 'android' ),
        array( 'ti-save' => 'save' ),
        array( 'ti-save-alt' => 'save-alt' ),
        array( 'ti-yahoo' => 'yahoo' ),
        array( 'ti-wordpress' => 'wordpress' ),
        array( 'ti-vimeo-alt' => 'vimeo-alt' ),
        array( 'ti-twitter-alt' => 'twitter-alt' ),
        array( 'ti-tumblr-alt' => 'tumblr-alt' ),
        array( 'ti-trello' => 'trello' ),
        array( 'ti-stack-overflow' => 'stack-overflow' ),
        array( 'ti-soundcloud' => 'soundcloud' ),
        array( 'ti-sharethis' => 'sharethis' ),
        array( 'ti-sharethis-alt' => 'sharethis-alt' ),
        array( 'ti-reddit' => 'reddit' ),
        array( 'ti-pinterest-alt' => 'pinterest-alt' ),
        array( 'ti-microsoft-alt' => 'microsoft-alt' ),
        array( 'ti-linux' => 'linux' ),
        array( 'ti-jsfiddle' => 'jsfiddle' ),
        array( 'ti-joomla' => 'joomla' ),
        array( 'ti-html5' => 'html5' ),
        array( 'ti-flickr-alt' => 'flickr-alt' ),
        array( 'ti-email' => 'email' ),
        array( 'ti-drupal' => 'drupal' ),
        array( 'ti-dropbox-alt' => 'dropbox-alt' ),
        array( 'ti-css3' => 'css3' ),
        array( 'ti-rss' => 'rss' ),
        array( 'ti-rss-alt' => 'rss-alt' ),
    );

    return array_merge( $icons, $themify_icons );
}

add_filter( 'vc_iconpicker-type-themify', 'codebean_vc_iconpicker_type_themify' );