<?php
/**
 *	Custom Row for this theme
 *
 *	Codebean.co
 *	www.codebean.co
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Direct access not allowed.
}

/**
 * Codebean Visual Composer row wrapper
 */
function codebean_vc_row_parent_wrapper( $output, $object, $atts ) {

    // Applied to rows only
    if ( in_array( $object->settings( 'base' ), array( 'vc_row', 'vc_row_inner' ) ) ) {
        $classes = array( 'cdb-grid-section' );

        // Row width
        $full_width = get_array_key( $atts, 'full_width' );

        if ( $full_width ) {
            $classes[] = "row-{$full_width}";
        } else {
            $classes[] = "cdb-grid-container";
        }

        // Custom CSS for row
        $css = get_array_key( $atts, 'css' );

        if ( $css ) {
            $classes[] = vc_shortcode_custom_css_class( $css );
        }

        // Columns gap
        $gap = get_array_key( $atts, 'gap' );

        if ( $gap ) {
            $classes[] = "col-space-{$gap}";
        }

        // Container wrap
        $output = sprintf( '<div class="%s">%s</div>', implode( ' ', $classes ), $output );
    }

    return $output;
}

add_filter( 'vc_shortcode_output', 'codebean_vc_row_parent_wrapper', 100, 3 );

/**
 * Since custom CSS class is applied to row parent, remove it from rows
 */
function codebean_vc_row_remove_custom_css_class( $classes, $base, $atts ) {

    if ( 'vc_row' == $base ) {
        if ( strpos( $classes, 'vc_custom_' ) ) {
            $classes = preg_replace( '/\s+vc_custom_[0-9]+/', '', $classes );
        }
    }

    return $classes;
}

add_filter( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'codebean_vc_row_remove_custom_css_class', 10, 3 );

/**
 * Widget skin class for VC elements
 */

function codebean_vc_widget_sidebar_classes( $classes, $base, $atts ) {

    if ( 'vc_widget_sidebar' == $base ) {
        $classes .= sprintf( ' widget-area %s', implode( ' ', codebean_set_widgets_classes() ) );
    }

    return $classes;
}

add_filter( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'codebean_vc_widget_sidebar_classes', 10, 3 );