<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

$blog_post_share = false;

if ( class_exists('Redux') ) {
	$blog_post_share = codebean_option('blog_share_story');
}

?>
<article itemscope itemtype="http://schema.org/Article" <?php post_class('post post-single post-full-image post-single-type-3'); ?> role="article">

	<?php if ( has_post_thumbnail() ) { ?>
		<?php
		$image_id = get_post_thumbnail_id();
		$image_url = wp_get_attachment_image_src($image_id, 'full');
		?>
		<div class="cdb-post-single-thumbnail full-thumbnail">
			<div class="parallax-bg"
			     data-top-bottom="transform: translate3d(0px, 40%, 0px);"
			     data-top="transform: translate3d(0px, 0%, 0px);"
			     style="background-image: url(<?php echo esc_html($image_url[0]); ?>);"></div>
		</div>
	<?php } ?>

	<div class="container">
		<div class="row">
			<div class="col-md-12 cdb-post-container">

				<aside class="cdb-post-date">
					<span class="day"><?php the_time('j'); ?></span>
					<span class="month"><?php echo substr( get_the_time('F'), 0, 3 ); ?></span>
				</aside>

				<div class="cdb-blog-content-inner">
					<header class="cdb-post-header">
						<div class="cdb-post-meta">
							<span class="cdb-post-meta-comments"><?php comments_number( esc_html__('No Comments', 'nuovowp'), esc_html__('One Comment ', 'nuovowp'), esc_html__('% Comments', 'nuovowp') ); ?></span>
							<span class="cdb-post-meta-category"><?php the_category(', '); ?></span>
						</div>
						<?php the_title('<h1 class="cdb-post-title">', '</h1>'); ?>
					</header>
					<div class="post-content clearfix">
						<?php the_content(); ?>
						<?php wp_link_pages(array(
							'before' => '<div class="cdb-page-pagination"><span class="cdb-page-links-title">' . esc_html__('Pages:', 'nuovowp') . '</span>',
							'after' => '</div>',
							'link_before' => '<span class="cdb-page-link">',
							'link_after' => '</span>',
						)); ?>
					</div>
					<footer class="post-single-footer clearfix">

						<?php if ($posttags = get_the_tags()) { ?>
                            <div class="post-tags">
								<?php
								$return = '';
								foreach($posttags as $tag) {
									$return .= '<a href="'. get_tag_link($tag->term_id).'" title="'. get_tag_link($tag->name).'" class="tag-link">' . $tag->name . '</a> ';
								}
								echo substr($return, 0, -1);
								?>
                            </div>
						<?php } ?>

						<?php if ( $blog_post_share ) { ?>
							<div class="cdb-post-share">
								<span class="post-share-title"><?php esc_html_e( 'Share:', 'nuovowp' ); ?></span>
								<ul class="cdb-social-links rounded colored-bg">
									<?php
									$share_networks = codebean_get_enabled_options( codebean_option( 'blog_share_story_networks' ) );

									foreach ( $share_networks as $network_id => $network_name ) {
										share_story_network_link( $network_id, null, '' );
									}
									?>
								</ul>
							</div>
						<?php } ?>

					</footer>
				</div>

				<?php get_template_part( 'includes/templates/blog/post-end'); ?>

				<?php if ( comments_open() || get_comments_number() ) : ?>
					<!-- start #comments -->
					<?php comments_template('', true); ?>
					<!-- end #comments -->
				<?php endif; ?>

			</div>

		</div>
	</div>

</article>
