<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global $s;

$header_links_search = true;
$header_links_button = false;

if ( class_exists('Redux') ) {
    $header_links_search = codebean_option('header_links_search_form');
    $header_links_button = codebean_option('header_links_button');
}

?>
<?php if( $header_links_search ) {?>
<div class="cdb-search-wrapper">
    <form action="<?php echo home_url(); ?>" method="get" class="cdb-search-form<?php echo esc_attr($s) ? ' shown' : ''; ?>" enctype="application/x-www-form-urlencoded">
        <div class="cdb-search-holder<?php echo trim(cdb_get('s')) ? ' visible' : ''; ?>">
            <input type="text" class="form-control cdb-search-input" name="s" placeholder="<?php esc_attr_e('Search...', 'nuovowp'); ?>" value="<?php echo esc_attr($s); ?>">
        </div>
        <a href="#" class="cdb-search-opener"><?php get_template_part( 'assets/images/search.svg' ); ?></a>
    </form>
</div>
<?php } ?>

<?php if( $header_links_button ) {?>
    <?php
        $button_text = codebean_option('header_links_button_text');
        $button_icon = codebean_option('header_links_button_icon');
        $button_icon_class = codebean_option('header_links_button_icon_class');
        $button_icon_position = codebean_option('header_links_button_icon_position');
        $link_target = codebean_option( 'header_links_button_link_targer_attr', '_self' );

        $href = codebean_option( 'header_links_button_link' );

        if ( empty($href) ) {
            $href = '#';
        }

        $button_classes[] = 'btn btn-standard btn-default btn-small';

        if ( $button_icon && $button_icon_position === 'right' ) {
            $button_classes[] = 'btn-icon-right';
        } else if ( $button_icon && $button_icon_position === 'left' ) {
            $button_classes[] = 'btn-icon-left';
        }

    ?>
    <div class="cdb-header-button">
        <a href="<?php echo esc_url($href); ?>" target="<?php echo esc_attr($link_target); ?>" class="<?php echo implode(' ', $button_classes); ?>" title="<?php echo esc_attr($button_text); ?>">
            <?php if ( $button_icon && $button_icon_position === 'left' ) { ?>
            <i class="<?php echo esc_attr($button_icon_class); ?>"></i>
            <?php } ?>
            <span><?php echo esc_html($button_text); ?></span>
            <?php if ( $button_icon && $button_icon_position === 'right' ) { ?>
                <i class="<?php echo esc_attr($button_icon_class); ?>"></i>
            <?php } ?>
        </a>
    </div>
<?php } ?>

<a href="#" class="mobile-nav-toggle">
    <span class="the-icon">
    </span>
</a>
