<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global $use_uploaded_logo, $custom_logo_image, $custom_logo_max_width, $custom_logo_max_width_mobile;

$use_uploaded_logo = false;
$custom_logo_image = '';
$custom_logo_max_height = '';
$custom_logo_image_light = '';
$logo_text = get_bloginfo('name');

if ( class_exists( 'Redux') ) {
    $use_uploaded_logo              = codebean_option('use_uploaded_logo');
    $custom_logo_image              = codebean_option('custom_logo_image', false, 'url');
    $custom_logo_max_height         = absint(codebean_option('custom_logo_max_height'));
    $custom_logo_image_light = codebean_option('custom_logo_image_light', false, 'url');
    $logo_text = codebean_option('logo_text');
}

$use_uploaded_logo_light = get_post_meta(get_the_ID(), 'use_uploaded_logo_light', true );


# Whether using Image or Text logo
$use_image_logo         = false;
$logo_url               = '';
$logo_size              = array(0,0);

if ( $use_uploaded_logo ) {
    if ( !empty($custom_logo_image) ) {
        $use_image_logo   = true;
        $logo_url         = $custom_logo_image;
        $logo_size        = getimagesize($custom_logo_image);
    }
}

if ( is_ssl() && !empty($custom_logo_image_light) ) {
    $custom_logo_image_light = str_replace('http:', 'https:', $custom_logo_image_light);
}

?>

<div class="cdb-logo-holder<?php echo ! $use_image_logo ? ' cdb-logo-text' : ''; ?>">
    <a href="<?php echo apply_filters( 'codebean_logo_url', home_url() ); ?>" class="cdb-logo-link" title="<?php bloginfo('name'); ?>">
    <?php if($use_image_logo): ?>
        <?php if($custom_logo_max_height) { ?>
        <style>
        .cdb-logo-holder .cdb-logo-image {
            max-height: <?php echo esc_attr($custom_logo_max_height); ?>px !important;
        }
        </style>
        <?php } ?>
        <img src="<?php echo str_replace( array( 'http:', 'https:' ), '', $logo_url ); ?>" class="cdb-logo-image -dark" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">

        <?php if ( has_transparent_header() ) { ?>
        <img src="<?php echo str_replace( array( 'http:', 'https:' ), '', $custom_logo_image_light ); ?>" class="cdb-logo-image -light" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
        <?php } ?>
    <?php else:
        echo esc_html($logo_text);
    endif; ?>
    </a>
</div>
