<?php

$mobile_skin = 'light';
$mobile_menu_social = false;
$mobile_menu_footer = '';
$header_link_button_mobile = false;

if ( class_exists('Redux') ) {
    $mobile_skin = codebean_option('mobile_nav_skin');
    $mobile_menu_social = codebean_option('mobile_menu_social');
    $mobile_menu_footer = codebean_option('mobile_menu_footer');
    $header_link_button_mobile = codebean_option( 'header_link_button_mobile' );
}

$mobile_nav_class[] = 'cdb-mobile-navigation';

if ( $mobile_skin == 'dark' ) {
    $mobile_nav_class[] = 'dark-skin';
}

$nav_id = 'main-menu';

if(has_nav_menu('mobile-menu'))
    $nav_id = 'mobile-menu';

$menu = wp_nav_menu(
    array(
        'theme_location'    => $nav_id,
        'container'         => 'nav',
        'menu_class'        => 'mobile-menu',
        'echo'				=> false
    )
);

?>
<div class="<?php echo esc_attr( implode( ' ', $mobile_nav_class ) ); ?>">
    <div class="mobile-nav-container">
        <?php echo wp_kses_post($menu); ?>

        <?php if ( $header_link_button_mobile ) : ?>
	        <?php
	        $button_text = codebean_option('header_links_button_text');
	        $button_icon = codebean_option('header_links_button_icon');
	        $button_icon_class = codebean_option('header_links_button_icon_class');
	        $button_icon_position = codebean_option('header_links_button_icon_position');
	        $link_target = codebean_option( 'header_links_button_link_targer_attr', '_self' );

	        $href = codebean_option( 'header_links_button_link' );

	        if ( empty($href) ) {
		        $href = '#';
	        }

	        $button_classes[] = 'btn btn-standard btn-default btn-small';

	        if ( $button_icon && $button_icon_position === 'right' ) {
		        $button_classes[] = 'btn-icon-right';
	        } else if ( $button_icon && $button_icon_position === 'left' ) {
		        $button_classes[] = 'btn-icon-left';
	        }

	        ?>
            <div class="cdb-header-button-mobile">
                <a href="<?php echo esc_url($href); ?>" target="<?php echo esc_attr($link_target); ?>" class="<?php echo implode(' ', $button_classes); ?>" title="<?php echo esc_attr($button_text); ?>">
			        <?php if ( $button_icon && $button_icon_position === 'left' ) { ?>
                        <i class="<?php echo esc_attr($button_icon_class); ?>"></i>
			        <?php } ?>
                    <span><?php echo esc_html($button_text); ?></span>
			        <?php if ( $button_icon && $button_icon_position === 'right' ) { ?>
                        <i class="<?php echo esc_attr($button_icon_class); ?>"></i>
			        <?php } ?>
                </a>
            </div>
        <?php endif; ?>

    </div>

    <?php if ( $mobile_menu_footer  != '' ) : ?>
        <div class="mobile-nav-footer">
            <?php
                echo do_shortcode($mobile_menu_footer);
            ?>
        </div>
    <?php endif; ?>

    <?php if ( $mobile_menu_social != '' ) : ?>
        <div class="mobile-nav-social">
            <?php echo do_shortcode($mobile_menu_social);?>
        </div>
    <?php endif; ?>

</div>

<div class="cdb-close-overlay"></div>