<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global
    $wp_query,
    $force_show_heading_title,
    $force_heading_title,
    $force_heading_description,

    $blog_show_header,
    $blog_title,
    $blog_description;


if ( ! is_singular() && ! $force_show_heading_title ) {
	return;
}

$the_title = '';
$the_description = '';

$qo = get_queried_object();

if ( $qo instanceof WP_Post && $qo->ID > 0 ) {
    $show_heading_title = get_post_meta( get_the_ID(), 'show_page_title', $qo->ID );

    if ( $show_heading_title ) {
        $custom_title       = get_post_meta( get_the_ID(), 'page_heading_custom_title', $qo->ID );
        $custom_description = get_post_meta( get_the_ID(), 'page_heading_custom_description', $qo->ID );

        $the_title = $custom_title;
        $the_description = $custom_description;
    }
}

else if ( $force_show_heading_title ) {
    $show_heading_title    = true;
	$the_title = esc_html__( 'Our News', 'nuovowp' );

	if ( class_exists( 'Redux' ) ) {
		$show_heading_title = codebean_option( 'blog_show_header_title' );
		$the_title = codebean_option( 'blog_title' );
		$the_description = codebean_option( 'blog_description' );
	}
}

if ( is_home() && ( $post = get_queried_object() ) ) {
	$show_heading_title    = true;
	$the_title = esc_html__( 'Our News', 'nuovowp' );

	if ( class_exists( 'Redux' ) ) {
		$show_heading_title = codebean_option( 'blog_show_header_title' );
		$the_title = codebean_option( 'blog_title' );
		$the_description = codebean_option( 'blog_description' );
	}

} else if ( is_category() || is_tag() || is_tax() ) {
    $the_title = single_term_title( '', false );
    $the_description = '';
} else if ( is_day() ) {
    $the_title = get_the_time( 'd' );
    $the_description = '';
} else if ( is_month() ) {
    $the_title = get_the_time( 'F, Y' );
    $the_description = '';
} else if ( is_year() ) {
    $the_title = get_the_time( 'Y' );
    $the_description = '';
} else if ( is_author() ) {
    $the_title = esc_html__( 'Author: ' . get_the_author(), 'nuovowp' );
    $the_description = '';
} else if ( is_search() ) {
    $the_title = esc_html__( 'Search', 'nuovowp' );
    $the_description = esc_html__( 'Search results for: ' . get_search_query( false ), 'nuovowp' );
}

if ( isset( $show_heading_title ) && $show_heading_title && ( $the_title || $the_description ) ) { ?>
    <div class="container cdb-page-heading">
        <div class="row">
            <div class="col-sm-12">
                <h2 class="cdb-page-title"><?php echo codebean_esc_script( $the_title ); ?></h2>
                <?php if ( $the_description ) { ?>
                <div class="cdb-page-description">
                    <?php echo apply_filters( 'the_content', codebean_esc_script( $the_description ) ); ?>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php

    define( 'HEADING_TITLE_DISPLAYED', true );
}