<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global $goseowp_portfolio_loop;

$full_width = false;
$column_spacing = 'medium';
$portfolio_loop_style = 'style1';
$portfolio_pagination = 'pagination';
$portfolio_columns = '3';
$number_to_show = '12';
$portfolio_orderby = 'date';
$portfolio_order = 'DESC';
$portfolio_filters = true;

if ( class_exists('Redux') ) {
	$column_spacing = codebean_option('portfolio_spacing');
	$full_width = codebean_option('portfolio_full_width');
	$portfolio_loop_style = codebean_option('portfolio_style');
	$portfolio_pagination = codebean_option('portfolio_pagination');
	$portfolio_columns = codebean_option('portfolio_columns');
	$number_to_show = codebean_option('portfolio_per_page');
	$portfolio_orderby = codebean_option('portfolio_orderby');
	$portfolio_order = codebean_option('portfolio_order');
	$portfolio_filters = codebean_option('portfolio_filters');
}

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;



$args = array(
	'post_type' => 'portfolio',
	'posts_per_page' => $number_to_show,
	'orderby' => $portfolio_orderby,
	'order' => $portfolio_order,
	'paged' => $paged
);

$goseowp_portfolio_loop['columns'] = isset($_GET['portfolio_col']) ? $_GET['portfolio_col'] : $portfolio_columns;
$goseowp_portfolio_loop['style'] = $portfolio_loop_style;
$goseowp_portfolio_loop['type'] = 'grid';

$i = 0;

$portfolio_query = new WP_Query( $args );

// Portfolio Container Classes
$portfolio_holder_class = array('portfolio-holder clearfix portfolio-masonry');
$portfolio_holder_class[] = 'portfolio-col-gap-' . $column_spacing;

?>

<div class="portfolio-container page-padding container portfolio-layout-<?php echo ($full_width) ? 'full-width' : 'boxed'; ?>">
    <?php if ( $portfolio_query->have_posts() ) : ?>

        <?php if ( ! is_tax() && $portfolio_filters ) : ?>
            <?php
                $categories = get_terms( 'portfolio_category' );
                if ( ! is_wp_error( $categories ) && ! empty( $categories ) ) {
                    ?>
                    <div class="row">
                        <div class="col-sm-12 cdb-portfolio-filter">
                            <ul class="portfolio-filter-list">
                                <li><a href="#" data-filter="*" class="filter-active"><?php esc_html_e('All', 'nuovowp'); ?></a></li>
                                <?php
                                foreach ($categories as $key => $cateogry) { ?>
                                    <li><a href="#" data-filter=".portfolio-cat-<?php echo esc_attr( $cateogry->slug ); ?>"><?php echo esc_html( $cateogry->name ); ?></a></li>
                                <?php }
                                ?>
                            </ul>
                        </div>
                    </div>
                    <?php
                }
            ?>
        <?php endif; ?>

        <div class="<?php echo implode( ' ', apply_filters( 'goseowp_portfolio_holder_class', $portfolio_holder_class ) ); ?>">

            <div class="cdb-preloader"><?php esc_attr_e( 'Loading posts...', 'nuovowp' ); ?></div>

            <?php while ( $portfolio_query->have_posts() ) : $portfolio_query->the_post(); ?>

                <?php
                    get_template_part( 'includes/templates/portfolio/portfolio-loop' );
                ?>

            <?php $i++; endwhile; ?>

        </div>

        <?php if ( $portfolio_pagination ) {
            codebean_paging_navigation( $portfolio_query );
        } ?>

    <?php else : ?>

        <?php get_template_part( 'includes/templates/not-found' ); ?>

    <?php endif; ?>
</div>