<?php
/**
 * Created by PhpStorm.
 * User: ismethajrizaj
 * Date: 3/18/18
 * Time: 13:24
 */

global $goseowp_portfolio_loop;

$portfolio_style = isset($_GET['portfolio_style']) ? $_GET['portfolio_style'] : $goseowp_portfolio_loop['style'];
$columns = ( ! empty( $goseowp_portfolio_loop['columns'] ) ) ? $goseowp_portfolio_loop['columns'] : 3;
$portfolio_type = $goseowp_portfolio_loop['type'];

if ( $portfolio_type == 'grid' ) {
	$classes[] = goseowp_get_grid_el_class(0, $columns, 12, 6);
}

$classes[] = 'portfolio-entry';

if ( $portfolio_style == 'style1' ) {
    $classes[] = 'info-below-thumb';
} else if ( $portfolio_style == 'style2' ) {
    $classes[] = 'info-on-hover';
}

$categories = get_the_term_list( get_the_ID(), 'portfolio_category', '', ', ', '' );
if ($categories !== '') {
	$categories = strip_tags($categories);
}

$terms = get_the_terms( get_the_ID(), 'portfolio_category' );

if ( !empty( $terms ) ) {
    foreach ( $terms as $key => $term ) {
        $classes[] = 'portfolio-cat-' . $term->slug;
    }
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?>>
    <div class="portfolio-entry-inner">

        <?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
            <div class="portfolio-entry-thumb">
                <a href="<?php echo esc_url( get_permalink() ); ?>" class="portfolio-link"></a>
                <figure class="thumb-inner">
                    <a href="<?php echo esc_url( get_permalink() ); ?>" class="portfolio-thumb-link">
                        <?php the_post_thumbnail('codebean-portfolio-grid' ); ?>
                    </a>
                </figure>
                <div class="overlay">
                    <?php if ( $portfolio_style != 'style1' ) : ?>
                        <div class="portfolio-entry-infos">
                            <h3 class="portfolio-entry-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>
                            <?php
                                if ( !empty($categories) ) { ?>
                                    <div class="portfolio-entry-terms"><?php echo esc_html($categories); ?></div>
                                <?php }
                            ?>
                        </div>
                    <?php elseif ( $portfolio_style != 'style2' ) : ?>
                        <div class="overlay-icon"><?php get_template_part('assets/images/lightbulb.svg' ); ?></div>
                    <?php endif; ?>
                </div>
            </div>
        <?php endif; ?>

        <?php if ( $portfolio_style != 'style2' ) : ?>
            <div class="portfolio-entry-infos">
                <h3 class="portfolio-entry-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>
                <?php
                    if ( !empty($categories) ) { ?>
                        <div class="portfolio-entry-terms"><?php echo esc_html($categories); ?></div>
                    <?php }
                ?>
            </div>
        <?php endif; ?>

    </div>
</article>