<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

add_filter( 'excerpt_length', 'codebean_default_excerpt_length' );

$vars = $wp_query->query_vars;
$id = get_the_ID();

$format = get_post_format();
$permalink = get_the_permalink();

$categories = get_the_category();

if ( $format === 'link' ) {
	$permalink = get_post_meta( $id, 'post_link', true );
}

?>
<article itemscope itemtype="http://schema.org/Article" <?php post_class('post post-standard'); ?> role="article">
	<div class="post-inner">

		<?php if ( has_post_thumbnail() ) { ?>
			<div class="cdb-post-thumbnail">
				<a href="<?php echo esc_url($permalink); ?>" rel="bookmark" title="<?php the_title(); ?>">
					<?php the_post_thumbnail('codebean-blog-large'); ?>
				</a>
			</div>
		<?php } ?>

		<div class="cdb-blog-content clearfix">
			<aside class="cdb-post-date">
				<span class="day"><?php the_time('j'); ?></span>
				<span class="month"><?php echo substr( get_the_time('F'), 0, 3 ); ?></span>
			</aside>
			<div class="cdb-blog-content-inner">
				<header class="cdb-post-header">
					<div class="cdb-post-meta">
						<span class="cdb-post-meta-date"><?php echo get_the_date(); ?> </span>
                        <span class="cdb-post-meta-category">
							<?php if ( ! empty( $categories ) ) {
								echo '<a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
							} ?>
						</span>
					</div>
					<?php the_title('<h2 class="cdb-post-title"><a href="'.esc_url($permalink).'" title="'.the_title_attribute("echo=0").'">', '</a></h2>'); ?>
				</header>
				<div class="cdb-post-excerpt">
					<?php the_excerpt(); ?>
                    <p class="read-more-section">
                        <a class="read-more" href="<?php echo esc_url($permalink); ?>"><?php esc_html_e('Continue reading', 'nuovowp'); ?></a>
                    </p>
				</div>
			</div>
		</div>

	</div>
</article>

