<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global $wp_query;

// Total found posts
$found_posts = $wp_query->found_posts;

// Thumbnails
$results_thumbnails = '1';

if ( class_exists('Redux') ) {
    $results_thumbnails = codebean_option('search_thumbnails');
}

$search_term = '<span class="highlight">' . get_search_query( true ) . '</span>'

?>
<div class="container cdb-page-heading">
    <div class="row">
        <div class="col-sm-12">
            <h2 class="cdb-page-title"><?php printf( esc_html__( '%d results for %s', 'nuovowp' ), $found_posts, $search_term ); ?></h2>

            <div class="cdb-page-description">
                <?php if ( $found_posts ) : ?>
                    <p><?php printf( _n( 'We have found one match with the word you searched.', 'We have found %d results with the word you searched.', $found_posts, 'nuovowp' ), $found_posts ); ?></p>
                <?php else : ?>
                    <p><?php esc_html_e( 'We couldn\'t find any results for your search.', 'nuovowp' ); ?></p>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<div class="page-padding search-results-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
            <?php
                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();
                        ?>
                        <div class="search-result-block">
                            <?php if ( $results_thumbnails && has_post_thumbnail() ) :?>
                                <div class="result-thumbnail">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php the_post_thumbnail('codebean-search-thumbnail'); ?>
                                    </a>
                                </div>
                            <?php endif; ?>
                            <div class="result-content">
                                <h3 class="result-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <p><?php echo strip_shortcodes( get_the_excerpt() ); ?></p>
                                <a href="<?php the_permalink(); ?>" class="read-more"><?php esc_html_e( 'Read More', 'nuovowp' ); ?></a>
                            </div>
                        </div>
                        <?php
                    endwhile;
                endif;
            ?>
            </div>
        </div>
        <?php codebean_paging_navigation( $wp_query ); ?>
    </div>
</div>
