<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

global $post;

get_header();

// Check if is default container
$is_vc_content = preg_match( "/\[vc_row.*?\]/i", $post->post_content );

// Password protected page doesn't use vc container
if ( post_password_required() ) {
    $is_vc_content = false;
}

// Container start
$container = array();

if ( $is_vc_content ) {
    $container[] = 'vc_page_container';
} else {
    $container[] = 'container';
    $container[] = 'page-padding';
}

// Page title (show or hide)
$show_title = false == $is_vc_content && is_singular();

// Page Comments
$page_comments = true;

if ( class_exists('Redux') ) {
    $page_comments = codebean_option( 'page_comments' );
}

?>
<div class="<?php echo implode( ' ', $container); ?>">

    <?php
        // Show page title
        if ( false == defined( 'HEADING_TITLE_DISPLAYED' ) && apply_filters( 'codebean_page_title', $show_title ) ) {
            ?>
            <div class="cdb-page-heading">
                <h2 class="cdb-page-title"><?php the_title(); ?></h2>
            </div>
            <?php
        }
    ?>

    <?php while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <div class="entry-content clearfix">
	            <?php the_content(); ?>
            </div>

	        <?php wp_link_pages(array(
		        'before' => '<div class="cdb-page-pagination"><span class="cdb-page-links-title">' . esc_html__('Pages:', 'nuovowp') . '</span>',
		        'after' => '</div>',
		        'link_before' => '<span class="cdb-page-link">',
		        'link_after' => '</span>',
	        )); ?>
        </article>
        <?php
            // If comments are open or we have at least one comment, load up the comment template.
            if ( $page_comments && (comments_open() || get_comments_number()) ) :
                comments_template();
            endif;
        ?>
    <?php endwhile; ?>

</div>
<?php

get_footer();
