<?php
/**
 * Created by PhpStorm.
 * User: ismethajrizaj
 * Date: 3/18/18
 * Time: 14:46
 */

global $goseowp_portfolio_loop;

$portfolio_single_nav = true;
$portfolio_single_related = true;
$portfolio_share = false;

if ( class_exists('Redux') ) {
    $portfolio_single_nav = codebean_option('portfolio_single_nav');
    $portfolio_single_related = codebean_option('portfolio_single_related');
    $portfolio_share = codebean_option('portfolio_share_story');
}

get_header();
?>

<div class="portfolio-single-page vc_page_container">
    <?php while ( have_posts() ) : the_post(); ?>

        <div class="portfolio-single-content">
            <?php the_content( esc_html__( 'Continue Reading', 'nuovowp' ) ); ?>
        </div>

        <?php if ( $portfolio_share ) : ?>
            <!-- Portfolio Sharing Social -->
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cdb-post-share">
                            <p class="post-share-title"><?php esc_html_e( 'Share this project:', 'nuovowp' ); ?></p>
                            <ul class="cdb-social-links rounded colored-bg">
			                    <?php
			                    $share_networks = codebean_get_enabled_options( codebean_option( 'portfolio_share_story_networks' ) );

			                    foreach ( $share_networks as $network_id => $network_name ) {
				                    share_story_network_link( $network_id, null, '' );
			                    }
			                    ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>

	    <?php if ( $portfolio_single_nav ) { ?>
            <!--  Portfolio Navigation  -->
            <div class="portfolio-single-navigation">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12"><?php do_action( 'codebean_post_nav' ); ?></div>
                    </div>
                </div>
            </div>
	    <?php } ?>

        <?php
            $args = array(
	            'post_type' => 'portfolio',
	            'order' => 'DESC',
	            'orderby' => 'date',
	            'posts_per_page' => 6,
	            'post__not_in' => array( get_the_ID() )
            );

	        $query = new WP_Query( $args );

	        $goseowp_portfolio_loop['style'] = 'style2';
	        $goseowp_portfolio_loop['type'] = 'carousel';

            $portfolio_url = get_home_url();

            if ( class_exists('Redux') ) {
                $portfolio_url = codebean_option('portfolio_main_page');
            }

            $archive_page = $portfolio_url;
            $archive_url = get_permalink( $archive_page );
        ?>

	    <?php if ( $portfolio_single_related ) { ?>
            <!--  Portfolio Related Posts  -->
            <div class="portfolio-related-block">
                <div class="container portfolio-layout-boxed">
		            <?php if ( $query->have_posts() ) : ?>
                        <div class="portfolio-related-heading">
                            <h4 class="portfolio-related-title"><?php esc_html_e( 'More Case Studies', 'nuovowp' ); ?></h4>
                            <span class="related-back-link"><a href="<?php echo esc_url( $archive_url ); ?>" title="<?php esc_attr_e( 'Back to list', 'nuovowp' ); ?>"><?php esc_html_e( 'View All', 'nuovowp' ); ?></a></span>
                        </div>
                        <div class="portfolio-holder clearfix portfolio-col-gap-30 portfolio-carousel" >
                            <div class="owl-carousel" data-autoplay="true" data-slider-items="3" data-pagination="true">
					            <?php while ( $query->have_posts() ) : $query->the_post(); ?>

						            <?php
						            get_template_part( 'includes/templates/portfolio/portfolio-loop' );
						            ?>

					            <?php endwhile; ?>
                            </div>
                        </div>
		            <?php endif; ?>
                </div>
            </div>
	    <?php } ?>

    <?php endwhile; ?>
</div>

<?php get_footer(); ?>