<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$css_class = "cdb-counter cdb-counter-{$size} text-{$align} cdb-counter-{$color_scheme}";

if ( !empty( $icon ) ) {
	$icon_styles = array();

	if ( $icon_color !== '' ) {
		$icon_styles[] = 'color: '. $icon_color .'';
	}

	if ( $icon_size !== '' ) {
		$icon_styles[] = 'font-size: '. $icon_size .'px';
	}
}

$text_styles = array();

if ( $color_scheme == 'custom') {

	if ( $text_color !== '' ) {
		$text_styles[] = 'color: '. $text_color .'';
	}
}

?>
<div class="<?php echo esc_attr( $css_class ) . vc_shortcode_custom_css_class($css, ' '); ?>">

	<?php if ( !empty($icon) ) : ?>
		<div class="cdb-counter-icon-wrapper">
			<i class="cdb-counter-icon <?php echo esc_attr($icon); ?>" <?php goseowp_codebean_inline_style($icon_styles) ?>></i>
		</div>
	<?php endif; ?>

	<div class="cdb-counter-text" <?php goseowp_codebean_inline_style($text_styles); ?>>
		<span class="cdb-counter-number"><?php echo esc_attr( $value ); ?></span>

		<?php if ( $label !== '' ) { ?>
			<span class="cdb-counter-label"><?php echo esc_html( $label ); ?></span>
		<?php } ?>
	</div>
</div>
