<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class_to_filter = 'cdb-auto-type';
$class_to_filter .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

// Typed Text
$typed_text_safe = vc_value_from_safe( $typed_text );
$typed_text_safe = preg_replace( '#^<\/p>|<p>$#', '', $typed_text_safe );

// Auto Type ID
$autotype_id = 'cdb-auto-type-' . rand(10,2000);

$typed_speed = $typed_speed !== '' ? $typed_speed : 50;

?>
<div id="<?php echo esc_attr( $autotype_id ); ?>" class="<?php echo esc_attr( $css_class ); ?>">

	<?php

		if ( preg_match_all('/(\*.*?\*)/is', $typed_text_safe, $entries ) ) {
			foreach($entries[0] as $entry) {
				$text = substr($entry, 1, -1);
				$autotype = explode(';', $text);
				$autotype = array_map('trim', $autotype);

				$typed_text_safe = str_replace($entry, '<placeholder>', $typed_text_safe);
			}
		}

		echo str_replace('<placeholder>', '<div class="cdb-auto-type-text" data-strings="'.esc_attr(json_encode($autotype)).'" data-speed="'.esc_attr($typed_speed).'" data-start-delay="'.$typed_options_startdelay.'" data-back-delay="'.$typed_options_backdelay.'" data-cursor="'.$typed_options_cursorchar.'" data-loop="'.esc_attr($typed_options_loopcount).'"></div>', $typed_text_safe);
	?>
    <?php if ( $animated_text_color ) { ?>
        <style>
            #<?php echo esc_attr( $autotype_id );?> .cdb-auto-type-text {
                color: <?php echo esc_attr($animated_text_color); ?>;
            }
        </style>
    <?php } ?>
</div>
