<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class_to_filter = 'cdb-blog';
$class_to_filter .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(empty($per_page)) {
	$per_page = 3;
}

$args = array(
	'post_type' => 'post',
	'status' => 'publish',
	'posts_per_page' => intval($per_page)
);

$query = new WP_Query($args);

?>
<div class="<?php echo esc_attr( $css_class ) . vc_shortcode_custom_css_class($css, ' '); ?>">
	<div id="cdb-blog-posts" class="cdb-blog-posts clearfix three-columns">
		<div class="cdb-preloader"><?php esc_attr_e( 'Loading posts...', 'nuovowp' ); ?></div>
		<?php if($query->have_posts()): while($query->have_posts()): $query->the_post(); ?>

			<?php get_template_part('includes/templates/postbit/style1' ); ?>

		<?php endwhile; wp_reset_postdata(); else: ?>

			<?php get_template_part( 'includes/templates/not-found' ); ?>

        <?php endif; ?>
	</div>
</div>
