<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Link
$link = vc_build_link($link);

$button_id = 'btn-' . rand(100,10000);

// Element Class
$class = $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$css_class = "btn btn-{$type} {$css_class} {$button_id}";

if ( $button_bg != 'custom' ) {
    $css_class .= " {$button_bg}";
}

if ( ( !empty( $icon ) ) && ( $icon_position == 'left' ) ) {
    $css_class .= " btn-icon-left";
}

if ( ( !empty( $icon ) ) && ( $icon_position == 'right' ) ) {
	$css_class .= " btn-icon-right";
}

if ( $size != 'btn-normal' ) {
    $css_class .= " {$size}";
}

if ( $button_bg == 'custom' ) {
    switch ($type) {
        case 'bordered' :

            if ( $button_bg_custom ) {
                generate_custom_style( ".{$button_id}", "border-color: {$button_bg_custom} !important;" );

                if ( $type == 'outlined-bg' ) {
                    generate_custom_style( ".{$button_id}:hover", "background: {$button_bg_custom} !important;" );
                }
            }

            if ( $button_txt_custom ) {
                generate_custom_style( ".{$button_id}", "color: {$button_txt_custom} !important;" );
            }

            if ( $button_txt_hover_custom ) {
                generate_custom_style( ".{$button_id}:hover", "color: {$button_txt_hover_custom} !important;" );
                generate_custom_style( ".{$button_id}:hover", "border-color: {$button_txt_hover_custom} !important;" ); // May not be appropriate
            }
            break;

        default:

            if ( $button_bg_custom ) {
                generate_custom_style( ".{$button_id}", "background: {$button_bg_custom} !important;" );
            }

            if ( $button_txt_custom ) {
                generate_custom_style( ".{$button_id}", "color: {$button_txt_custom} !important;" );
            }

            if ( $button_txt_hover_custom ) {
                generate_custom_style( ".{$button_id}:hover", "color: {$button_txt_hover_custom} !important;" );
            }
    }
}

?>
<a href="<?php echo esc_url( $link['url'] ); ?>" class="<?php echo esc_attr( $css_class ) . vc_shortcode_custom_css_class($css, ' '); ?>" target="<?php echo esc_attr( $link['target'] ); ?>" title="<?php echo esc_attr( $link['title'] ); ?>">

    <?php if ( ( $show_icon ) && ( !empty( $icon ) ) && ( $icon_position == 'left' ) ) : ?>
        <i class="<?php echo esc_attr( $icon ); ?>"></i>
    <?php endif; ?>

    <span><?php echo esc_html( $title ); ?></span>

	<?php if ( ( $show_icon ) && ( !empty( $icon ) ) && ( $icon_position == 'right' ) ) : ?>
        <i class="<?php echo esc_attr( $icon ); ?>"></i>
	<?php endif; ?>

</a>