<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class_to_filter = 'cdb-images-gallery';
$class_to_filter .= ' images-gallery-' . $view;

if ( $view == 'masonry' ) {
	$class_to_filter .= ' images-gallery-grid';
	$class_to_filter .= ' gallery-col-' . $columns;
}

if ( $view == 'grid' ) {
	$class_to_filter .= ' gallery-col-' . $columns;
}

$class_to_filter .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$images = explode(',', $images);

if ( 'links' === $on_click ) {
	$custom_links = vc_value_from_safe( $custom_links );
	$custom_links = explode( ',', $custom_links );
}

// If Gallery View is carousel
if ( $view == 'carousel' ) {
	$carousel_class = array('cdb-gallery-carousel owl-carousel');
	$carousel_data = array();

	if ( $autoplay !== '' ) {
		$carousel_data['data-autoplay'] = 'true';
	}

	if ( $slides_per_view !== '' ) {
		$carousel_data['data-slider-items'] = $slides_per_view;
	}

	$carousel_data['data-pagination'] = $show_pagination_control;
	$carousel_data['data-navigation'] = $show_prev_next_buttons;
	$carousel_data['data-loop'] = $wrap;
}

?>
<div class="<?php echo esc_attr( $css_class ); ?>">

	<?php if ( $view == 'carousel' ) : ?>
	<div <?php echo goseowp_codebean_get_class_attribute( $carousel_class ); ?> <?php echo goseowp_codebean_get_inline_attrs( $carousel_data ); ?>>
	<?php endif; ?>

	<?php if ( $images ): ?>
		<?php $i = 0; foreach ($images as $img_id) : ?>
			<?php
				$i++;
				$attachment = get_post( $img_id );
				$title = trim( strip_tags( $attachment->post_title ) );
				$img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => $img_size, 'class' => 'cdb-gallery-image' ) );
				$link = $img['p_img_large']['0'];
				if( 'links' === $on_click ) {
					$link = (isset( $custom_links[$i-1] ) ? $custom_links[$i-1] : '' );
				}
			?>
			<div class="cdb-gallery-item">
				<?php if ( $on_click != 'none' ): ?>
				<a href="<?php echo esc_url( $link ); ?>" <?php if ( $target_blank ) { ?>target="_blank"<?php } ?> <?php if ( 'lightbox' === $on_click ) { ?>class="cdb-gallery-lightbox-link"<?php } ?>>
				<?php endif; ?>
					<?php echo codebean_kses_img( $img['thumbnail'] );?>
				<?php if ( $on_click != 'none' ): ?>
				</a>
				<?php endif; ?>
			</div>
		<?php endforeach; ?>
	<?php endif; ?>

	<?php if ( $view == 'carousel' ) : ?>
	</div>
	<?php endif; ?>

</div>