<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

wp_enqueue_script( 'gmaps' );
wp_enqueue_script( 'google.map.api', 'https://maps.google.com/maps/api/js?key=' . $google_key . '', array(), '', false );

$el_class .= ' content-vertical-' . $content_vertical;
$el_class .= ' content-horizontal-' . $content_horizontal;


$style_json = rawurldecode( codebean_decode( strip_tags( $style_json ) ) );

if( $mask != '' ) {
	$el_class .= ' map-mask-' . $mask;
}

$id = 'google-map-' . rand(100,999);

if ( $scroll == 'yes' ) {
    $scroll = 'true';
} else {
    $scroll = 'false';
}

$marker_content = '<h5 style="min-width: 200px; margin: 4px 0 5px;">'. $title .'</h5>';
$marker_content .= $marker_text;

if ( $marker_icon ) {
    $marker_url = wp_get_attachment_image_src( $marker_icon );
    $marker_icon = $marker_url[0];
} else {
	$marker_icon = GOSEO_THEMEASSETS . '/images/pin-map.png';
}

?>

<?php if ( !empty($content) ) : ?>
    <div class="cdb-google-map <?php echo esc_attr( $el_class ); ?> with-content" style="height: <?php echo esc_attr( $height );  ?>px;">

        <div class="cdb-google-map-holder">
            <div class="cdb-google-map-inner <?php echo esc_attr( $id ); ?>"></div>
        </div>

        <div class="cdb-google-map-content-holder">
            <div class="cdb-google-map-content" style="max-width: <?php echo esc_attr( $content_width ); ?>px;">
	            <?php echo do_shortcode( $content ); ?>
            </div>
        </div>

    </div>
<?php else : ?>
    <div class="cdb-google-map <?php echo esc_attr( $el_class ); ?>" style="height: <?php echo esc_attr( $height ); ?>px;">

        <div class="cdb-google-map-holder">
            <div class="cdb-google-map-inner <?php echo esc_attr( $id ); ?>"></div>
        </div>

    </div>
<?php endif;

$google_map_init = '
jQuery(document).ready(function($) {
    var map;
    
    map = new GMaps({
        div: "'. esc_js( $id ) .'",
        lat: '. esc_js( $lat ) .',
        lng: '. esc_js( $lon ) .',
        scrollwheel: '. esc_js( $scroll ) .',
        zoom: '. esc_js( $zoom ) .',
        styles: '. $style_json .',
    });
    
    
 });
';

wp_add_inline_script( 'goseowp-custom', $google_map_init );

