<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class_to_filter = "cdb-icon-list-item";
$class_to_filter .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

// Link
$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );
$a_href = $link['url'];
$a_target = $link['target'];


$list_item_style = array();
if ( $margin_bottom !== '' ) {
    $list_item_style[] = 'margin-bottom: '. $margin_bottom .'px';
}

if ( !empty($icon) ) {

    $icon_style = array();

    if ( !empty($icon_color) ) {
        $icon_style[] = 'color: '. $icon_color .'';
    }

    if ( !empty($icon_size) ) {
        $icon_style[] = 'font-size: '. $icon_size .'px';
    }
}

if ( !empty($title) ) {

    $title_style = array();
    $title_classes = array('cdb-list-icon-title');

    if ( !empty($title_color) ) {
        $title_style[] = 'color: '. $title_color .'';
    }

    if( !empty($title_size) ) {
        $title_style[] = 'font-size: '. $title_size .'px';
    }

    if ( !empty($title_font_weight) ) {
        $title_style[] = 'font-weight: '. $title_font_weight .'';
    }

    if ( $heading_font !== '' ) {
        $title_classes[] = 'heading-font';
    }


}

$list_content_style = array();

if ( !empty($space_title_and_icon) ) {
    $list_content_style[] = 'padding-left: '. $space_title_and_icon .'px';
}

?>
<div class="<?php echo esc_attr( $css_class ); ?>" <?php goseowp_codebean_inline_style($list_item_style); ?>>

	<?php if ( !empty( $a_href ) ) : ?>
    <a href="<?php echo esc_url( $a_href ); ?>" target="<?php echo esc_attr( $a_target ); ?>">
    <?php endif; ?>

        <div class="cdb-list-icon-wrap">
            <i class="<?php echo esc_attr( $icon ); ?>" <?php goseowp_codebean_inline_style($icon_style); ?>></i>
        </div>
        <div class="cdb-list-icon-content" <?php goseowp_codebean_inline_style($list_content_style); ?>>

            <span <?php goseowp_codebean_class_attribute($title_classes); ?> <?php goseowp_codebean_inline_style($title_style); ?>><?php echo wp_kses_post($title); ?></span>

            <?php if ( !empty( $subtitle ) ) : ?>
                <span class="cdb-list-icon-subtitle"><?php echo esc_html($subtitle); ?></span>
            <?php endif; ?>

        </div>

    <?php if ( !empty( $a_href ) ) : ?>
    </a>
    <?php endif; ?>
</div>