<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */
global $goseowp_portfolio_loop;

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = 'portfolio-container conatiner portfolio-layout-';
$class .= $portfolio_fullwidth ? 'full-width' : 'boxed';
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

// Portfolio Holder Class
$portfolio_holder_class = array('portfolio-holder clearfix');
$portfolio_holder_class[] = 'portfolio-col-gap-' . $portfolio_col_gap;

if ( $portfolio_type == 'grid' ) {
	$portfolio_holder_class[] = 'portfolio-masonry';
} else if ( $portfolio_type == 'carousel' ) {
	$portfolio_holder_class[] = 'portfolio-carousel';
}

// Carousel Data
$carousel_data = array();

if ( $autoplay != '' ) {
	$carousel_data['data-autoplay'] = 'true';
}

if ( $slides_per_view !== '' ) {
	$carousel_data['data-slider-items'] = $slides_per_view;
}

$carousel_data['data-pagination'] = $show_pagination_control;
$carousel_data['data-navigation'] = $show_prev_next_buttons;
$carousel_data['data-loop'] = $wrap;

$goseowp_portfolio_loop['columns'] = $portfolio_cols;
$goseowp_portfolio_loop['style'] = $portfolio_style;
$goseowp_portfolio_loop['type'] = $portfolio_type;

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

$args = array(
	'post_type' => 'portfolio',
	'posts_per_page' => $posts_per_page,
	'orderby' => $orderby,
	'order' => $order,
	'paged' => $paged
);

$i = 0;

$portfolio_query = new WP_Query( $args );

?>
<div class="<?php echo esc_attr( $css_class ); ?>">
	<?php if ( $portfolio_query->have_posts() ) : ?>

        <?php if ( ! is_tax() && $filters ) : ?>
			<?php
			$categories = get_terms( 'portfolio_category' );
			if ( ! is_wp_error( $categories ) && ! empty( $categories ) ) {
				?>
                <div class="row">
                    <div class="col-sm-12 cdb-portfolio-filter">
                        <ul class="portfolio-filter-list">
                            <li><a href="#" data-filter="*" class="filter-active"><?php esc_html_e('All', 'nuovowp'); ?></a></li>
							<?php
							foreach ($categories as $key => $cateogry) { ?>
                                <li><a href="#" data-filter=".portfolio-cat-<?php echo esc_attr( $cateogry->slug ); ?>"><?php echo esc_html( $cateogry->name ); ?></a></li>
							<?php }
							?>
                        </ul>
                    </div>
                </div>
				<?php
			}
			?>
        <?php endif; ?>

		<div class="<?php echo implode( ' ', apply_filters( 'goseowp_portfolio_holder_class', $portfolio_holder_class ) ); ?>">
            <?php if ( $portfolio_type == 'carousel' ) : ?>
            <div class="owl-carousel" <?php echo goseowp_codebean_get_inline_attrs( $carousel_data ); ?>>
            <?php endif; ?>

                <?php if ( $portfolio_type == 'grid') : ?>
                    <div class="cdb-preloader"><?php esc_attr_e( 'Loading posts...', 'nuovowp' ); ?></div>
                <?php endif; ?>

                <?php while ( $portfolio_query->have_posts() ) : $portfolio_query->the_post(); ?>

                    <?php
                    get_template_part( 'includes/templates/portfolio/portfolio-loop' );
                    ?>

                <?php $i++; endwhile; ?>
	        <?php if ( $portfolio_type == 'carousel' ) : ?>
            </div>
            <?php endif; ?>
		</div>

		<?php if ( $pagination ) {
			codebean_paging_navigation( $portfolio_query );
		} ?>

	<?php endif; ?>
</div>

<?php wp_reset_postdata(); ?>