<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = "cdb-pricing-table";
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

// Link
$button_link = vc_build_link($button_link);

$price_style = array();
$price_number_color = array();

if ( $price_color !== '' ) {
	$price_style[] = 'background-color: '. $price_color .'';
	$price_number_color[] = 'color: '. $price_color .'';
}



?>
<div class="<?php echo esc_attr( $css_class ); ?>">

	<div class="cdb-pricing-top" <?php goseowp_codebean_inline_style( $price_style ); ?>>

		<?php if ( $show_icon !== '' ) { ?>
		<div class="price-icon">
			<?php if ( $custom_icon ) { ?>
				<div class="price-icon-image">
					<?php echo wp_get_attachment_image( $custom_icon, 'full' ); ?>
				</div>
			<?php } else { ?>
				<div class="price-icon-element">
					<div class="price-icon-item <?php echo esc_attr( $icon ); ?>"></div>
				</div>
			<?php } ?>
		</div>
		<?php } ?>

		<h3 class="cdb-pricing-title"><?php echo esc_html( $title ); ?></h3>

		<?php if ( !empty( $subtitle ) ) { ?>
			<span class="cdb-pricing-subtitle"><?php echo esc_html( $subtitle ); ?></span>
		<?php } ?>
	</div>

	<div class="cdb-pricing-content">

		<?php if ( !empty( $price ) ) { ?>
			<div class="cdb-pricing-price" <?php goseowp_codebean_inline_style( $price_number_color ); ?>>
				<?php if ( !empty( $currency ) ) { ?>
					<span class="currency"><?php echo esc_html( $currency ); ?></span>
				<?php } ?>

				<span class="price-number"><?php echo esc_html( $price ); ?></span>

				<?php if ( !empty( $price_period ) ) { ?>
					<span class="price-time"><?php echo esc_html( $price_period ); ?></span>
				<?php } ?>
			</div>
		<?php } ?>

		<div class="cdb-pricing-content-inner">
			<?php if ( !empty( $description ) ) { ?>
				<div class="cdb-price-description">
					<p><?php echo esc_html( $description ); ?></p>
				</div>
			<?php } ?>

			<?php echo do_shortcode(preg_replace('#^<\/p>|<p>$#', '', $content)); ?>
		</div>

		<?php if ( $show_button !== 'no' ) { ?>
            <div class="cdb-price-button">
                <a href="<?php echo esc_url( $button_link['url'] ); ?>" class="btn btn-bordered btn-light btn-medium" target="<?php echo esc_attr( $button_link['target'] ); ?>" title="<?php echo esc_attr( $button_link['title'] ); ?>">
                    <span><?php echo esc_html( $button_text ); ?></span>
                </a>
            </div>
		<?php } ?>

	</div>

</div>
