<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = "cdb-quote-form {$color_scheme}";
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$quote_style = array();

if ( $custom_color !== '' ) {
    $quote_style[] = 'background-color: '. $custom_color .'';
}
?>
<div class="<?php echo esc_attr( $css_class ); ?>">

	<?php if ( !empty( $title ) ) { ?>
		<header class="cdb-quote-form-header" <?php goseowp_codebean_inline_style( $quote_style ); ?>>
			<div class="cdb-quote-form-header-inner">

				<?php if ( $title !== '' ) { ?>
					<h3 class="cdb-quote-form-title"><?php echo esc_html( $title ); ?></h3>
				<?php } ?>

				<?php if ( $subtitle !== '' ) { ?>
					<div class="cdb-quote-form-subtitle">
						<p><?php echo wp_kses_post( $subtitle ); ?></p>
					</div>
				<?php } ?>

			</div>
			<div class="cdb-quote-form-seperator">
				<?php get_template_part('assets/images//curved-shape.svg'); ?>
			</div>
		</header>
	<?php } ?>

	<?php if ( !empty( $form ) && $form != 'none' ) { ?>
		<?php $cf7_form = get_post( $form ); ?>
		<div class="cdb-quote-form-holder">
			<?php echo do_shortcode( '[contact-form-7 id="'. esc_attr( $cf7_form->ID ) .'" title="' . esc_attr( $cf7_form->post_title ) .'"]' ); ?>
		</div>
	<?php } ?>

</div>
