<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = "cdb-section-title-holder cdb-section-title-{$title_text_align}";
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$title_tag = '';

switch ($title_size) {
    case 'large' :
        $title_tag = 'h2';
        break;

    case 'medium' :
        $title_tag = 'h3';
        break;

    case 'small' :
        $title_tag = 'h4';
        break;

    default :
        $title_tag = 'h2';
}

$title_tag_classes = array();

if ( $title !== '' ) {
    $title_tag_classes[] = 'cdb-section-title '. $title_size .'';

    $title_tag_styles = array();

    if ( $title_color !== '' ) {
        $title_tag_styles[] = 'color: '. $title_color .'';
    }

    if ( $title_text_align !== '' ) {
        $title_tag_styles[] = 'text-align: '. $title_text_align  .'';
    }

    if ( $width !== '' ) {
        $title_tag_styles[] = 'width: ' . $width . '%';
    }

    if ( $margin_bottom !== '' ) {
        $title_tag_styles[] = 'margin-bottom: '. $margin_bottom . 'px';
    }
}


?>
<div class="<?php echo esc_attr( $css_class ); ?>">
    <<?php echo esc_attr($title_tag); ?> <?php goseowp_codebean_class_attribute($title_tag_classes); ?> <?php goseowp_codebean_inline_style($title_tag_styles); ?>><?php echo wp_kses_post($title); ?></<?php echo esc_attr($title_tag); ?>>
</div>

