<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class_to_filter = 'cdb-service-box';
$class_to_filter .= ' cdb-service-box-' . $service_style;
$class_to_filter .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

// Link
$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );
$a_href = $link['url'];
$a_title = $link['title'];
$a_target = $link['target'];


if ( empty( $service_bg )) {
    $service_bg = 'transparent';
}

$service_styles = 'background-color: '. $service_bg;

$title_custom_color = array();
if ( !empty( $title_color )) {
	$title_custom_color = 'color: '. $title_color;
}

if ( empty( $description_color )) {
	$description_color = 'inherit';
}
$text_custom_color = 'color: ' . $description_color;

if ( empty( $link_color )) {
	$link_color = 'inherit';
}
$link_custom_color = 'color: ' . $link_color;

?>
<div class="<?php echo esc_attr( $css_class ); ?>">
    <div class="cdb-service-box-inner">

        <?php if ( $service_img !== '' ) : ?>
            <div class="cdb-service-box-image">
                <?php
                    $service_img = wpb_getImageBySize( array( 'attach_id' => $service_img, 'thumb_size' => $img_size, 'class' => 'cdb-service-image' ) );
                ?>
                <?php echo codebean_kses_img( $service_img['thumbnail'] );?>
            </div>
        <?php endif; ?>

        <?php if ( $title || $description ) : ?>
        <div class="cdb-service-box-content">

            <?php if ( $title ) : ?>
	            <?php if ( !empty( $a_href ) ) : ?>
                    <a href="<?php echo esc_url( $a_href ); ?>" class="cdb-service-title-link" target="<?php echo esc_attr( $a_target ); ?>" title="<?php echo esc_attr( $title ); ?>" <?php goseowp_codebean_inline_style( $title_custom_color ); ?>>
	            <?php endif; ?>
                    <h4 class="cdb-service-box-title" <?php goseowp_codebean_inline_style( $title_custom_color ); ?>><?php echo esc_html( $title ); ?></h4>
	            <?php if ( !empty( $a_href ) ) : ?>
                    </a>
	            <?php endif; ?>
            <?php endif; ?>

            <?php if ( $description && $service_style !== 'style1' ) : ?>
                <div class="cdb-service-box-info" <?php goseowp_codebean_inline_style( $text_custom_color ); ?>>
                    <p><?php echo wp_kses_post( $description ); ?></p>
                </div>
            <?php endif; ?>

            <?php if ( !empty( $a_title ) && $service_style !== 'style1' ) : ?>
            <div class="cdb-service-box-link">
                <a href="<?php echo esc_url( $a_href ); ?>" target="<?php echo esc_attr( $a_target ); ?>" title="<?php echo esc_attr( $a_title ); ?>" <?php goseowp_codebean_inline_style( $link_custom_color ); ?>>
                    <span class="arrow"></span>
                    <span class="link-inner"><?php echo esc_html( $a_title ); ?></span>
                </a>
            </div>
            <?php endif; ?>

        </div>
        <?php endif; ?>

        <?php if ( $service_style == 'style2' ) : ?>
            <span class="cdb-service-checkbox-icon" <?php goseowp_codebean_inline_style( $service_styles ); ?>>
                <i class="fas fa-check"></i>
            </span>
            <span class="cdb-service-gradient-bg light"></span>
        <?php endif; ?>

        <span class="cdb-service-box-bg" <?php goseowp_codebean_inline_style( $service_styles ); ?>></span>
    </div>
</div>
