<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = "cdb-team-member style-{$layout}";
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$socials = '';

if ($linkedin != '' || $twitter != '' || $facebook != '' || $skype != '' || $google_plus != '' || $instagram != '') {
    $socials .= '<div class="cdb-member-social"><div class="cdb-member-social-wrapper"><ul class="cdb-social-links rounded ' . esc_attr( $style ) . '">';
    if ($facebook != '') {
        $socials .= '<li><a class="facebook" href="'.esc_url( $facebook ).'"><i class="fab fa-facebook-f"></i></a></li>';
    }
    if ($twitter != '') {
        $socials .= '<li><a class="twitter" href="'.esc_url( $twitter ).'"><i class="fab fa-twitter"></i></a></li>';
    }
    if ($google_plus != '') {
        $socials .= '<li><a class="google" href="'.esc_url( $google_plus ).'"><i class="fab fa-google-plus-g"></i></a></li>';
    }
    if ($linkedin != '') {
        $socials .= '<li><a class="linkedin" href="'.esc_url( $linkedin ).'"><i class="fab fa-linkedin"></i></a></li>';
    }
    if ($skype != '') {
        $socials .= '<li><a class="skype" href="'.esc_url( $skype ).'"><i class="fab fa-skype"></i></a></li>';
    }
    if ($instagram != '') {
        $socials .= '<li><a class="instagram" href="'.esc_url( $instagram ).'"><i class="fab fa-instagram"></i></a></li>';
    }
    $socials .= '</ul></div></div>';
}


if (is_numeric($img)) {
    $team_image_src = wp_get_attachment_url($img);
} else {
    $team_image_src = $img;
}

?>
<div class="<?php echo esc_attr( $css_class ); ?>">

    <?php if ($img !== '') { ?>
    <div class="cdb-team-member-img">
        <div class="member-img-holder">
            <img src="<?php print $team_image_src; ?>" alt="<?php echo esc_attr( $team_name ); ?>"/>
        </div>
        <?php if ( $layout == 'hover' ) {
            echo wp_kses_post($socials);
        } ?>
    </div>
    <?php } ?>

    <?php if ($team_name !== '' || $team_position !== '' || $team_description != "") { ?>
    <div class="cdb-team-member-content">

        <?php if ($team_name !== '' || $team_position !== '') { ?>
        <div class="cdb-member-content-header">

            <div class="cdb-member-title-wrapper">
                <?php if ($team_name !== '') { ?>
                    <h4 class="cdb-member-name"><?php echo esc_attr($team_name); ?></h4>
                <?php } ?>

                <?php if ($team_position !== "") { ?>
                    <h6 class="cdb-member-position"><?php echo esc_attr($team_position) ?></h6>
                <?php } ?>
            </div>

            <?php if ( $layout == 'default' ) {
                echo wp_kses_post($socials);
            } ?>

        </div>
        <?php } ?>

        <div class="cdb-member-description">
            <p><?php echo esc_attr($team_description) ?></p>
        </div>

    </div>
    <?php } ?>

</div>
