<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

$holder_class = '';

// Testimonial ID
$testimonial_id = 'testimonials-' . uniqid();

// Element Class
$class = "cdb-testimonials-holder";
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$holder_class .= ' testimonials-' . $layout;
$holder_class .= ' testimonials-' . $align;
$holder_class .= ' testimonials-' . $color_scheme;

if ( $borders !== '' ) {
	$holder_class .= ' testimonials-bordered';
}

if ( $show_arrow !== '' ) {
	$holder_class .= ' has-arrow';
	$holder_class .= ' arrow-' . $arrow_position;
}

if ( $layout == 'grid' ) {
	$holder_class .= ' testimonials-columns-' . $columns;

	if ( $masonry_mode !== '' ) {
	    $holder_class .= ' testimonials-masonry';
    }
}

$slider_class = array( 'owl-carousel' );

$slider_data = array();

if ( $autoplay !== '' ) {
    $slider_data['data-autoplay'] = 'true';
}

if ( $slides_per_view !== '' ) {
    $slider_data['data-slider-items'] = $slides_per_view;
}

$slider_data['data-pagination'] = $show_pagination_control;
$slider_data['data-navigation'] = $show_prev_next_buttons;
$slider_data['data-loop'] = $wrap;

if ( $speed !== '' ) {
    $slider_data['data-speed'] = $speed;
}


?>
<div id="<?php echo esc_attr( $testimonial_id ); ?>" class="<?php echo esc_attr( $css_class ) . vc_shortcode_custom_css_class($css, ' '); ?>">
	<div class="testimonials clearfix<?php echo esc_attr( $holder_class ); ?>">

        <?php if ( $layout == 'slider' ) : ?>
            <div <?php echo goseowp_codebean_get_class_attribute( $slider_class ); ?> <?php echo goseowp_codebean_get_inline_attrs( $slider_data ); ?>>
        <?php endif; ?>

		    <?php echo do_shortcode( $content ); ?>

        <?php if ( $layout == 'slider' ) : ?>
            </div>
        <?php endif; ?>

	</div>
</div>