<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

// Element Class
$class = "cdb-timeline-holder";
$class .= ' cdb-timeline-' . $item_style;
$class .= ' cdb-timeline-separator-' . $line_style;
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$line_border_color = 'border-color: '. $line_color .';';
$line_color = 'background-color: '. $line_color .';';

$timeline_id = 'cdb-timeline-' . uniqid();

?>
<div id="<?php echo esc_attr( $timeline_id ); ?>"class="<?php echo esc_attr( $css_class ) ?>">
    <style>
        #<?php echo esc_attr ( $timeline_id ); ?> .cdb-timeline-dot {
            background-color: <?php echo esc_attr( $dots_color ); ?>;
        }
    </style>
	<div class="cdb-timeline-separator" style="<?php echo esc_attr( $line_border_color ); ?>">
		<span class="cdb-separator-dot start" style="<?php echo esc_attr( $line_color ); ?>"></span>
		<span class="cdb-separator-dot end" style="<?php echo esc_attr( $line_color ); ?>"></span>
	</div>
	<div class="cdb-timeline-inner">
		<?php echo do_shortcode( $content ); ?>
	</div>
</div>
