<?php
/**
 * Nuovo WordPress Theme
 *
 * Codebean.co
 * www.codebean.co
 */

// Atts
if ( function_exists( 'vc_map_get_attributes' ) ) {
	$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
}

extract( $atts );

$class = "cdb-timeline-item";
$class .= ' cdb-timeline-pos-' .$position ;
$class .= $this->getExtraClass( $el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class, $this->settings['base'], $atts );

$bg_style = 'background-color: '. $color_bg .';';
$color_style = 'color: '. $color_bg .';';

$img_primary = $img_secondary = '';

if ( function_exists( 'wpb_getImageBySize' ) ) {
	$img_secondary = wpb_getImageBySize( array( 'attach_id' => $image_secondary, 'thumb_size' => $img_size_secondary ) );
	$img_primary = wpb_getImageBySize( array( 'attach_id' => $image_primary, 'thumb_size' => $img_size_primary ) );
}

?>
<div class="<?php echo esc_attr( $class ); ?>" style="<?php echo esc_attr( $bg_style ); ?>">

	<div class="cdb-timeline-dot"></div>

	<div class="cdb-timeline-item-col primary" style="<?php echo esc_attr( $bg_style ); ?>">
		<span class="cdb-timeline-arrow" style="<?php echo esc_attr( $color_style ); ?>"></span>
		<?php if ( $image_primary ) : ?>
			<div class="cdb-timeline-image">
				<?php echo wp_kses( $img_primary['thumbnail'], array( 'img' => array('class' => true,'width' => true,'height' => true,'src' => true,'alt' => true) ) );?>
			</div>
		<?php endif; ?>
		<h4 class="cdb-timeline-item-title"><?php echo esc_attr( $title_primary ); ?></h4>
		<div class="cdb-timeline-item-content"><?php echo do_shortcode( $content ); ?></div>
	</div>

	<div class="cdb-timeline-item-col secondary" style="<?php echo esc_attr( $bg_style ); ?>">
        <span class="cdb-timeline-arrow" style="<?php echo esc_attr( $color_style ); ?>"></span>
		<?php if ( $image_secondary ) : ?>
			<div class="cdb-timeline-image">
				<?php echo wp_kses( $img_secondary['thumbnail'], array( 'img' => array('class' => true,'width' => true,'height' => true,'src' => true,'alt' => true) ) ); ?>
			</div>
		<?php endif; ?>
		<h4 class="cdb-timeline-item-title"><?php echo esc_attr( $title_secondary ); ?></h4>
		<div class="cdb-timeline-item-content"><?php echo do_shortcode( $content_secondary ); ?></div>
	</div>

</div>
