<?php
/**
 * Proceed to checkout button
 *
 * Contains the markup for the proceed to checkout button on the cart.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/proceed-to-checkout-button.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>

<div class="cart-buttons-update-checkout row">

    <div class="wc-update-cart col-sm-6">
        <input type="submit" class="button sec-button" name="update_cart" value="<?php esc_attr_e( 'Update cart', 'nuovowp' ); ?>" />
    </div>

    <div class="wc-proceed-to-checkout col-sm-6">
        <a href="<?php echo esc_url( wc_get_checkout_url() );?>" class="checkout-button button btn btn-default alt wc-forward">
            <?php esc_html_e( 'Proceed to checkout', 'nuovowp' ); ?>
        </a>
    </div>

</div>