<?php
/**
 * Login form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
if ( is_user_logged_in() ) {
    return;
}
?>
<div class="cdb-login-form"<?php if ( $hidden ) echo ' style="display:none;"'; ?>>
    <div class="cdb-background-box cdb-woocommerce-form">

        <h3><?php esc_html_e( 'Login', 'nuovowp' ); ?></h3>

        <form method="post" class="login">

            <?php do_action( 'woocommerce_login_form_start' ); ?>

            <?php if ( $message ) echo wpautop( wptexturize( $message ) ); ?>

            <p class="form-row form-row-first">
                <input type="text" class="input-text form-control" name="username" id="username" placeholder="<?php esc_attr_e( 'Username or email address', 'nuovowp' ); ?> *" />
            </p>

            <p class="form-row form-row-last">
                <input type="password" class="input-text form-control" name="password" id="password" placeholder="<?php esc_attr_e( 'Password', 'nuovowp' ); ?>" />
            </p>

            <div class="clear"></div>

            <?php do_action( 'woocommerce_login_form' ); ?>

            <p class="form-row form-group">
                <?php wp_nonce_field( 'woocommerce-login', 'woocommerce-login-nonce' ); ?>
                <input class="woocommerce-Input woocommerce-Input--checkbox cdb-custom-checkbox" name="rememberme" type="checkbox" id="rememberme" value="forever" />

                <label class="woocommerce-form__label woocommerce-form__label-for-checkbox inline cdb-custom-checkbox-label" for="rememberme"><span><?php esc_html_e( 'Remember me', 'nuovowp' ); ?></span></label>

                <span class="woocommerce-LostPassword lost_password pull-right">
                    <a class="lost-password-link" href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'nuovowp' ); ?></a>
                </span>
            </p>

            <p class="form-row">
                <?php wp_nonce_field( 'woocommerce-login' ); ?>
                <input type="submit" class="woocommerce-Button button" name="login" value="<?php esc_attr_e( 'Login', 'nuovowp' ); ?>" />
                <input type="hidden" name="redirect" value="<?php echo esc_url( $redirect ) ?>" />
            </p>

            <div class="clear"></div>

            <?php do_action( 'woocommerce_login_form_end' ); ?>

        </form>

    </div>
</div>
