<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

global $product, $woocommerce_loop;

$products_masonry = '0';
$products_columns = '3';

if ( class_exists('Redux') ) {
    $products_masonry = codebean_option('products_masonry');
    $products_columns = codebean_option('products_columns');
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
    $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns',  $products_columns );
}

$woocommerce_loop['columns'] = isset($_GET['shop_col']) ? $_GET['shop_col'] : $products_columns;

$class = '';
if( $products_masonry || ! empty( $woocommerce_loop['masonry'] )) {
    $class = 'grid-masonry';
}

?>
<div class="products shop-holder <?php echo esc_attr( $class ); ?> row shop-<?php echo esc_attr( $woocommerce_loop['columns'] ); ?>-columns">