<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

wc_print_notices();

?>

<?php // start: modified by Esmet ?>
<div class="cdb-page-heading">
    <div class="row">
        <div class="col-sm-12">
            <h2 class="cdb-page-title"><?php
                if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) {
                    esc_html_e( 'Login or register', 'nuovowp' );
                } else {
                    esc_html_e( 'Login', 'nuovowp' );
                }
                ?></h2>
            <div class="cdb-page-description"><p><?php esc_html_e( 'Manage your account and see your orders', 'nuovowp' ); ?></p></div>
        </div>
    </div>
</div>
<?php // end: modified by Esmet ?>

<div class="row cdb-login-form">
<?php do_action( 'woocommerce_before_customer_login_form' ); ?>

    <div class="col-sm-6">
        <div class="cdb-background-box cdb-woocommerce-form">
            <h3><?php esc_html_e( 'Login', 'nuovowp' ); ?></h3>

            <form id="login" method="post" class="login">

                <?php do_action( 'woocommerce_login_form_start' ); ?>

                <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                    <input type="text" class="woocommerce-Input woocommerce-Input--text input-text form-control" name="username" id="username" placeholder="<?php esc_attr_e( 'Username or email address', 'nuovowp' ); ?> *" value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( $_POST['username'] ) : ''; ?>" />
                </p>

                <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                    <input type="passowrd" class="woocommerce-Input woocommerce-Input--text input-text form-control" name="password" id="password" placeholder="<?php esc_attr_e( 'Password', 'nuovowp' ); ?>" />
                </p>

                <?php do_action( 'woocommerce_login_form' ); ?>

                <p class="form-row form-group">
                    <?php wp_nonce_field( 'woocommerce-login', 'woocommerce-login-nonce' ); ?>
                    <input class="woocommerce-Input woocommerce-Input--checkbox cdb-custom-checkbox" name="rememberme" type="checkbox" id="rememberme" value="forever" />

                    <label class="woocommerce-form__label woocommerce-form__label-for-checkbox inline cdb-custom-checkbox-label" for="rememberme"><span><?php esc_html_e( 'Remember me', 'nuovowp' ); ?></span></label>

                    <span class="woocommerce-LostPassword lost_password pull-right">
                        <a class="lost-password-link" href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'nuovowp' ); ?></a>
                    </span>
                </p>

                <input type="submit" class="woocommerce-Button button" name="login" value="<?php esc_attr_e( 'Login', 'nuovowp' ); ?>" />

                <?php do_action( 'woocommerce_login_form_end' ); ?>

            </form>

        </div>
    </div>

    <?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>
    <div class="col-sm-6">
        <div class="cdb-background-box cdb-woocommerce-form">
            <h3><?php esc_html_e( 'Register', 'nuovowp' ); ?></h3>
            <form id="register" method="post" class="register">

                <?php do_action( 'woocommerce_register_form_start' ); ?>

                    <?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>

                        <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                            <input type="text" class="woocommerce-Input woocommerce-Input--text input-text form-control" name="username" id="reg_username" placeholder="<?php esc_attr_e( 'Username', 'nuovowp' ); ?> *" value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( $_POST['username'] ) : ''; ?>" />
                        </p>

                    <?php endif; ?>

                    <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                        <input type="email" class="woocommerce-Input woocommerce-Input--text input-text form-control" name="email" id="reg_email" placeholder="<?php esc_attr_e( 'Email Address', 'nuovowp' ); ?> *" value="<?php echo ( ! empty( $_POST['email'] ) ) ? esc_attr( $_POST['email'] ) : ''; ?>" />
                    </p>

                    <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>

                        <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                            <input type="password" class="woocommerce-Input woocommerce-Input--text input-text form-control" name="password" id="reg_password" placeholder="<?php esc_attr_e( 'Password', 'nuovowp' ); ?> *" />
                        </p>

                    <?php endif; ?>

                    <?php do_action( 'woocommerce_register_form' ); ?>

                    <p class="form-row form-footer">
                        <?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>
                        <input type="submit" class="woocommerce-Button button" name="register" value="<?php esc_attr_e( 'Register', 'nuovowp' ); ?>" />
                    </p>

                <?php do_action( 'woocommerce_register_form_end' ); ?>

            </form>
        </div>
    </div>
    <?php endif; ?>

<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
</div>
