<?php
/**
 * Lost password reset form.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-reset-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;
?>

<div class="row">
    <div class="col-sm-7">
        <div class="cdb-background-box cdb-woocommerce-form">

            <?php wc_print_notices(); ?>

            <h3><?php esc_html_e('Reset Password', 'nuovowp'); ?></h3>

            <form method="post" class="woocommerce-ResetPassword lost_reset_password">

                <p><?php echo apply_filters( 'woocommerce_reset_password_message', esc_html__( 'Enter a new password below.', 'nuovowp') ); ?></p>

                <p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-first">
                    <input class="woocommerce-Input woocommerce-Input--text input-text form-control" type="password" name="password_1" id="password_1" placeholder="<?php esc_attr_e( 'New password', 'nuovowp' ); ?> *"/>
                </p>

                <p class="woocommerce-FormRow woocommerce-FormRow--last form-row form-row-last">
                    <input class="woocommerce-Input woocommerce-Input--text input-text form-control" type="password" name="password_2" id="password_2" placeholder="<?php esc_attr_e( 'Re-enter new password', 'nuovowp' ); ?> *"/>
                </p>

                <input type="hidden" name="reset_key" value="<?php echo esc_attr( $args['key'] ); ?>" />
                <input type="hidden" name="reset_login" value="<?php echo esc_attr( $args['login'] ); ?>" />

                <div class="clear"></div>

                <?php do_action( 'woocommerce_resetpassword_form' ); ?>

                <p class="woocommerce-FormRow form-row">
                    <input type="hidden" name="wc_reset_password" value="true" />
                    <input type="submit" class="woocommerce-Button button" value="<?php esc_attr_e( 'Save', 'nuovowp' ); ?>" />
                </p>

                <?php wp_nonce_field( 'reset_password' ); ?>

            </form>

        </div>
    </div>
</div>